/*
 *  This file contains derived data from a modified version of the Unicode
 *  data files.
 *
 *  The original data files are available at
 *  http://www.unicode.org/Public/UNIDATA/
 *
 *
 *  COPYRIGHT AND PERMISSION NOTICE
 *
 *  Copyright (c) 1991-2005 Unicode, Inc. All rights reserved.
 *  Distributed under the Terms of Use in
 *  http://www.unicode.org/copyright.html.
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of the Unicode data files and any associated documentation (the
 *  "Data Files") or Unicode software and any associated documentation (the
 *  "Software") to deal in the Data Files or Software without restriction,
 *  including without limitation the rights to use, copy, modify, merge,
 *  publish, distribute, and/or sell copies of the Data Files or Software,
 *  and to permit persons to whom the Data Files or Software are furnished
 *  to do so, provided that (a) the above copyright notice(s) and this
 *  permission notice appear with all copies of the Data Files or Software,
 *  (b) both the above copyright notice(s) and this permission notice appear
 *  in associated documentation, and (c) there is clear notice in each
 *  modified Data File or in the Software as well as in the documentation
 *  associated with the Data File(s) or Software that the data or software
 *  has been modified.
 *
 *  THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF
 *  ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 *  WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 *  NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT
 *  HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR
 *  ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER
 *  RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
 *  CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 *  CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.
 *
 *  Except as contained in this notice, the name of a copyright holder shall
 *  not be used in advertising or otherwise to promote the sale, use or
 *  other dealings in these Data Files or Software without prior written
 *  authorization of the copyright holder.
 *
 */

const int32_t utf8proc_sequences[] = {
  97, -1, 98, -1, 99, -1, 100, 
  -1, 101, -1, 102, -1, 103, -1, 104, 
  -1, 105, -1, 106, -1, 107, -1, 108, 
  -1, 109, -1, 110, -1, 111, -1, 112, 
  -1, 113, -1, 114, -1, 115, -1, 116, 
  -1, 117, -1, 118, -1, 119, -1, 120, 
  -1, 121, -1, 122, -1, 32, -1, 32, 
  776, -1, 32, 772, -1, 50, -1, 51, 
  -1, 32, 769, -1, 956, -1, 32, 807, 
  -1, 49, -1, 49, 8260, 52, -1, 49, 
  8260, 50, -1, 51, 8260, 52, -1, 65, 
  768, -1, 224, -1, 65, 769, -1, 225, 
  -1, 65, 770, -1, 226, -1, 65, 771, 
  -1, 227, -1, 65, 776, -1, 228, -1, 
  65, 778, -1, 229, -1, 230, -1, 67, 
  807, -1, 231, -1, 69, 768, -1, 232, 
  -1, 69, 769, -1, 233, -1, 69, 770, 
  -1, 234, -1, 69, 776, -1, 235, -1, 
  73, 768, -1, 236, -1, 73, 769, -1, 
  237, -1, 73, 770, -1, 238, -1, 73, 
  776, -1, 239, -1, 240, -1, 78, 771, 
  -1, 241, -1, 79, 768, -1, 242, -1, 
  79, 769, -1, 243, -1, 79, 770, -1, 
  244, -1, 79, 771, -1, 245, -1, 79, 
  776, -1, 246, -1, 248, -1, 85, 768, 
  -1, 249, -1, 85, 769, -1, 250, -1, 
  85, 770, -1, 251, -1, 85, 776, -1, 
  252, -1, 89, 769, -1, 253, -1, 254, 
  -1, 115, 115, -1, 97, 768, -1, 97, 
  769, -1, 97, 770, -1, 97, 771, -1, 
  97, 776, -1, 97, 778, -1, 99, 807, 
  -1, 101, 768, -1, 101, 769, -1, 101, 
  770, -1, 101, 776, -1, 105, 768, -1, 
  105, 769, -1, 105, 770, -1, 105, 776, 
  -1, 110, 771, -1, 111, 768, -1, 111, 
  769, -1, 111, 770, -1, 111, 771, -1, 
  111, 776, -1, 117, 768, -1, 117, 769, 
  -1, 117, 770, -1, 117, 776, -1, 121, 
  769, -1, 121, 776, -1, 65, 772, -1, 
  257, -1, 97, 772, -1, 65, 774, -1, 
  259, -1, 97, 774, -1, 65, 808, -1, 
  261, -1, 97, 808, -1, 67, 769, -1, 
  263, -1, 99, 769, -1, 67, 770, -1, 
  265, -1, 99, 770, -1, 67, 775, -1, 
  267, -1, 99, 775, -1, 67, 780, -1, 
  269, -1, 99, 780, -1, 68, 780, -1, 
  271, -1, 100, 780, -1, 273, -1, 69, 
  772, -1, 275, -1, 101, 772, -1, 69, 
  774, -1, 277, -1, 101, 774, -1, 69, 
  775, -1, 279, -1, 101, 775, -1, 69, 
  808, -1, 281, -1, 101, 808, -1, 69, 
  780, -1, 283, -1, 101, 780, -1, 71, 
  770, -1, 285, -1, 103, 770, -1, 71, 
  774, -1, 287, -1, 103, 774, -1, 71, 
  775, -1, 289, -1, 103, 775, -1, 71, 
  807, -1, 291, -1, 103, 807, -1, 72, 
  770, -1, 293, -1, 104, 770, -1, 295, 
  -1, 73, 771, -1, 297, -1, 105, 771, 
  -1, 73, 772, -1, 299, -1, 105, 772, 
  -1, 73, 774, -1, 301, -1, 105, 774, 
  -1, 73, 808, -1, 303, -1, 105, 808, 
  -1, 73, 775, -1, 105, 775, -1, 73, 
  74, -1, 307, -1, 105, 106, -1, 74, 
  770, -1, 309, -1, 106, 770, -1, 75, 
  807, -1, 311, -1, 107, 807, -1, 76, 
  769, -1, 314, -1, 108, 769, -1, 76, 
  807, -1, 316, -1, 108, 807, -1, 76, 
  780, -1, 318, -1, 108, 780, -1, 76, 
  183, -1, 320, -1, 108, 183, -1, 322, 
  -1, 78, 769, -1, 324, -1, 110, 769, 
  -1, 78, 807, -1, 326, -1, 110, 807, 
  -1, 78, 780, -1, 328, -1, 110, 780, 
  -1, 700, 110, -1, 331, -1, 79, 772, 
  -1, 333, -1, 111, 772, -1, 79, 774, 
  -1, 335, -1, 111, 774, -1, 79, 779, 
  -1, 337, -1, 111, 779, -1, 339, -1, 
  82, 769, -1, 341, -1, 114, 769, -1, 
  82, 807, -1, 343, -1, 114, 807, -1, 
  82, 780, -1, 345, -1, 114, 780, -1, 
  83, 769, -1, 347, -1, 115, 769, -1, 
  83, 770, -1, 349, -1, 115, 770, -1, 
  83, 807, -1, 351, -1, 115, 807, -1, 
  83, 780, -1, 353, -1, 115, 780, -1, 
  84, 807, -1, 355, -1, 116, 807, -1, 
  84, 780, -1, 357, -1, 116, 780, -1, 
  359, -1, 85, 771, -1, 361, -1, 117, 
  771, -1, 85, 772, -1, 363, -1, 117, 
  772, -1, 85, 774, -1, 365, -1, 117, 
  774, -1, 85, 778, -1, 367, -1, 117, 
  778, -1, 85, 779, -1, 369, -1, 117, 
  779, -1, 85, 808, -1, 371, -1, 117, 
  808, -1, 87, 770, -1, 373, -1, 119, 
  770, -1, 89, 770, -1, 375, -1, 121, 
  770, -1, 89, 776, -1, 255, -1, 90, 
  769, -1, 378, -1, 122, 769, -1, 90, 
  775, -1, 380, -1, 122, 775, -1, 90, 
  780, -1, 382, -1, 122, 780, -1, 595, 
  -1, 387, -1, 389, -1, 596, -1, 392, 
  -1, 598, -1, 599, -1, 396, -1, 477, 
  -1, 601, -1, 603, -1, 402, -1, 608, 
  -1, 611, -1, 617, -1, 616, -1, 409, 
  -1, 623, -1, 626, -1, 629, -1, 79, 
  795, -1, 417, -1, 111, 795, -1, 419, 
  -1, 421, -1, 640, -1, 424, -1, 643, 
  -1, 429, -1, 648, -1, 85, 795, -1, 
  432, -1, 117, 795, -1, 650, -1, 651, 
  -1, 436, -1, 438, -1, 658, -1, 441, 
  -1, 445, -1, 68, 381, -1, 454, -1, 
  68, 382, -1, 100, 382, -1, 76, 74, 
  -1, 457, -1, 76, 106, -1, 108, 106, 
  -1, 78, 74, -1, 460, -1, 78, 106, 
  -1, 110, 106, -1, 65, 780, -1, 462, 
  -1, 97, 780, -1, 73, 780, -1, 464, 
  -1, 105, 780, -1, 79, 780, -1, 466, 
  -1, 111, 780, -1, 85, 780, -1, 468, 
  -1, 117, 780, -1, 220, 772, -1, 470, 
  -1, 252, 772, -1, 220, 769, -1, 472, 
  -1, 252, 769, -1, 220, 780, -1, 474, 
  -1, 252, 780, -1, 220, 768, -1, 476, 
  -1, 252, 768, -1, 196, 772, -1, 479, 
  -1, 228, 772, -1, 550, 772, -1, 481, 
  -1, 551, 772, -1, 198, 772, -1, 483, 
  -1, 230, 772, -1, 485, -1, 71, 780, 
  -1, 487, -1, 103, 780, -1, 75, 780, 
  -1, 489, -1, 107, 780, -1, 79, 808, 
  -1, 491, -1, 111, 808, -1, 490, 772, 
  -1, 493, -1, 491, 772, -1, 439, 780, 
  -1, 495, -1, 658, 780, -1, 106, 780, 
  -1, 68, 90, -1, 499, -1, 68, 122, 
  -1, 100, 122, -1, 71, 769, -1, 501, 
  -1, 103, 769, -1, 405, -1, 447, -1, 
  78, 768, -1, 505, -1, 110, 768, -1, 
  197, 769, -1, 507, -1, 229, 769, -1, 
  198, 769, -1, 509, -1, 230, 769, -1, 
  216, 769, -1, 511, -1, 248, 769, -1, 
  65, 783, -1, 513, -1, 97, 783, -1, 
  65, 785, -1, 515, -1, 97, 785, -1, 
  69, 783, -1, 517, -1, 101, 783, -1, 
  69, 785, -1, 519, -1, 101, 785, -1, 
  73, 783, -1, 521, -1, 105, 783, -1, 
  73, 785, -1, 523, -1, 105, 785, -1, 
  79, 783, -1, 525, -1, 111, 783, -1, 
  79, 785, -1, 527, -1, 111, 785, -1, 
  82, 783, -1, 529, -1, 114, 783, -1, 
  82, 785, -1, 531, -1, 114, 785, -1, 
  85, 783, -1, 533, -1, 117, 783, -1, 
  85, 785, -1, 535, -1, 117, 785, -1, 
  83, 806, -1, 537, -1, 115, 806, -1, 
  84, 806, -1, 539, -1, 116, 806, -1, 
  541, -1, 72, 780, -1, 543, -1, 104, 
  780, -1, 414, -1, 547, -1, 549, -1, 
  65, 775, -1, 551, -1, 97, 775, -1, 
  69, 807, -1, 553, -1, 101, 807, -1, 
  214, 772, -1, 555, -1, 246, 772, -1, 
  213, 772, -1, 557, -1, 245, 772, -1, 
  79, 775, -1, 559, -1, 111, 775, -1, 
  558, 772, -1, 561, -1, 559, 772, -1, 
  89, 772, -1, 563, -1, 121, 772, -1, 
  572, -1, 410, -1, 660, -1, 614, -1, 
  633, -1, 635, -1, 641, -1, 32, 774, 
  -1, 32, 775, -1, 32, 778, -1, 32, 
  808, -1, 32, 771, -1, 32, 779, -1, 
  661, -1, 768, -1, 769, -1, 787, -1, 
  776, 769, -1, 953, -1, 697, -1, 32, 
  837, -1, 59, -1, 168, 769, -1, 913, 
  769, -1, 940, -1, 183, -1, 917, 769, 
  -1, 941, -1, 919, 769, -1, 942, -1, 
  921, 769, -1, 943, -1, 927, 769, -1, 
  972, -1, 933, 769, -1, 973, -1, 937, 
  769, -1, 974, -1, 970, 769, -1, 953, 
  776, 769, -1, 945, -1, 946, -1, 947, 
  -1, 948, -1, 949, -1, 950, -1, 951, 
  -1, 952, -1, 954, -1, 955, -1, 957, 
  -1, 958, -1, 959, -1, 960, -1, 961, 
  -1, 963, -1, 964, -1, 965, -1, 966, 
  -1, 967, -1, 968, -1, 969, -1, 921, 
  776, -1, 970, -1, 933, 776, -1, 971, 
  -1, 945, 769, -1, 949, 769, -1, 951, 
  769, -1, 953, 769, -1, 971, 769, -1, 
  965, 776, 769, -1, 953, 776, -1, 965, 
  776, -1, 959, 769, -1, 965, 769, -1, 
  969, 769, -1, 933, -1, 978, 769, -1, 
  978, 776, -1, 985, -1, 987, -1, 989, 
  -1, 991, -1, 993, -1, 995, -1, 997, 
  -1, 999, -1, 1001, -1, 1003, -1, 1005, 
  -1, 1007, -1, 962, -1, 920, -1, 1016, 
  -1, 931, -1, 1010, -1, 1019, -1, 1045, 
  768, -1, 1104, -1, 1045, 776, -1, 1105, 
  -1, 1106, -1, 1043, 769, -1, 1107, -1, 
  1108, -1, 1109, -1, 1110, -1, 1030, 776, 
  -1, 1111, -1, 1112, -1, 1113, -1, 1114, 
  -1, 1115, -1, 1050, 769, -1, 1116, -1, 
  1048, 768, -1, 1117, -1, 1059, 774, -1, 
  1118, -1, 1119, -1, 1072, -1, 1073, -1, 
  1074, -1, 1075, -1, 1076, -1, 1077, -1, 
  1078, -1, 1079, -1, 1080, -1, 1048, 774, 
  -1, 1081, -1, 1082, -1, 1083, -1, 1084, 
  -1, 1085, -1, 1086, -1, 1087, -1, 1088, 
  -1, 1089, -1, 1090, -1, 1091, -1, 1092, 
  -1, 1093, -1, 1094, -1, 1095, -1, 1096, 
  -1, 1097, -1, 1098, -1, 1099, -1, 1100, 
  -1, 1101, -1, 1102, -1, 1103, -1, 1080, 
  774, -1, 1077, 768, -1, 1077, 776, -1, 
  1075, 769, -1, 1110, 776, -1, 1082, 769, 
  -1, 1080, 768, -1, 1091, 774, -1, 1121, 
  -1, 1123, -1, 1125, -1, 1127, -1, 1129, 
  -1, 1131, -1, 1133, -1, 1135, -1, 1137, 
  -1, 1139, -1, 1141, -1, 1140, 783, -1, 
  1143, -1, 1141, 783, -1, 1145, -1, 1147, 
  -1, 1149, -1, 1151, -1, 1153, -1, 1163, 
  -1, 1165, -1, 1167, -1, 1169, -1, 1171, 
  -1, 1173, -1, 1175, -1, 1177, -1, 1179, 
  -1, 1181, -1, 1183, -1, 1185, -1, 1187, 
  -1, 1189, -1, 1191, -1, 1193, -1, 1195, 
  -1, 1197, -1, 1199, -1, 1201, -1, 1203, 
  -1, 1205, -1, 1207, -1, 1209, -1, 1211, 
  -1, 1213, -1, 1215, -1, 1046, 774, -1, 
  1218, -1, 1078, 774, -1, 1220, -1, 1222, 
  -1, 1224, -1, 1226, -1, 1228, -1, 1230, 
  -1, 1040, 774, -1, 1233, -1, 1072, 774, 
  -1, 1040, 776, -1, 1235, -1, 1072, 776, 
  -1, 1237, -1, 1045, 774, -1, 1239, -1, 
  1077, 774, -1, 1241, -1, 1240, 776, -1, 
  1243, -1, 1241, 776, -1, 1046, 776, -1, 
  1245, -1, 1078, 776, -1, 1047, 776, -1, 
  1247, -1, 1079, 776, -1, 1249, -1, 1048, 
  772, -1, 1251, -1, 1080, 772, -1, 1048, 
  776, -1, 1253, -1, 1080, 776, -1, 1054, 
  776, -1, 1255, -1, 1086, 776, -1, 1257, 
  -1, 1256, 776, -1, 1259, -1, 1257, 776, 
  -1, 1069, 776, -1, 1261, -1, 1101, 776, 
  -1, 1059, 772, -1, 1263, -1, 1091, 772, 
  -1, 1059, 776, -1, 1265, -1, 1091, 776, 
  -1, 1059, 779, -1, 1267, -1, 1091, 779, 
  -1, 1063, 776, -1, 1269, -1, 1095, 776, 
  -1, 1271, -1, 1067, 776, -1, 1273, -1, 
  1099, 776, -1, 1281, -1, 1283, -1, 1285, 
  -1, 1287, -1, 1289, -1, 1291, -1, 1293, 
  -1, 1295, -1, 1377, -1, 1378, -1, 1379, 
  -1, 1380, -1, 1381, -1, 1382, -1, 1383, 
  -1, 1384, -1, 1385, -1, 1386, -1, 1387, 
  -1, 1388, -1, 1389, -1, 1390, -1, 1391, 
  -1, 1392, -1, 1393, -1, 1394, -1, 1395, 
  -1, 1396, -1, 1397, -1, 1398, -1, 1399, 
  -1, 1400, -1, 1401, -1, 1402, -1, 1403, 
  -1, 1404, -1, 1405, -1, 1406, -1, 1407, 
  -1, 1408, -1, 1409, -1, 1410, -1, 1411, 
  -1, 1412, -1, 1413, -1, 1414, -1, 1381, 
  1410, -1, 1575, 1619, -1, 1575, 1620, -1, 
  1608, 1620, -1, 1575, 1621, -1, 1610, 1620, 
  -1, 1575, 1652, -1, 1608, 1652, -1, 1735, 
  1652, -1, 1610, 1652, -1, 1749, 1620, -1, 
  1729, 1620, -1, 1746, 1620, -1, 2344, 2364, 
  -1, 2352, 2364, -1, 2355, 2364, -1, 2325, 
  2364, -1, 2326, 2364, -1, 2327, 2364, -1, 
  2332, 2364, -1, 2337, 2364, -1, 2338, 2364, 
  -1, 2347, 2364, -1, 2351, 2364, -1, 2503, 
  2494, -1, 2503, 2519, -1, 2465, 2492, -1, 
  2466, 2492, -1, 2479, 2492, -1, 2610, 2620, 
  -1, 2616, 2620, -1, 2582, 2620, -1, 2583, 
  2620, -1, 2588, 2620, -1, 2603, 2620, -1, 
  2887, 2902, -1, 2887, 2878, -1, 2887, 2903, 
  -1, 2849, 2876, -1, 2850, 2876, -1, 2962, 
  3031, -1, 3014, 3006, -1, 3015, 3006, -1, 
  3014, 3031, -1, 3142, 3158, -1, 3263, 3285, 
  -1, 3270, 3285, -1, 3270, 3286, -1, 3270, 
  3266, -1, 3274, 3285, -1, 3398, 3390, -1, 
  3399, 3390, -1, 3398, 3415, -1, 3545, 3530, 
  -1, 3545, 3535, -1, 3548, 3530, -1, 3545, 
  3551, -1, 3661, 3634, -1, 3789, 3762, -1, 
  3755, 3737, -1, 3755, 3745, -1, 3851, -1, 
  3906, 4023, -1, 3916, 4023, -1, 3921, 4023, 
  -1, 3926, 4023, -1, 3931, 4023, -1, 3904, 
  4021, -1, 3953, 3954, -1, 3953, 3956, -1, 
  4018, 3968, -1, 4018, 3969, -1, 4019, 3968, 
  -1, 4019, 3969, -1, 3953, 3968, -1, 3986, 
  4023, -1, 3996, 4023, -1, 4001, 4023, -1, 
  4006, 4023, -1, 4011, 4023, -1, 3984, 4021, 
  -1, 4133, 4142, -1, 11520, -1, 11521, -1, 
  11522, -1, 11523, -1, 11524, -1, 11525, -1, 
  11526, -1, 11527, -1, 11528, -1, 11529, -1, 
  11530, -1, 11531, -1, 11532, -1, 11533, -1, 
  11534, -1, 11535, -1, 11536, -1, 11537, -1, 
  11538, -1, 11539, -1, 11540, -1, 11541, -1, 
  11542, -1, 11543, -1, 11544, -1, 11545, -1, 
  11546, -1, 11547, -1, 11548, -1, 11549, -1, 
  11550, -1, 11551, -1, 11552, -1, 11553, -1, 
  11554, -1, 11555, -1, 11556, -1, 11557, -1, 
  4316, -1, 65, -1, 198, -1, 66, -1, 
  68, -1, 69, -1, 398, -1, 71, -1, 
  72, -1, 73, -1, 74, -1, 75, -1, 
  76, -1, 77, -1, 78, -1, 79, -1, 
  546, -1, 80, -1, 82, -1, 84, -1, 
  85, -1, 87, -1, 592, -1, 593, -1, 
  7426, -1, 604, -1, 7446, -1, 7447, -1, 
  7453, -1, 7461, -1, 594, -1, 597, -1, 
  607, -1, 609, -1, 613, -1, 618, -1, 
  7547, -1, 669, -1, 621, -1, 7557, -1, 
  671, -1, 625, -1, 624, -1, 627, -1, 
  628, -1, 632, -1, 642, -1, 427, -1, 
  649, -1, 7452, -1, 652, -1, 656, -1, 
  657, -1, 65, 805, -1, 7681, -1, 97, 
  805, -1, 66, 775, -1, 7683, -1, 98, 
  775, -1, 66, 803, -1, 7685, -1, 98, 
  803, -1, 66, 817, -1, 7687, -1, 98, 
  817, -1, 199, 769, -1, 7689, -1, 231, 
  769, -1, 68, 775, -1, 7691, -1, 100, 
  775, -1, 68, 803, -1, 7693, -1, 100, 
  803, -1, 68, 817, -1, 7695, -1, 100, 
  817, -1, 68, 807, -1, 7697, -1, 100, 
  807, -1, 68, 813, -1, 7699, -1, 100, 
  813, -1, 274, 768, -1, 7701, -1, 275, 
  768, -1, 274, 769, -1, 7703, -1, 275, 
  769, -1, 69, 813, -1, 7705, -1, 101, 
  813, -1, 69, 816, -1, 7707, -1, 101, 
  816, -1, 552, 774, -1, 7709, -1, 553, 
  774, -1, 70, 775, -1, 7711, -1, 102, 
  775, -1, 71, 772, -1, 7713, -1, 103, 
  772, -1, 72, 775, -1, 7715, -1, 104, 
  775, -1, 72, 803, -1, 7717, -1, 104, 
  803, -1, 72, 776, -1, 7719, -1, 104, 
  776, -1, 72, 807, -1, 7721, -1, 104, 
  807, -1, 72, 814, -1, 7723, -1, 104, 
  814, -1, 73, 816, -1, 7725, -1, 105, 
  816, -1, 207, 769, -1, 7727, -1, 239, 
  769, -1, 75, 769, -1, 7729, -1, 107, 
  769, -1, 75, 803, -1, 7731, -1, 107, 
  803, -1, 75, 817, -1, 7733, -1, 107, 
  817, -1, 76, 803, -1, 7735, -1, 108, 
  803, -1, 7734, 772, -1, 7737, -1, 7735, 
  772, -1, 76, 817, -1, 7739, -1, 108, 
  817, -1, 76, 813, -1, 7741, -1, 108, 
  813, -1, 77, 769, -1, 7743, -1, 109, 
  769, -1, 77, 775, -1, 7745, -1, 109, 
  775, -1, 77, 803, -1, 7747, -1, 109, 
  803, -1, 78, 775, -1, 7749, -1, 110, 
  775, -1, 78, 803, -1, 7751, -1, 110, 
  803, -1, 78, 817, -1, 7753, -1, 110, 
  817, -1, 78, 813, -1, 7755, -1, 110, 
  813, -1, 213, 769, -1, 7757, -1, 245, 
  769, -1, 213, 776, -1, 7759, -1, 245, 
  776, -1, 332, 768, -1, 7761, -1, 333, 
  768, -1, 332, 769, -1, 7763, -1, 333, 
  769, -1, 80, 769, -1, 7765, -1, 112, 
  769, -1, 80, 775, -1, 7767, -1, 112, 
  775, -1, 82, 775, -1, 7769, -1, 114, 
  775, -1, 82, 803, -1, 7771, -1, 114, 
  803, -1, 7770, 772, -1, 7773, -1, 7771, 
  772, -1, 82, 817, -1, 7775, -1, 114, 
  817, -1, 83, 775, -1, 7777, -1, 115, 
  775, -1, 83, 803, -1, 7779, -1, 115, 
  803, -1, 346, 775, -1, 7781, -1, 347, 
  775, -1, 352, 775, -1, 7783, -1, 353, 
  775, -1, 7778, 775, -1, 7785, -1, 7779, 
  775, -1, 84, 775, -1, 7787, -1, 116, 
  775, -1, 84, 803, -1, 7789, -1, 116, 
  803, -1, 84, 817, -1, 7791, -1, 116, 
  817, -1, 84, 813, -1, 7793, -1, 116, 
  813, -1, 85, 804, -1, 7795, -1, 117, 
  804, -1, 85, 816, -1, 7797, -1, 117, 
  816, -1, 85, 813, -1, 7799, -1, 117, 
  813, -1, 360, 769, -1, 7801, -1, 361, 
  769, -1, 362, 776, -1, 7803, -1, 363, 
  776, -1, 86, 771, -1, 7805, -1, 118, 
  771, -1, 86, 803, -1, 7807, -1, 118, 
  803, -1, 87, 768, -1, 7809, -1, 119, 
  768, -1, 87, 769, -1, 7811, -1, 119, 
  769, -1, 87, 776, -1, 7813, -1, 119, 
  776, -1, 87, 775, -1, 7815, -1, 119, 
  775, -1, 87, 803, -1, 7817, -1, 119, 
  803, -1, 88, 775, -1, 7819, -1, 120, 
  775, -1, 88, 776, -1, 7821, -1, 120, 
  776, -1, 89, 775, -1, 7823, -1, 121, 
  775, -1, 90, 770, -1, 7825, -1, 122, 
  770, -1, 90, 803, -1, 7827, -1, 122, 
  803, -1, 90, 817, -1, 7829, -1, 122, 
  817, -1, 104, 817, -1, 116, 776, -1, 
  119, 778, -1, 121, 778, -1, 97, 702, 
  -1, 383, 775, -1, 65, 803, -1, 7841, 
  -1, 97, 803, -1, 65, 777, -1, 7843, 
  -1, 97, 777, -1, 194, 769, -1, 7845, 
  -1, 226, 769, -1, 194, 768, -1, 7847, 
  -1, 226, 768, -1, 194, 777, -1, 7849, 
  -1, 226, 777, -1, 194, 771, -1, 7851, 
  -1, 226, 771, -1, 7840, 770, -1, 7853, 
  -1, 7841, 770, -1, 258, 769, -1, 7855, 
  -1, 259, 769, -1, 258, 768, -1, 7857, 
  -1, 259, 768, -1, 258, 777, -1, 7859, 
  -1, 259, 777, -1, 258, 771, -1, 7861, 
  -1, 259, 771, -1, 7840, 774, -1, 7863, 
  -1, 7841, 774, -1, 69, 803, -1, 7865, 
  -1, 101, 803, -1, 69, 777, -1, 7867, 
  -1, 101, 777, -1, 69, 771, -1, 7869, 
  -1, 101, 771, -1, 202, 769, -1, 7871, 
  -1, 234, 769, -1, 202, 768, -1, 7873, 
  -1, 234, 768, -1, 202, 777, -1, 7875, 
  -1, 234, 777, -1, 202, 771, -1, 7877, 
  -1, 234, 771, -1, 7864, 770, -1, 7879, 
  -1, 7865, 770, -1, 73, 777, -1, 7881, 
  -1, 105, 777, -1, 73, 803, -1, 7883, 
  -1, 105, 803, -1, 79, 803, -1, 7885, 
  -1, 111, 803, -1, 79, 777, -1, 7887, 
  -1, 111, 777, -1, 212, 769, -1, 7889, 
  -1, 244, 769, -1, 212, 768, -1, 7891, 
  -1, 244, 768, -1, 212, 777, -1, 7893, 
  -1, 244, 777, -1, 212, 771, -1, 7895, 
  -1, 244, 771, -1, 7884, 770, -1, 7897, 
  -1, 7885, 770, -1, 416, 769, -1, 7899, 
  -1, 417, 769, -1, 416, 768, -1, 7901, 
  -1, 417, 768, -1, 416, 777, -1, 7903, 
  -1, 417, 777, -1, 416, 771, -1, 7905, 
  -1, 417, 771, -1, 416, 803, -1, 7907, 
  -1, 417, 803, -1, 85, 803, -1, 7909, 
  -1, 117, 803, -1, 85, 777, -1, 7911, 
  -1, 117, 777, -1, 431, 769, -1, 7913, 
  -1, 432, 769, -1, 431, 768, -1, 7915, 
  -1, 432, 768, -1, 431, 777, -1, 7917, 
  -1, 432, 777, -1, 431, 771, -1, 7919, 
  -1, 432, 771, -1, 431, 803, -1, 7921, 
  -1, 432, 803, -1, 89, 768, -1, 7923, 
  -1, 121, 768, -1, 89, 803, -1, 7925, 
  -1, 121, 803, -1, 89, 777, -1, 7927, 
  -1, 121, 777, -1, 89, 771, -1, 7929, 
  -1, 121, 771, -1, 945, 787, -1, 945, 
  788, -1, 7936, 768, -1, 7937, 768, -1, 
  7936, 769, -1, 7937, 769, -1, 7936, 834, 
  -1, 7937, 834, -1, 913, 787, -1, 7936, 
  -1, 913, 788, -1, 7937, -1, 7944, 768, 
  -1, 7938, -1, 7945, 768, -1, 7939, -1, 
  7944, 769, -1, 7940, -1, 7945, 769, -1, 
  7941, -1, 7944, 834, -1, 7942, -1, 7945, 
  834, -1, 7943, -1, 949, 787, -1, 949, 
  788, -1, 7952, 768, -1, 7953, 768, -1, 
  7952, 769, -1, 7953, 769, -1, 917, 787, 
  -1, 7952, -1, 917, 788, -1, 7953, -1, 
  7960, 768, -1, 7954, -1, 7961, 768, -1, 
  7955, -1, 7960, 769, -1, 7956, -1, 7961, 
  769, -1, 7957, -1, 951, 787, -1, 951, 
  788, -1, 7968, 768, -1, 7969, 768, -1, 
  7968, 769, -1, 7969, 769, -1, 7968, 834, 
  -1, 7969, 834, -1, 919, 787, -1, 7968, 
  -1, 919, 788, -1, 7969, -1, 7976, 768, 
  -1, 7970, -1, 7977, 768, -1, 7971, -1, 
  7976, 769, -1, 7972, -1, 7977, 769, -1, 
  7973, -1, 7976, 834, -1, 7974, -1, 7977, 
  834, -1, 7975, -1, 953, 787, -1, 953, 
  788, -1, 7984, 768, -1, 7985, 768, -1, 
  7984, 769, -1, 7985, 769, -1, 7984, 834, 
  -1, 7985, 834, -1, 921, 787, -1, 7984, 
  -1, 921, 788, -1, 7985, -1, 7992, 768, 
  -1, 7986, -1, 7993, 768, -1, 7987, -1, 
  7992, 769, -1, 7988, -1, 7993, 769, -1, 
  7989, -1, 7992, 834, -1, 7990, -1, 7993, 
  834, -1, 7991, -1, 959, 787, -1, 959, 
  788, -1, 8000, 768, -1, 8001, 768, -1, 
  8000, 769, -1, 8001, 769, -1, 927, 787, 
  -1, 8000, -1, 927, 788, -1, 8001, -1, 
  8008, 768, -1, 8002, -1, 8009, 768, -1, 
  8003, -1, 8008, 769, -1, 8004, -1, 8009, 
  769, -1, 8005, -1, 965, 787, -1, 965, 
  788, -1, 8016, 768, -1, 965, 787, 768, 
  -1, 8017, 768, -1, 8016, 769, -1, 965, 
  787, 769, -1, 8017, 769, -1, 8016, 834, 
  -1, 965, 787, 834, -1, 8017, 834, -1, 
  933, 788, -1, 8017, -1, 8025, 768, -1, 
  8019, -1, 8025, 769, -1, 8021, -1, 8025, 
  834, -1, 8023, -1, 969, 787, -1, 969, 
  788, -1, 8032, 768, -1, 8033, 768, -1, 
  8032, 769, -1, 8033, 769, -1, 8032, 834, 
  -1, 8033, 834, -1, 937, 787, -1, 8032, 
  -1, 937, 788, -1, 8033, -1, 8040, 768, 
  -1, 8034, -1, 8041, 768, -1, 8035, -1, 
  8040, 769, -1, 8036, -1, 8041, 769, -1, 
  8037, -1, 8040, 834, -1, 8038, -1, 8041, 
  834, -1, 8039, -1, 945, 768, -1, 949, 
  768, -1, 951, 768, -1, 953, 768, -1, 
  959, 768, -1, 965, 768, -1, 969, 768, 
  -1, 7936, 837, -1, 7936, 953, -1, 7937, 
  837, -1, 7937, 953, -1, 7938, 837, -1, 
  7938, 953, -1, 7939, 837, -1, 7939, 953, 
  -1, 7940, 837, -1, 7940, 953, -1, 7941, 
  837, -1, 7941, 953, -1, 7942, 837, -1, 
  7942, 953, -1, 7943, 837, -1, 7943, 953, 
  -1, 7944, 837, -1, 8064, -1, 7945, 837, 
  -1, 8065, -1, 7946, 837, -1, 8066, -1, 
  7947, 837, -1, 8067, -1, 7948, 837, -1, 
  8068, -1, 7949, 837, -1, 8069, -1, 7950, 
  837, -1, 8070, -1, 7951, 837, -1, 8071, 
  -1, 7968, 837, -1, 7968, 953, -1, 7969, 
  837, -1, 7969, 953, -1, 7970, 837, -1, 
  7970, 953, -1, 7971, 837, -1, 7971, 953, 
  -1, 7972, 837, -1, 7972, 953, -1, 7973, 
  837, -1, 7973, 953, -1, 7974, 837, -1, 
  7974, 953, -1, 7975, 837, -1, 7975, 953, 
  -1, 7976, 837, -1, 8080, -1, 7977, 837, 
  -1, 8081, -1, 7978, 837, -1, 8082, -1, 
  7979, 837, -1, 8083, -1, 7980, 837, -1, 
  8084, -1, 7981, 837, -1, 8085, -1, 7982, 
  837, -1, 8086, -1, 7983, 837, -1, 8087, 
  -1, 8032, 837, -1, 8032, 953, -1, 8033, 
  837, -1, 8033, 953, -1, 8034, 837, -1, 
  8034, 953, -1, 8035, 837, -1, 8035, 953, 
  -1, 8036, 837, -1, 8036, 953, -1, 8037, 
  837, -1, 8037, 953, -1, 8038, 837, -1, 
  8038, 953, -1, 8039, 837, -1, 8039, 953, 
  -1, 8040, 837, -1, 8096, -1, 8041, 837, 
  -1, 8097, -1, 8042, 837, -1, 8098, -1, 
  8043, 837, -1, 8099, -1, 8044, 837, -1, 
  8100, -1, 8045, 837, -1, 8101, -1, 8046, 
  837, -1, 8102, -1, 8047, 837, -1, 8103, 
  -1, 945, 774, -1, 945, 772, -1, 8048, 
  837, -1, 8048, 953, -1, 945, 837, -1, 
  945, 953, -1, 940, 837, -1, 940, 953, 
  -1, 945, 834, -1, 8118, 837, -1, 945, 
  834, 953, -1, 913, 774, -1, 8112, -1, 
  913, 772, -1, 8113, -1, 913, 768, -1, 
  8048, -1, 902, -1, 8049, -1, 913, 837, 
  -1, 8115, -1, 32, 787, -1, 32, 834, 
  -1, 168, 834, -1, 8052, 837, -1, 8052, 
  953, -1, 951, 837, -1, 951, 953, -1, 
  942, 837, -1, 942, 953, -1, 951, 834, 
  -1, 8134, 837, -1, 951, 834, 953, -1, 
  917, 768, -1, 8050, -1, 904, -1, 8051, 
  -1, 919, 768, -1, 8052, -1, 905, -1, 
  8053, -1, 919, 837, -1, 8131, -1, 8127, 
  768, -1, 8127, 769, -1, 8127, 834, -1, 
  953, 774, -1, 953, 772, -1, 970, 768, 
  -1, 953, 776, 768, -1, 912, -1, 953, 
  834, -1, 970, 834, -1, 953, 776, 834, 
  -1, 921, 774, -1, 8144, -1, 921, 772, 
  -1, 8145, -1, 921, 768, -1, 8054, -1, 
  906, -1, 8055, -1, 8190, 768, -1, 8190, 
  769, -1, 8190, 834, -1, 965, 774, -1, 
  965, 772, -1, 971, 768, -1, 965, 776, 
  768, -1, 944, -1, 961, 787, -1, 961, 
  788, -1, 965, 834, -1, 971, 834, -1, 
  965, 776, 834, -1, 933, 774, -1, 8160, 
  -1, 933, 772, -1, 8161, -1, 933, 768, 
  -1, 8058, -1, 910, -1, 8059, -1, 929, 
  788, -1, 8165, -1, 168, 768, -1, 901, 
  -1, 96, -1, 8060, 837, -1, 8060, 953, 
  -1, 969, 837, -1, 969, 953, -1, 974, 
  837, -1, 974, 953, -1, 969, 834, -1, 
  8182, 837, -1, 969, 834, 953, -1, 927, 
  768, -1, 8056, -1, 908, -1, 8057, -1, 
  937, 768, -1, 8060, -1, 911, -1, 8061, 
  -1, 937, 837, -1, 8179, -1, 180, -1, 
  32, 788, -1, 8194, -1, 8195, -1, 8208, 
  -1, 32, 819, -1, 46, -1, 46, 46, 
  -1, 46, 46, 46, -1, 8242, 8242, -1, 
  8242, 8242, 8242, -1, 8245, 8245, -1, 8245, 
  8245, 8245, -1, 33, 33, -1, 32, 773, 
  -1, 63, 63, -1, 63, 33, -1, 33, 
  63, -1, 8242, 8242, 8242, 8242, -1, 48, 
  -1, 52, -1, 53, -1, 54, -1, 55, 
  -1, 56, -1, 57, -1, 43, -1, 8722, 
  -1, 61, -1, 40, -1, 41, -1, 82, 
  115, -1, 97, 47, 99, -1, 97, 47, 
  115, -1, 67, -1, 176, 67, -1, 99, 
  47, 111, -1, 99, 47, 117, -1, 400, 
  -1, 176, 70, -1, 78, 111, -1, 81, 
  -1, 83, 77, -1, 84, 69, 76, -1, 
  84, 77, -1, 90, -1, 937, -1, 197, 
  -1, 70, -1, 1488, -1, 1489, -1, 1490, 
  -1, 1491, -1, 70, 65, 88, -1, 915, 
  -1, 928, -1, 8721, -1, 49, 8260, 51, 
  -1, 50, 8260, 51, -1, 49, 8260, 53, 
  -1, 50, 8260, 53, -1, 51, 8260, 53, 
  -1, 52, 8260, 53, -1, 49, 8260, 54, 
  -1, 53, 8260, 54, -1, 49, 8260, 56, 
  -1, 51, 8260, 56, -1, 53, 8260, 56, 
  -1, 55, 8260, 56, -1, 49, 8260, -1, 
  8560, -1, 73, 73, -1, 8561, -1, 73, 
  73, 73, -1, 8562, -1, 73, 86, -1, 
  8563, -1, 86, -1, 8564, -1, 86, 73, 
  -1, 8565, -1, 86, 73, 73, -1, 8566, 
  -1, 86, 73, 73, 73, -1, 8567, -1, 
  73, 88, -1, 8568, -1, 88, -1, 8569, 
  -1, 88, 73, -1, 8570, -1, 88, 73, 
  73, -1, 8571, -1, 8572, -1, 8573, -1, 
  8574, -1, 8575, -1, 105, 105, -1, 105, 
  105, 105, -1, 105, 118, -1, 118, 105, 
  -1, 118, 105, 105, -1, 118, 105, 105, 
  105, -1, 105, 120, -1, 120, 105, -1, 
  120, 105, 105, -1, 8592, 824, -1, 8594, 
  824, -1, 8596, 824, -1, 8656, 824, -1, 
  8660, 824, -1, 8658, 824, -1, 8707, 824, 
  -1, 8712, 824, -1, 8715, 824, -1, 8739, 
  824, -1, 8741, 824, -1, 8747, 8747, -1, 
  8747, 8747, 8747, -1, 8750, 8750, -1, 8750, 
  8750, 8750, -1, 8764, 824, -1, 8771, 824, 
  -1, 8773, 824, -1, 8776, 824, -1, 61, 
  824, -1, 8801, 824, -1, 8781, 824, -1, 
  60, 824, -1, 62, 824, -1, 8804, 824, 
  -1, 8805, 824, -1, 8818, 824, -1, 8819, 
  824, -1, 8822, 824, -1, 8823, 824, -1, 
  8826, 824, -1, 8827, 824, -1, 8834, 824, 
  -1, 8835, 824, -1, 8838, 824, -1, 8839, 
  824, -1, 8866, 824, -1, 8872, 824, -1, 
  8873, 824, -1, 8875, 824, -1, 8828, 824, 
  -1, 8829, 824, -1, 8849, 824, -1, 8850, 
  824, -1, 8882, 824, -1, 8883, 824, -1, 
  8884, 824, -1, 8885, 824, -1, 12296, -1, 
  12297, -1, 49, 48, -1, 49, 49, -1, 
  49, 50, -1, 49, 51, -1, 49, 52, 
  -1, 49, 53, -1, 49, 54, -1, 49, 
  55, -1, 49, 56, -1, 49, 57, -1, 
  50, 48, -1, 40, 49, 41, -1, 40, 
  50, 41, -1, 40, 51, 41, -1, 40, 
  52, 41, -1, 40, 53, 41, -1, 40, 
  54, 41, -1, 40, 55, 41, -1, 40, 
  56, 41, -1, 40, 57, 41, -1, 40, 
  49, 48, 41, -1, 40, 49, 49, 41, 
  -1, 40, 49, 50, 41, -1, 40, 49, 
  51, 41, -1, 40, 49, 52, 41, -1, 
  40, 49, 53, 41, -1, 40, 49, 54, 
  41, -1, 40, 49, 55, 41, -1, 40, 
  49, 56, 41, -1, 40, 49, 57, 41, 
  -1, 40, 50, 48, 41, -1, 49, 46, 
  -1, 50, 46, -1, 51, 46, -1, 52, 
  46, -1, 53, 46, -1, 54, 46, -1, 
  55, 46, -1, 56, 46, -1, 57, 46, 
  -1, 49, 48, 46, -1, 49, 49, 46, 
  -1, 49, 50, 46, -1, 49, 51, 46, 
  -1, 49, 52, 46, -1, 49, 53, 46, 
  -1, 49, 54, 46, -1, 49, 55, 46, 
  -1, 49, 56, 46, -1, 49, 57, 46, 
  -1, 50, 48, 46, -1, 40, 97, 41, 
  -1, 40, 98, 41, -1, 40, 99, 41, 
  -1, 40, 100, 41, -1, 40, 101, 41, 
  -1, 40, 102, 41, -1, 40, 103, 41, 
  -1, 40, 104, 41, -1, 40, 105, 41, 
  -1, 40, 106, 41, -1, 40, 107, 41, 
  -1, 40, 108, 41, -1, 40, 109, 41, 
  -1, 40, 110, 41, -1, 40, 111, 41, 
  -1, 40, 112, 41, -1, 40, 113, 41, 
  -1, 40, 114, 41, -1, 40, 115, 41, 
  -1, 40, 116, 41, -1, 40, 117, 41, 
  -1, 40, 118, 41, -1, 40, 119, 41, 
  -1, 40, 120, 41, -1, 40, 121, 41, 
  -1, 40, 122, 41, -1, 9424, -1, 9425, 
  -1, 9426, -1, 9427, -1, 9428, -1, 9429, 
  -1, 9430, -1, 9431, -1, 9432, -1, 9433, 
  -1, 9434, -1, 9435, -1, 9436, -1, 9437, 
  -1, 9438, -1, 9439, -1, 9440, -1, 9441, 
  -1, 83, -1, 9442, -1, 9443, -1, 9444, 
  -1, 9445, -1, 9446, -1, 9447, -1, 89, 
  -1, 9448, -1, 9449, -1, 8747, 8747, 8747, 
  8747, -1, 58, 58, 61, -1, 61, 61, 
  -1, 61, 61, 61, -1, 10973, 824, -1, 
  11312, -1, 11313, -1, 11314, -1, 11315, -1, 
  11316, -1, 11317, -1, 11318, -1, 11319, -1, 
  11320, -1, 11321, -1, 11322, -1, 11323, -1, 
  11324, -1, 11325, -1, 11326, -1, 11327, -1, 
  11328, -1, 11329, -1, 11330, -1, 11331, -1, 
  11332, -1, 11333, -1, 11334, -1, 11335, -1, 
  11336, -1, 11337, -1, 11338, -1, 11339, -1, 
  11340, -1, 11341, -1, 11342, -1, 11343, -1, 
  11344, -1, 11345, -1, 11346, -1, 11347, -1, 
  11348, -1, 11349, -1, 11350, -1, 11351, -1, 
  11352, -1, 11353, -1, 11354, -1, 11355, -1, 
  11356, -1, 11357, -1, 11358, -1, 11393, -1, 
  11395, -1, 11397, -1, 11399, -1, 11401, -1, 
  11403, -1, 11405, -1, 11407, -1, 11409, -1, 
  11411, -1, 11413, -1, 11415, -1, 11417, -1, 
  11419, -1, 11421, -1, 11423, -1, 11425, -1, 
  11427, -1, 11429, -1, 11431, -1, 11433, -1, 
  11435, -1, 11437, -1, 11439, -1, 11441, -1, 
  11443, -1, 11445, -1, 11447, -1, 11449, -1, 
  11451, -1, 11453, -1, 11455, -1, 11457, -1, 
  11459, -1, 11461, -1, 11463, -1, 11465, -1, 
  11467, -1, 11469, -1, 11471, -1, 11473, -1, 
  11475, -1, 11477, -1, 11479, -1, 11481, -1, 
  11483, -1, 11485, -1, 11487, -1, 11489, -1, 
  11491, -1, 11617, -1, 27597, -1, 40863, -1, 
  19968, -1, 20008, -1, 20022, -1, 20031, -1, 
  20057, -1, 20101, -1, 20108, -1, 20128, -1, 
  20154, -1, 20799, -1, 20837, -1, 20843, -1, 
  20866, -1, 20886, -1, 20907, -1, 20960, -1, 
  20981, -1, 20992, -1, 21147, -1, 21241, -1, 
  21269, -1, 21274, -1, 21304, -1, 21313, -1, 
  21340, -1, 21353, -1, 21378, -1, 21430, -1, 
  21448, -1, 21475, -1, 22231, -1, 22303, -1, 
  22763, -1, 22786, -1, 22794, -1, 22805, -1, 
  22823, -1, 22899, -1, 23376, -1, 23424, -1, 
  23544, -1, 23567, -1, 23586, -1, 23608, -1, 
  23662, -1, 23665, -1, 24027, -1, 24037, -1, 
  24049, -1, 24062, -1, 24178, -1, 24186, -1, 
  24191, -1, 24308, -1, 24318, -1, 24331, -1, 
  24339, -1, 24400, -1, 24417, -1, 24435, -1, 
  24515, -1, 25096, -1, 25142, -1, 25163, -1, 
  25903, -1, 25908, -1, 25991, -1, 26007, -1, 
  26020, -1, 26041, -1, 26080, -1, 26085, -1, 
  26352, -1, 26376, -1, 26408, -1, 27424, -1, 
  27490, -1, 27513, -1, 27571, -1, 27595, -1, 
  27604, -1, 27611, -1, 27663, -1, 27668, -1, 
  27700, -1, 28779, -1, 29226, -1, 29238, -1, 
  29243, -1, 29247, -1, 29255, -1, 29273, -1, 
  29275, -1, 29356, -1, 29572, -1, 29577, -1, 
  29916, -1, 29926, -1, 29976, -1, 29983, -1, 
  29992, -1, 30000, -1, 30091, -1, 30098, -1, 
  30326, -1, 30333, -1, 30382, -1, 30399, -1, 
  30446, -1, 30683, -1, 30690, -1, 30707, -1, 
  31034, -1, 31160, -1, 31166, -1, 31348, -1, 
  31435, -1, 31481, -1, 31859, -1, 31992, -1, 
  32566, -1, 32593, -1, 32650, -1, 32701, -1, 
  32769, -1, 32780, -1, 32786, -1, 32819, -1, 
  32895, -1, 32905, -1, 33251, -1, 33258, -1, 
  33267, -1, 33276, -1, 33292, -1, 33307, -1, 
  33311, -1, 33390, -1, 33394, -1, 33400, -1, 
  34381, -1, 34411, -1, 34880, -1, 34892, -1, 
  34915, -1, 35198, -1, 35211, -1, 35282, -1, 
  35328, -1, 35895, -1, 35910, -1, 35925, -1, 
  35960, -1, 35997, -1, 36196, -1, 36208, -1, 
  36275, -1, 36523, -1, 36554, -1, 36763, -1, 
  36784, -1, 36789, -1, 37009, -1, 37193, -1, 
  37318, -1, 37324, -1, 37329, -1, 38263, -1, 
  38272, -1, 38428, -1, 38582, -1, 38585, -1, 
  38632, -1, 38737, -1, 38750, -1, 38754, -1, 
  38761, -1, 38859, -1, 38893, -1, 38899, -1, 
  38913, -1, 39080, -1, 39131, -1, 39135, -1, 
  39318, -1, 39321, -1, 39340, -1, 39592, -1, 
  39640, -1, 39647, -1, 39717, -1, 39727, -1, 
  39730, -1, 39740, -1, 39770, -1, 40165, -1, 
  40565, -1, 40575, -1, 40613, -1, 40635, -1, 
  40643, -1, 40653, -1, 40657, -1, 40697, -1, 
  40701, -1, 40718, -1, 40723, -1, 40736, -1, 
  40763, -1, 40778, -1, 40786, -1, 40845, -1, 
  40860, -1, 40864, -1, 12306, -1, 21316, -1, 
  21317, -1, 12363, 12441, -1, 12365, 12441, -1, 
  12367, 12441, -1, 12369, 12441, -1, 12371, 12441, 
  -1, 12373, 12441, -1, 12375, 12441, -1, 12377, 
  12441, -1, 12379, 12441, -1, 12381, 12441, -1, 
  12383, 12441, -1, 12385, 12441, -1, 12388, 12441, 
  -1, 12390, 12441, -1, 12392, 12441, -1, 12399, 
  12441, -1, 12399, 12442, -1, 12402, 12441, -1, 
  12402, 12442, -1, 12405, 12441, -1, 12405, 12442, 
  -1, 12408, 12441, -1, 12408, 12442, -1, 12411, 
  12441, -1, 12411, 12442, -1, 12358, 12441, -1, 
  32, 12441, -1, 32, 12442, -1, 12445, 12441, 
  -1, 12424, 12426, -1, 12459, 12441, -1, 12461, 
  12441, -1, 12463, 12441, -1, 12465, 12441, -1, 
  12467, 12441, -1, 12469, 12441, -1, 12471, 12441, 
  -1, 12473, 12441, -1, 12475, 12441, -1, 12477, 
  12441, -1, 12479, 12441, -1, 12481, 12441, -1, 
  12484, 12441, -1, 12486, 12441, -1, 12488, 12441, 
  -1, 12495, 12441, -1, 12495, 12442, -1, 12498, 
  12441, -1, 12498, 12442, -1, 12501, 12441, -1, 
  12501, 12442, -1, 12504, 12441, -1, 12504, 12442, 
  -1, 12507, 12441, -1, 12507, 12442, -1, 12454, 
  12441, -1, 12527, 12441, -1, 12528, 12441, -1, 
  12529, 12441, -1, 12530, 12441, -1, 12541, 12441, 
  -1, 12467, 12488, -1, 4352, -1, 4353, -1, 
  4522, -1, 4354, -1, 4524, -1, 4525, -1, 
  4355, -1, 4356, -1, 4357, -1, 4528, -1, 
  4529, -1, 4530, -1, 4531, -1, 4532, -1, 
  4533, -1, 4378, -1, 4358, -1, 4359, -1, 
  4360, -1, 4385, -1, 4361, -1, 4362, -1, 
  4363, -1, 4364, -1, 4365, -1, 4366, -1, 
  4367, -1, 4368, -1, 4369, -1, 4370, -1, 
  4449, -1, 4450, -1, 4451, -1, 4452, -1, 
  4453, -1, 4454, -1, 4455, -1, 4456, -1, 
  4457, -1, 4458, -1, 4459, -1, 4460, -1, 
  4461, -1, 4462, -1, 4463, -1, 4464, -1, 
  4465, -1, 4466, -1, 4467, -1, 4468, -1, 
  4469, -1, 4448, -1, 4372, -1, 4373, -1, 
  4551, -1, 4552, -1, 4556, -1, 4558, -1, 
  4563, -1, 4567, -1, 4569, -1, 4380, -1, 
  4573, -1, 4575, -1, 4381, -1, 4382, -1, 
  4384, -1, 4386, -1, 4387, -1, 4391, -1, 
  4393, -1, 4395, -1, 4396, -1, 4397, -1, 
  4398, -1, 4399, -1, 4402, -1, 4406, -1, 
  4416, -1, 4423, -1, 4428, -1, 4593, -1, 
  4594, -1, 4439, -1, 4440, -1, 4441, -1, 
  4484, -1, 4485, -1, 4488, -1, 4497, -1, 
  4498, -1, 4500, -1, 4510, -1, 4513, -1, 
  19977, -1, 22235, -1, 19978, -1, 20013, -1, 
  19979, -1, 30002, -1, 19993, -1, 19969, -1, 
  22825, -1, 22320, -1, 40, 4352, 41, -1, 
  40, 4354, 41, -1, 40, 4355, 41, -1, 
  40, 4357, 41, -1, 40, 4358, 41, -1, 
  40, 4359, 41, -1, 40, 4361, 41, -1, 
  40, 4363, 41, -1, 40, 4364, 41, -1, 
  40, 4366, 41, -1, 40, 4367, 41, -1, 
  40, 4368, 41, -1, 40, 4369, 41, -1, 
  40, 4370, 41, -1, 40, 4352, 4449, 41, 
  -1, 40, 4354, 4449, 41, -1, 40, 4355, 
  4449, 41, -1, 40, 4357, 4449, 41, -1, 
  40, 4358, 4449, 41, -1, 40, 4359, 4449, 
  41, -1, 40, 4361, 4449, 41, -1, 40, 
  4363, 4449, 41, -1, 40, 4364, 4449, 41, 
  -1, 40, 4366, 4449, 41, -1, 40, 4367, 
  4449, 41, -1, 40, 4368, 4449, 41, -1, 
  40, 4369, 4449, 41, -1, 40, 4370, 4449, 
  41, -1, 40, 4364, 4462, 41, -1, 40, 
  4363, 4457, 4364, 4453, 4523, 41, -1, 40, 
  4363, 4457, 4370, 4462, 41, -1, 40, 19968, 
  41, -1, 40, 20108, 41, -1, 40, 19977, 
  41, -1, 40, 22235, 41, -1, 40, 20116, 
  41, -1, 40, 20845, 41, -1, 40, 19971, 
  41, -1, 40, 20843, 41, -1, 40, 20061, 
  41, -1, 40, 21313, 41, -1, 40, 26376, 
  41, -1, 40, 28779, 41, -1, 40, 27700, 
  41, -1, 40, 26408, 41, -1, 40, 37329, 
  41, -1, 40, 22303, 41, -1, 40, 26085, 
  41, -1, 40, 26666, 41, -1, 40, 26377, 
  41, -1, 40, 31038, 41, -1, 40, 21517, 
  41, -1, 40, 29305, 41, -1, 40, 36001, 
  41, -1, 40, 31069, 41, -1, 40, 21172, 
  41, -1, 40, 20195, 41, -1, 40, 21628, 
  41, -1, 40, 23398, 41, -1, 40, 30435, 
  41, -1, 40, 20225, 41, -1, 40, 36039, 
  41, -1, 40, 21332, 41, -1, 40, 31085, 
  41, -1, 40, 20241, 41, -1, 40, 33258, 
  41, -1, 40, 33267, 41, -1, 80, 84, 
  69, -1, 50, 49, -1, 50, 50, -1, 
  50, 51, -1, 50, 52, -1, 50, 53, 
  -1, 50, 54, -1, 50, 55, -1, 50, 
  56, -1, 50, 57, -1, 51, 48, -1, 
  51, 49, -1, 51, 50, -1, 51, 51, 
  -1, 51, 52, -1, 51, 53, -1, 4352, 
  4449, -1, 4354, 4449, -1, 4355, 4449, -1, 
  4357, 4449, -1, 4358, 4449, -1, 4359, 4449, 
  -1, 4361, 4449, -1, 4363, 4449, -1, 4364, 
  4449, -1, 4366, 4449, -1, 4367, 4449, -1, 
  4368, 4449, -1, 4369, 4449, -1, 4370, 4449, 
  -1, 4366, 4449, 4535, 4352, 4457, -1, 4364, 
  4462, 4363, 4468, -1, 4363, 4462, -1, 20116, 
  -1, 20845, -1, 19971, -1, 20061, -1, 26666, 
  -1, 26377, -1, 31038, -1, 21517, -1, 29305, 
  -1, 36001, -1, 31069, -1, 21172, -1, 31192, 
  -1, 30007, -1, 36969, -1, 20778, -1, 21360, 
  -1, 27880, -1, 38917, -1, 20241, -1, 20889, 
  -1, 27491, -1, 24038, -1, 21491, -1, 21307, 
  -1, 23447, -1, 23398, -1, 30435, -1, 20225, 
  -1, 36039, -1, 21332, -1, 22812, -1, 51, 
  54, -1, 51, 55, -1, 51, 56, -1, 
  51, 57, -1, 52, 48, -1, 52, 49, 
  -1, 52, 50, -1, 52, 51, -1, 52, 
  52, -1, 52, 53, -1, 52, 54, -1, 
  52, 55, -1, 52, 56, -1, 52, 57, 
  -1, 53, 48, -1, 49, 26376, -1, 50, 
  26376, -1, 51, 26376, -1, 52, 26376, -1, 
  53, 26376, -1, 54, 26376, -1, 55, 26376, 
  -1, 56, 26376, -1, 57, 26376, -1, 49, 
  48, 26376, -1, 49, 49, 26376, -1, 49, 
  50, 26376, -1, 72, 103, -1, 101, 114, 
  103, -1, 101, 86, -1, 76, 84, 68, 
  -1, 12450, -1, 12452, -1, 12454, -1, 12456, 
  -1, 12458, -1, 12459, -1, 12461, -1, 12463, 
  -1, 12465, -1, 12467, -1, 12469, -1, 12471, 
  -1, 12473, -1, 12475, -1, 12477, -1, 12479, 
  -1, 12481, -1, 12484, -1, 12486, -1, 12488, 
  -1, 12490, -1, 12491, -1, 12492, -1, 12493, 
  -1, 12494, -1, 12495, -1, 12498, -1, 12501, 
  -1, 12504, -1, 12507, -1, 12510, -1, 12511, 
  -1, 12512, -1, 12513, -1, 12514, -1, 12516, 
  -1, 12518, -1, 12520, -1, 12521, -1, 12522, 
  -1, 12523, -1, 12524, -1, 12525, -1, 12527, 
  -1, 12528, -1, 12529, -1, 12530, -1, 12450, 
  12497, 12540, 12488, -1, 12450, 12523, 12501, 12449, 
  -1, 12450, 12531, 12506, 12450, -1, 12450, 12540, 
  12523, -1, 12452, 12491, 12531, 12464, -1, 12452, 
  12531, 12481, -1, 12454, 12457, 12531, -1, 12456, 
  12473, 12463, 12540, 12489, -1, 12456, 12540, 12459, 
  12540, -1, 12458, 12531, 12473, -1, 12458, 12540, 
  12512, -1, 12459, 12452, 12522, -1, 12459, 12521, 
  12483, 12488, -1, 12459, 12525, 12522, 12540, -1, 
  12460, 12525, 12531, -1, 12460, 12531, 12510, -1, 
  12462, 12460, -1, 12462, 12491, 12540, -1, 12461, 
  12517, 12522, 12540, -1, 12462, 12523, 12480, 12540, 
  -1, 12461, 12525, -1, 12461, 12525, 12464, 12521, 
  12512, -1, 12461, 12525, 12513, 12540, 12488, 12523, 
  -1, 12461, 12525, 12527, 12483, 12488, -1, 12464, 
  12521, 12512, -1, 12464, 12521, 12512, 12488, 12531, 
  -1, 12463, 12523, 12476, 12452, 12525, -1, 12463, 
  12525, 12540, 12493, -1, 12465, 12540, 12473, -1, 
  12467, 12523, 12490, -1, 12467, 12540, 12509, -1, 
  12469, 12452, 12463, 12523, -1, 12469, 12531, 12481, 
  12540, 12512, -1, 12471, 12522, 12531, 12464, -1, 
  12475, 12531, 12481, -1, 12475, 12531, 12488, -1, 
  12480, 12540, 12473, -1, 12487, 12471, -1, 12489, 
  12523, -1, 12488, 12531, -1, 12490, 12494, -1, 
  12494, 12483, 12488, -1, 12495, 12452, 12484, -1, 
  12497, 12540, 12475, 12531, 12488, -1, 12497, 12540, 
  12484, -1, 12496, 12540, 12524, 12523, -1, 12500, 
  12450, 12473, 12488, 12523, -1, 12500, 12463, 12523, 
  -1, 12500, 12467, -1, 12499, 12523, -1, 12501, 
  12449, 12521, 12483, 12489, -1, 12501, 12451, 12540, 
  12488, -1, 12502, 12483, 12471, 12455, 12523, -1, 
  12501, 12521, 12531, -1, 12504, 12463, 12479, 12540, 
  12523, -1, 12506, 12477, -1, 12506, 12491, 12498, 
  -1, 12504, 12523, 12484, -1, 12506, 12531, 12473, 
  -1, 12506, 12540, 12472, -1, 12505, 12540, 12479, 
  -1, 12509, 12452, 12531, 12488, -1, 12508, 12523, 
  12488, -1, 12507, 12531, -1, 12509, 12531, 12489, 
  -1, 12507, 12540, 12523, -1, 12507, 12540, 12531, 
  -1, 12510, 12452, 12463, 12525, -1, 12510, 12452, 
  12523, -1, 12510, 12483, 12495, -1, 12510, 12523, 
  12463, -1, 12510, 12531, 12471, 12519, 12531, -1, 
  12511, 12463, 12525, 12531, -1, 12511, 12522, -1, 
  12511, 12522, 12496, 12540, 12523, -1, 12513, 12460, 
  -1, 12513, 12460, 12488, 12531, -1, 12513, 12540, 
  12488, 12523, -1, 12516, 12540, 12489, -1, 12516, 
  12540, 12523, -1, 12518, 12450, 12531, -1, 12522, 
  12483, 12488, 12523, -1, 12522, 12521, -1, 12523, 
  12500, 12540, -1, 12523, 12540, 12502, 12523, -1, 
  12524, 12512, -1, 12524, 12531, 12488, 12466, 12531, 
  -1, 12527, 12483, 12488, -1, 48, 28857, -1, 
  49, 28857, -1, 50, 28857, -1, 51, 28857, 
  -1, 52, 28857, -1, 53, 28857, -1, 54, 
  28857, -1, 55, 28857, -1, 56, 28857, -1, 
  57, 28857, -1, 49, 48, 28857, -1, 49, 
  49, 28857, -1, 49, 50, 28857, -1, 49, 
  51, 28857, -1, 49, 52, 28857, -1, 49, 
  53, 28857, -1, 49, 54, 28857, -1, 49, 
  55, 28857, -1, 49, 56, 28857, -1, 49, 
  57, 28857, -1, 50, 48, 28857, -1, 50, 
  49, 28857, -1, 50, 50, 28857, -1, 50, 
  51, 28857, -1, 50, 52, 28857, -1, 104, 
  80, 97, -1, 100, 97, -1, 65, 85, 
  -1, 98, 97, 114, -1, 111, 86, -1, 
  112, 99, -1, 100, 109, -1, 100, 109, 
  178, -1, 100, 109, 179, -1, 73, 85, 
  -1, 24179, 25104, -1, 26157, 21644, -1, 22823, 
  27491, -1, 26126, 27835, -1, 26666, 24335, 20250, 
  31038, -1, 112, 65, -1, 110, 65, -1, 
  956, 65, -1, 109, 65, -1, 107, 65, 
  -1, 75, 66, -1, 77, 66, -1, 71, 
  66, -1, 99, 97, 108, -1, 107, 99, 
  97, 108, -1, 112, 70, -1, 110, 70, 
  -1, 956, 70, -1, 956, 103, -1, 109, 
  103, -1, 107, 103, -1, 72, 122, -1, 
  107, 72, 122, -1, 77, 72, 122, -1, 
  71, 72, 122, -1, 84, 72, 122, -1, 
  956, 8467, -1, 109, 8467, -1, 100, 8467, 
  -1, 107, 8467, -1, 102, 109, -1, 110, 
  109, -1, 956, 109, -1, 109, 109, -1, 
  99, 109, -1, 107, 109, -1, 109, 109, 
  178, -1, 99, 109, 178, -1, 109, 178, 
  -1, 107, 109, 178, -1, 109, 109, 179, 
  -1, 99, 109, 179, -1, 109, 179, -1, 
  107, 109, 179, -1, 109, 8725, 115, -1, 
  109, 8725, 115, 178, -1, 80, 97, -1, 
  107, 80, 97, -1, 77, 80, 97, -1, 
  71, 80, 97, -1, 114, 97, 100, -1, 
  114, 97, 100, 8725, 115, -1, 114, 97, 
  100, 8725, 115, 178, -1, 112, 115, -1, 
  110, 115, -1, 956, 115, -1, 109, 115, 
  -1, 112, 86, -1, 110, 86, -1, 956, 
  86, -1, 109, 86, -1, 107, 86, -1, 
  77, 86, -1, 112, 87, -1, 110, 87, 
  -1, 956, 87, -1, 109, 87, -1, 107, 
  87, -1, 77, 87, -1, 107, 937, -1, 
  77, 937, -1, 97, 46, 109, 46, -1, 
  66, 113, -1, 99, 99, -1, 99, 100, 
  -1, 67, 8725, 107, 103, -1, 67, 111, 
  46, -1, 100, 66, -1, 71, 121, -1, 
  104, 97, -1, 72, 80, -1, 105, 110, 
  -1, 75, 75, -1, 75, 77, -1, 107, 
  116, -1, 108, 109, -1, 108, 110, -1, 
  108, 111, 103, -1, 108, 120, -1, 109, 
  98, -1, 109, 105, 108, -1, 109, 111, 
  108, -1, 80, 72, -1, 112, 46, 109, 
  46, -1, 80, 80, 77, -1, 80, 82, 
  -1, 115, 114, -1, 83, 118, -1, 87, 
  98, -1, 86, 8725, 109, -1, 65, 8725, 
  109, -1, 49, 26085, -1, 50, 26085, -1, 
  51, 26085, -1, 52, 26085, -1, 53, 26085, 
  -1, 54, 26085, -1, 55, 26085, -1, 56, 
  26085, -1, 57, 26085, -1, 49, 48, 26085, 
  -1, 49, 49, 26085, -1, 49, 50, 26085, 
  -1, 49, 51, 26085, -1, 49, 52, 26085, 
  -1, 49, 53, 26085, -1, 49, 54, 26085, 
  -1, 49, 55, 26085, -1, 49, 56, 26085, 
  -1, 49, 57, 26085, -1, 50, 48, 26085, 
  -1, 50, 49, 26085, -1, 50, 50, 26085, 
  -1, 50, 51, 26085, -1, 50, 52, 26085, 
  -1, 50, 53, 26085, -1, 50, 54, 26085, 
  -1, 50, 55, 26085, -1, 50, 56, 26085, 
  -1, 50, 57, 26085, -1, 51, 48, 26085, 
  -1, 51, 49, 26085, -1, 103, 97, 108, 
  -1, 35912, -1, 26356, -1, 36040, -1, 28369, 
  -1, 20018, -1, 21477, -1, 22865, -1, 21895, 
  -1, 22856, -1, 25078, -1, 30313, -1, 32645, 
  -1, 34367, -1, 34746, -1, 35064, -1, 37007, 
  -1, 27138, -1, 27931, -1, 28889, -1, 29662, 
  -1, 33853, -1, 37226, -1, 39409, -1, 20098, 
  -1, 21365, -1, 27396, -1, 29211, -1, 34349, 
  -1, 40478, -1, 23888, -1, 28651, -1, 34253, 
  -1, 35172, -1, 25289, -1, 33240, -1, 34847, 
  -1, 24266, -1, 26391, -1, 28010, -1, 29436, 
  -1, 37070, -1, 20358, -1, 20919, -1, 21214, 
  -1, 25796, -1, 27347, -1, 29200, -1, 30439, 
  -1, 34310, -1, 34396, -1, 36335, -1, 38706, 
  -1, 39791, -1, 40442, -1, 30860, -1, 31103, 
  -1, 32160, -1, 33737, -1, 37636, -1, 35542, 
  -1, 22751, -1, 24324, -1, 31840, -1, 32894, 
  -1, 29282, -1, 30922, -1, 36034, -1, 38647, 
  -1, 22744, -1, 23650, -1, 27155, -1, 28122, 
  -1, 28431, -1, 32047, -1, 32311, -1, 38475, 
  -1, 21202, -1, 32907, -1, 20956, -1, 20940, 
  -1, 31260, -1, 32190, -1, 33777, -1, 38517, 
  -1, 35712, -1, 25295, -1, 35582, -1, 20025, 
  -1, 23527, -1, 24594, -1, 29575, -1, 30064, 
  -1, 21271, -1, 30971, -1, 20415, -1, 24489, 
  -1, 19981, -1, 27852, -1, 25976, -1, 32034, 
  -1, 21443, -1, 22622, -1, 30465, -1, 33865, 
  -1, 35498, -1, 27578, -1, 27784, -1, 25342, 
  -1, 33509, -1, 25504, -1, 30053, -1, 20142, 
  -1, 20841, -1, 20937, -1, 26753, -1, 31975, 
  -1, 33391, -1, 35538, -1, 37327, -1, 21237, 
  -1, 21570, -1, 24300, -1, 26053, -1, 28670, 
  -1, 31018, -1, 38317, -1, 39530, -1, 40599, 
  -1, 40654, -1, 26310, -1, 27511, -1, 36706, 
  -1, 24180, -1, 24976, -1, 25088, -1, 25754, 
  -1, 28451, -1, 29001, -1, 29833, -1, 31178, 
  -1, 32244, -1, 32879, -1, 36646, -1, 34030, 
  -1, 36899, -1, 37706, -1, 21015, -1, 21155, 
  -1, 21693, -1, 28872, -1, 35010, -1, 24265, 
  -1, 24565, -1, 25467, -1, 27566, -1, 31806, 
  -1, 29557, -1, 20196, -1, 22265, -1, 23994, 
  -1, 24604, -1, 29618, -1, 29801, -1, 32666, 
  -1, 32838, -1, 37428, -1, 38646, -1, 38728, 
  -1, 38936, -1, 20363, -1, 31150, -1, 37300, 
  -1, 38584, -1, 24801, -1, 20102, -1, 20698, 
  -1, 23534, -1, 23615, -1, 26009, -1, 29134, 
  -1, 30274, -1, 34044, -1, 36988, -1, 26248, 
  -1, 38446, -1, 21129, -1, 26491, -1, 26611, 
  -1, 27969, -1, 28316, -1, 29705, -1, 30041, 
  -1, 30827, -1, 32016, -1, 39006, -1, 25134, 
  -1, 38520, -1, 20523, -1, 23833, -1, 28138, 
  -1, 36650, -1, 24459, -1, 24900, -1, 26647, 
  -1, 38534, -1, 21033, -1, 21519, -1, 23653, 
  -1, 26131, -1, 26446, -1, 26792, -1, 27877, 
  -1, 29702, -1, 30178, -1, 32633, -1, 35023, 
  -1, 35041, -1, 38626, -1, 21311, -1, 28346, 
  -1, 21533, -1, 29136, -1, 29848, -1, 34298, 
  -1, 38563, -1, 40023, -1, 40607, -1, 26519, 
  -1, 28107, -1, 33256, -1, 31520, -1, 31890, 
  -1, 29376, -1, 28825, -1, 35672, -1, 20160, 
  -1, 33590, -1, 21050, -1, 20999, -1, 24230, 
  -1, 25299, -1, 31958, -1, 23429, -1, 27934, 
  -1, 26292, -1, 36667, -1, 38477, -1, 24275, 
  -1, 20800, -1, 21952, -1, 22618, -1, 26228, 
  -1, 20958, -1, 29482, -1, 30410, -1, 31036, 
  -1, 31070, -1, 31077, -1, 31119, -1, 38742, 
  -1, 31934, -1, 34322, -1, 35576, -1, 36920, 
  -1, 37117, -1, 39151, -1, 39164, -1, 39208, 
  -1, 40372, -1, 20398, -1, 20711, -1, 20813, 
  -1, 21193, -1, 21220, -1, 21329, -1, 21917, 
  -1, 22022, -1, 22120, -1, 22592, -1, 22696, 
  -1, 23652, -1, 24724, -1, 24936, -1, 24974, 
  -1, 25074, -1, 25935, -1, 26082, -1, 26257, 
  -1, 26757, -1, 28023, -1, 28186, -1, 28450, 
  -1, 29038, -1, 29227, -1, 29730, -1, 30865, 
  -1, 31049, -1, 31048, -1, 31056, -1, 31062, 
  -1, 31117, -1, 31118, -1, 31296, -1, 31361, 
  -1, 31680, -1, 32265, -1, 32321, -1, 32626, 
  -1, 32773, -1, 33261, -1, 33401, -1, 33879, 
  -1, 35088, -1, 35222, -1, 35585, -1, 35641, 
  -1, 36051, -1, 36104, -1, 36790, -1, 38627, 
  -1, 38911, -1, 38971, -1, 20006, -1, 20917, 
  -1, 20840, -1, 20352, -1, 20805, -1, 20864, 
  -1, 21191, -1, 21242, -1, 21845, -1, 21913, 
  -1, 21986, -1, 22707, -1, 22852, -1, 22868, 
  -1, 23138, -1, 23336, -1, 24274, -1, 24281, 
  -1, 24425, -1, 24493, -1, 24792, -1, 24910, 
  -1, 24840, -1, 24928, -1, 25140, -1, 25540, 
  -1, 25628, -1, 25682, -1, 25942, -1, 26395, 
  -1, 26454, -1, 28379, -1, 28363, -1, 28702, 
  -1, 30631, -1, 29237, -1, 29359, -1, 29809, 
  -1, 29958, -1, 30011, -1, 30237, -1, 30239, 
  -1, 30427, -1, 30452, -1, 30538, -1, 30528, 
  -1, 30924, -1, 31409, -1, 31867, -1, 32091, 
  -1, 32574, -1, 33618, -1, 33775, -1, 34681, 
  -1, 35137, -1, 35206, -1, 35519, -1, 35531, 
  -1, 35565, -1, 35722, -1, 36664, -1, 36978, 
  -1, 37273, -1, 37494, -1, 38524, -1, 38875, 
  -1, 38923, -1, 39698, -1, 141386, -1, 141380, 
  -1, 144341, -1, 15261, -1, 16408, -1, 16441, 
  -1, 152137, -1, 154832, -1, 163539, -1, 40771, 
  -1, 40846, -1, 102, 102, -1, 102, 105, 
  -1, 102, 108, -1, 102, 102, 105, -1, 
  102, 102, 108, -1, 383, 116, -1, 115, 
  116, -1, 1396, 1398, -1, 1396, 1381, -1, 
  1396, 1387, -1, 1406, 1398, -1, 1396, 1389, 
  -1, 1497, 1460, -1, 1522, 1463, -1, 1506, 
  -1, 1492, -1, 1499, -1, 1500, -1, 1501, 
  -1, 1512, -1, 1514, -1, 1513, 1473, -1, 
  1513, 1474, -1, 64329, 1473, -1, 64329, 1474, 
  -1, 1488, 1463, -1, 1488, 1464, -1, 1488, 
  1468, -1, 1489, 1468, -1, 1490, 1468, -1, 
  1491, 1468, -1, 1492, 1468, -1, 1493, 1468, 
  -1, 1494, 1468, -1, 1496, 1468, -1, 1497, 
  1468, -1, 1498, 1468, -1, 1499, 1468, -1, 
  1500, 1468, -1, 1502, 1468, -1, 1504, 1468, 
  -1, 1505, 1468, -1, 1507, 1468, -1, 1508, 
  1468, -1, 1510, 1468, -1, 1511, 1468, -1, 
  1512, 1468, -1, 1513, 1468, -1, 1514, 1468, 
  -1, 1493, 1465, -1, 1489, 1471, -1, 1499, 
  1471, -1, 1508, 1471, -1, 1488, 1500, -1, 
  1649, -1, 1659, -1, 1662, -1, 1664, -1, 
  1658, -1, 1663, -1, 1657, -1, 1700, -1, 
  1702, -1, 1668, -1, 1667, -1, 1670, -1, 
  1671, -1, 1677, -1, 1676, -1, 1678, -1, 
  1672, -1, 1688, -1, 1681, -1, 1705, -1, 
  1711, -1, 1715, -1, 1713, -1, 1722, -1, 
  1723, -1, 1728, -1, 1729, -1, 1726, -1, 
  1746, -1, 1747, -1, 1709, -1, 1735, -1, 
  1734, -1, 1736, -1, 1655, -1, 1739, -1, 
  1733, -1, 1737, -1, 1744, -1, 1609, -1, 
  1574, 1575, -1, 1574, 1749, -1, 1574, 1608, 
  -1, 1574, 1735, -1, 1574, 1734, -1, 1574, 
  1736, -1, 1574, 1744, -1, 1574, 1609, -1, 
  1740, -1, 1574, 1580, -1, 1574, 1581, -1, 
  1574, 1605, -1, 1574, 1610, -1, 1576, 1580, 
  -1, 1576, 1581, -1, 1576, 1582, -1, 1576, 
  1605, -1, 1576, 1609, -1, 1576, 1610, -1, 
  1578, 1580, -1, 1578, 1581, -1, 1578, 1582, 
  -1, 1578, 1605, -1, 1578, 1609, -1, 1578, 
  1610, -1, 1579, 1580, -1, 1579, 1605, -1, 
  1579, 1609, -1, 1579, 1610, -1, 1580, 1581, 
  -1, 1580, 1605, -1, 1581, 1580, -1, 1581, 
  1605, -1, 1582, 1580, -1, 1582, 1581, -1, 
  1582, 1605, -1, 1587, 1580, -1, 1587, 1581, 
  -1, 1587, 1582, -1, 1587, 1605, -1, 1589, 
  1581, -1, 1589, 1605, -1, 1590, 1580, -1, 
  1590, 1581, -1, 1590, 1582, -1, 1590, 1605, 
  -1, 1591, 1581, -1, 1591, 1605, -1, 1592, 
  1605, -1, 1593, 1580, -1, 1593, 1605, -1, 
  1594, 1580, -1, 1594, 1605, -1, 1601, 1580, 
  -1, 1601, 1581, -1, 1601, 1582, -1, 1601, 
  1605, -1, 1601, 1609, -1, 1601, 1610, -1, 
  1602, 1581, -1, 1602, 1605, -1, 1602, 1609, 
  -1, 1602, 1610, -1, 1603, 1575, -1, 1603, 
  1580, -1, 1603, 1581, -1, 1603, 1582, -1, 
  1603, 1604, -1, 1603, 1605, -1, 1603, 1609, 
  -1, 1603, 1610, -1, 1604, 1580, -1, 1604, 
  1581, -1, 1604, 1582, -1, 1604, 1605, -1, 
  1604, 1609, -1, 1604, 1610, -1, 1605, 1580, 
  -1, 1605, 1581, -1, 1605, 1582, -1, 1605, 
  1605, -1, 1605, 1609, -1, 1605, 1610, -1, 
  1606, 1580, -1, 1606, 1581, -1, 1606, 1582, 
  -1, 1606, 1605, -1, 1606, 1609, -1, 1606, 
  1610, -1, 1607, 1580, -1, 1607, 1605, -1, 
  1607, 1609, -1, 1607, 1610, -1, 1610, 1580, 
  -1, 1610, 1581, -1, 1610, 1582, -1, 1610, 
  1605, -1, 1610, 1609, -1, 1610, 1610, -1, 
  1584, 1648, -1, 1585, 1648, -1, 1609, 1648, 
  -1, 32, 1612, 1617, -1, 32, 1613, 1617, 
  -1, 32, 1614, 1617, -1, 32, 1615, 1617, 
  -1, 32, 1616, 1617, -1, 32, 1617, 1648, 
  -1, 1574, 1585, -1, 1574, 1586, -1, 1574, 
  1606, -1, 1576, 1585, -1, 1576, 1586, -1, 
  1576, 1606, -1, 1578, 1585, -1, 1578, 1586, 
  -1, 1578, 1606, -1, 1579, 1585, -1, 1579, 
  1586, -1, 1579, 1606, -1, 1605, 1575, -1, 
  1606, 1585, -1, 1606, 1586, -1, 1606, 1606, 
  -1, 1610, 1585, -1, 1610, 1586, -1, 1610, 
  1606, -1, 1574, 1582, -1, 1574, 1607, -1, 
  1576, 1607, -1, 1578, 1607, -1, 1589, 1582, 
  -1, 1604, 1607, -1, 1606, 1607, -1, 1607, 
  1648, -1, 1610, 1607, -1, 1579, 1607, -1, 
  1587, 1607, -1, 1588, 1605, -1, 1588, 1607, 
  -1, 1600, 1614, 1617, -1, 1600, 1615, 1617, 
  -1, 1600, 1616, 1617, -1, 1591, 1609, -1, 
  1591, 1610, -1, 1593, 1609, -1, 1593, 1610, 
  -1, 1594, 1609, -1, 1594, 1610, -1, 1587, 
  1609, -1, 1587, 1610, -1, 1588, 1609, -1, 
  1588, 1610, -1, 1581, 1609, -1, 1581, 1610, 
  -1, 1580, 1609, -1, 1580, 1610, -1, 1582, 
  1609, -1, 1582, 1610, -1, 1589, 1609, -1, 
  1589, 1610, -1, 1590, 1609, -1, 1590, 1610, 
  -1, 1588, 1580, -1, 1588, 1581, -1, 1588, 
  1582, -1, 1588, 1585, -1, 1587, 1585, -1, 
  1589, 1585, -1, 1590, 1585, -1, 1575, 1611, 
  -1, 1578, 1580, 1605, -1, 1578, 1581, 1580, 
  -1, 1578, 1581, 1605, -1, 1578, 1582, 1605, 
  -1, 1578, 1605, 1580, -1, 1578, 1605, 1581, 
  -1, 1578, 1605, 1582, -1, 1580, 1605, 1581, 
  -1, 1581, 1605, 1610, -1, 1581, 1605, 1609, 
  -1, 1587, 1581, 1580, -1, 1587, 1580, 1581, 
  -1, 1587, 1580, 1609, -1, 1587, 1605, 1581, 
  -1, 1587, 1605, 1580, -1, 1587, 1605, 1605, 
  -1, 1589, 1581, 1581, -1, 1589, 1605, 1605, 
  -1, 1588, 1581, 1605, -1, 1588, 1580, 1610, 
  -1, 1588, 1605, 1582, -1, 1588, 1605, 1605, 
  -1, 1590, 1581, 1609, -1, 1590, 1582, 1605, 
  -1, 1591, 1605, 1581, -1, 1591, 1605, 1605, 
  -1, 1591, 1605, 1610, -1, 1593, 1580, 1605, 
  -1, 1593, 1605, 1605, -1, 1593, 1605, 1609, 
  -1, 1594, 1605, 1605, -1, 1594, 1605, 1610, 
  -1, 1594, 1605, 1609, -1, 1601, 1582, 1605, 
  -1, 1602, 1605, 1581, -1, 1602, 1605, 1605, 
  -1, 1604, 1581, 1605, -1, 1604, 1581, 1610, 
  -1, 1604, 1581, 1609, -1, 1604, 1580, 1580, 
  -1, 1604, 1582, 1605, -1, 1604, 1605, 1581, 
  -1, 1605, 1581, 1580, -1, 1605, 1581, 1605, 
  -1, 1605, 1581, 1610, -1, 1605, 1580, 1581, 
  -1, 1605, 1580, 1605, -1, 1605, 1582, 1580, 
  -1, 1605, 1582, 1605, -1, 1605, 1580, 1582, 
  -1, 1607, 1605, 1580, -1, 1607, 1605, 1605, 
  -1, 1606, 1581, 1605, -1, 1606, 1581, 1609, 
  -1, 1606, 1580, 1605, -1, 1606, 1580, 1609, 
  -1, 1606, 1605, 1610, -1, 1606, 1605, 1609, 
  -1, 1610, 1605, 1605, -1, 1576, 1582, 1610, 
  -1, 1578, 1580, 1610, -1, 1578, 1580, 1609, 
  -1, 1578, 1582, 1610, -1, 1578, 1582, 1609, 
  -1, 1578, 1605, 1610, -1, 1578, 1605, 1609, 
  -1, 1580, 1605, 1610, -1, 1580, 1581, 1609, 
  -1, 1580, 1605, 1609, -1, 1587, 1582, 1609, 
  -1, 1589, 1581, 1610, -1, 1588, 1581, 1610, 
  -1, 1590, 1581, 1610, -1, 1604, 1580, 1610, 
  -1, 1604, 1605, 1610, -1, 1610, 1581, 1610, 
  -1, 1610, 1580, 1610, -1, 1610, 1605, 1610, 
  -1, 1605, 1605, 1610, -1, 1602, 1605, 1610, 
  -1, 1606, 1581, 1610, -1, 1593, 1605, 1610, 
  -1, 1603, 1605, 1610, -1, 1606, 1580, 1581, 
  -1, 1605, 1582, 1610, -1, 1604, 1580, 1605, 
  -1, 1603, 1605, 1605, -1, 1580, 1581, 1610, 
  -1, 1581, 1580, 1610, -1, 1605, 1580, 1610, 
  -1, 1601, 1605, 1610, -1, 1576, 1581, 1610, 
  -1, 1587, 1582, 1610, -1, 1606, 1580, 1610, 
  -1, 1589, 1604, 1746, -1, 1602, 1604, 1746, 
  -1, 1575, 1604, 1604, 1607, -1, 1575, 1603, 
  1576, 1585, -1, 1605, 1581, 1605, 1583, -1, 
  1589, 1604, 1593, 1605, -1, 1585, 1587, 1608, 
  1604, -1, 1593, 1604, 1610, 1607, -1, 1608, 
  1587, 1604, 1605, -1, 1589, 1604, 1609, -1, 
  1589, 1604, 1609, 32, 1575, 1604, 1604, 1607, 
  32, 1593, 1604, 1610, 1607, 32, 1608, 1587, 
  1604, 1605, -1, 1580, 1604, 32, 1580, 1604, 
  1575, 1604, 1607, -1, 1585, 1740, 1575, 1604, 
  -1, 44, -1, 12289, -1, 12290, -1, 58, 
  -1, 33, -1, 63, -1, 12310, -1, 12311, 
  -1, 8230, -1, 8229, -1, 8212, -1, 8211, 
  -1, 95, -1, 123, -1, 125, -1, 12308, 
  -1, 12309, -1, 12304, -1, 12305, -1, 12298, 
  -1, 12299, -1, 12300, -1, 12301, -1, 12302, 
  -1, 12303, -1, 91, -1, 93, -1, 8254, 
  -1, 35, -1, 38, -1, 42, -1, 45, 
  -1, 60, -1, 62, -1, 92, -1, 36, 
  -1, 37, -1, 64, -1, 32, 1611, -1, 
  1600, 1611, -1, 32, 1612, -1, 32, 1613, 
  -1, 32, 1614, -1, 1600, 1614, -1, 32, 
  1615, -1, 1600, 1615, -1, 32, 1616, -1, 
  1600, 1616, -1, 32, 1617, -1, 1600, 1617, 
  -1, 32, 1618, -1, 1600, 1618, -1, 1569, 
  -1, 1570, -1, 1571, -1, 1572, -1, 1573, 
  -1, 1574, -1, 1575, -1, 1576, -1, 1577, 
  -1, 1578, -1, 1579, -1, 1580, -1, 1581, 
  -1, 1582, -1, 1583, -1, 1584, -1, 1585, 
  -1, 1586, -1, 1587, -1, 1588, -1, 1589, 
  -1, 1590, -1, 1591, -1, 1592, -1, 1593, 
  -1, 1594, -1, 1601, -1, 1602, -1, 1603, 
  -1, 1604, -1, 1605, -1, 1606, -1, 1607, 
  -1, 1608, -1, 1610, -1, 1604, 1570, -1, 
  1604, 1571, -1, 1604, 1573, -1, 1604, 1575, 
  -1, 34, -1, 39, -1, 47, -1, 65345, 
  -1, 65346, -1, 65347, -1, 65348, -1, 65349, 
  -1, 65350, -1, 65351, -1, 65352, -1, 65353, 
  -1, 65354, -1, 65355, -1, 65356, -1, 65357, 
  -1, 65358, -1, 65359, -1, 65360, -1, 65361, 
  -1, 65362, -1, 65363, -1, 65364, -1, 65365, 
  -1, 65366, -1, 65367, -1, 65368, -1, 65369, 
  -1, 65370, -1, 94, -1, 124, -1, 126, 
  -1, 10629, -1, 10630, -1, 12539, -1, 12449, 
  -1, 12451, -1, 12453, -1, 12455, -1, 12457, 
  -1, 12515, -1, 12517, -1, 12519, -1, 12483, 
  -1, 12540, -1, 12531, -1, 12441, -1, 12442, 
  -1, 12644, -1, 12593, -1, 12594, -1, 12595, 
  -1, 12596, -1, 12597, -1, 12598, -1, 12599, 
  -1, 12600, -1, 12601, -1, 12602, -1, 12603, 
  -1, 12604, -1, 12605, -1, 12606, -1, 12607, 
  -1, 12608, -1, 12609, -1, 12610, -1, 12611, 
  -1, 12612, -1, 12613, -1, 12614, -1, 12615, 
  -1, 12616, -1, 12617, -1, 12618, -1, 12619, 
  -1, 12620, -1, 12621, -1, 12622, -1, 12623, 
  -1, 12624, -1, 12625, -1, 12626, -1, 12627, 
  -1, 12628, -1, 12629, -1, 12630, -1, 12631, 
  -1, 12632, -1, 12633, -1, 12634, -1, 12635, 
  -1, 12636, -1, 12637, -1, 12638, -1, 12639, 
  -1, 12640, -1, 12641, -1, 12642, -1, 12643, 
  -1, 162, -1, 163, -1, 172, -1, 175, 
  -1, 166, -1, 165, -1, 8361, -1, 9474, 
  -1, 8592, -1, 8593, -1, 8594, -1, 8595, 
  -1, 9632, -1, 9675, -1, 66600, -1, 66601, 
  -1, 66602, -1, 66603, -1, 66604, -1, 66605, 
  -1, 66606, -1, 66607, -1, 66608, -1, 66609, 
  -1, 66610, -1, 66611, -1, 66612, -1, 66613, 
  -1, 66614, -1, 66615, -1, 66616, -1, 66617, 
  -1, 66618, -1, 66619, -1, 66620, -1, 66621, 
  -1, 66622, -1, 66623, -1, 66624, -1, 66625, 
  -1, 66626, -1, 66627, -1, 66628, -1, 66629, 
  -1, 66630, -1, 66631, -1, 66632, -1, 66633, 
  -1, 66634, -1, 66635, -1, 66636, -1, 66637, 
  -1, 66638, -1, 66639, -1, 119127, 119141, -1, 
  119128, 119141, -1, 119135, 119150, -1, 119135, 119151, 
  -1, 119135, 119152, -1, 119135, 119153, -1, 119135, 
  119154, -1, 119225, 119141, -1, 119226, 119141, -1, 
  119227, 119150, -1, 119228, 119150, -1, 119227, 119151, 
  -1, 119228, 119151, -1, 305, -1, 567, -1, 
  913, -1, 914, -1, 916, -1, 917, -1, 
  918, -1, 919, -1, 921, -1, 922, -1, 
  923, -1, 924, -1, 925, -1, 926, -1, 
  927, -1, 929, -1, 1012, -1, 932, -1, 
  934, -1, 935, -1, 936, -1, 8711, -1, 
  8706, -1, 1013, -1, 977, -1, 1008, -1, 
  981, -1, 1009, -1, 982, -1, 20029, -1, 
  20024, -1, 20033, -1, 131362, -1, 20320, -1, 
  20411, -1, 20482, -1, 20602, -1, 20633, -1, 
  20687, -1, 13470, -1, 132666, -1, 20820, -1, 
  20836, -1, 20855, -1, 132380, -1, 13497, -1, 
  20839, -1, 20877, -1, 132427, -1, 20887, -1, 
  20900, -1, 20172, -1, 20908, -1, 168415, -1, 
  20995, -1, 13535, -1, 21051, -1, 21062, -1, 
  21106, -1, 21111, -1, 13589, -1, 21253, -1, 
  21254, -1, 21321, -1, 21338, -1, 21363, -1, 
  21373, -1, 21375, -1, 133676, -1, 28784, -1, 
  21450, -1, 21471, -1, 133987, -1, 21483, -1, 
  21489, -1, 21510, -1, 21662, -1, 21560, -1, 
  21576, -1, 21608, -1, 21666, -1, 21750, -1, 
  21776, -1, 21843, -1, 21859, -1, 21892, -1, 
  21931, -1, 21939, -1, 21954, -1, 22294, -1, 
  22295, -1, 22097, -1, 22132, -1, 22766, -1, 
  22478, -1, 22516, -1, 22541, -1, 22411, -1, 
  22578, -1, 22577, -1, 22700, -1, 136420, -1, 
  22770, -1, 22775, -1, 22790, -1, 22810, -1, 
  22818, -1, 22882, -1, 136872, -1, 136938, -1, 
  23020, -1, 23067, -1, 23079, -1, 23000, -1, 
  23142, -1, 14062, -1, 14076, -1, 23304, -1, 
  23358, -1, 137672, -1, 23491, -1, 23512, -1, 
  23539, -1, 138008, -1, 23551, -1, 23558, -1, 
  24403, -1, 14209, -1, 23648, -1, 23744, -1, 
  23693, -1, 138724, -1, 23875, -1, 138726, -1, 
  23918, -1, 23915, -1, 23932, -1, 24033, -1, 
  24034, -1, 14383, -1, 24061, -1, 24104, -1, 
  24125, -1, 24169, -1, 14434, -1, 139651, -1, 
  14460, -1, 24240, -1, 24243, -1, 24246, -1, 
  172946, -1, 140081, -1, 33281, -1, 24354, -1, 
  14535, -1, 144056, -1, 156122, -1, 24418, -1, 
  24427, -1, 14563, -1, 24474, -1, 24525, -1, 
  24535, -1, 24569, -1, 24705, -1, 14650, -1, 
  14620, -1, 141012, -1, 24775, -1, 24904, -1, 
  24908, -1, 24954, -1, 25010, -1, 24996, -1, 
  25007, -1, 25054, -1, 25104, -1, 25115, -1, 
  25181, -1, 25265, -1, 25300, -1, 25424, -1, 
  142092, -1, 25405, -1, 25340, -1, 25448, -1, 
  25475, -1, 25572, -1, 142321, -1, 25634, -1, 
  25541, -1, 25513, -1, 14894, -1, 25705, -1, 
  25726, -1, 25757, -1, 25719, -1, 14956, -1, 
  25964, -1, 143370, -1, 26083, -1, 26360, -1, 
  26185, -1, 15129, -1, 15112, -1, 15076, -1, 
  20882, -1, 20885, -1, 26368, -1, 26268, -1, 
  32941, -1, 17369, -1, 26401, -1, 26462, -1, 
  26451, -1, 144323, -1, 15177, -1, 26618, -1, 
  26501, -1, 26706, -1, 144493, -1, 26766, -1, 
  26655, -1, 26900, -1, 26946, -1, 27043, -1, 
  27114, -1, 27304, -1, 145059, -1, 27355, -1, 
  15384, -1, 27425, -1, 145575, -1, 27476, -1, 
  15438, -1, 27506, -1, 27551, -1, 27579, -1, 
  146061, -1, 138507, -1, 146170, -1, 27726, -1, 
  146620, -1, 27839, -1, 27853, -1, 27751, -1, 
  27926, -1, 27966, -1, 28009, -1, 28024, -1, 
  28037, -1, 146718, -1, 27956, -1, 28207, -1, 
  28270, -1, 15667, -1, 28359, -1, 147153, -1, 
  28153, -1, 28526, -1, 147294, -1, 147342, -1, 
  28614, -1, 28729, -1, 28699, -1, 15766, -1, 
  28746, -1, 28797, -1, 28791, -1, 28845, -1, 
  132389, -1, 28997, -1, 148067, -1, 29084, -1, 
  148395, -1, 29224, -1, 29264, -1, 149000, -1, 
  29312, -1, 29333, -1, 149301, -1, 149524, -1, 
  29562, -1, 29579, -1, 16044, -1, 29605, -1, 
  16056, -1, 29767, -1, 29788, -1, 29829, -1, 
  29898, -1, 16155, -1, 29988, -1, 150582, -1, 
  30014, -1, 150674, -1, 139679, -1, 30224, -1, 
  151457, -1, 151480, -1, 151620, -1, 16380, -1, 
  16392, -1, 151795, -1, 151794, -1, 151833, -1, 
  151859, -1, 30494, -1, 30495, -1, 30603, -1, 
  16454, -1, 16534, -1, 152605, -1, 30798, -1, 
  16611, -1, 153126, -1, 153242, -1, 153285, -1, 
  31211, -1, 16687, -1, 31306, -1, 31311, -1, 
  153980, -1, 154279, -1, 31470, -1, 16898, -1, 
  154539, -1, 31686, -1, 31689, -1, 16935, -1, 
  154752, -1, 31954, -1, 17056, -1, 31976, -1, 
  31971, -1, 32000, -1, 155526, -1, 32099, -1, 
  17153, -1, 32199, -1, 32258, -1, 32325, -1, 
  17204, -1, 156200, -1, 156231, -1, 17241, -1, 
  156377, -1, 32634, -1, 156478, -1, 32661, -1, 
  32762, -1, 156890, -1, 156963, -1, 32864, -1, 
  157096, -1, 32880, -1, 144223, -1, 17365, -1, 
  32946, -1, 33027, -1, 17419, -1, 33086, -1, 
  23221, -1, 157607, -1, 157621, -1, 144275, -1, 
  144284, -1, 33284, -1, 36766, -1, 17515, -1, 
  33425, -1, 33419, -1, 33437, -1, 21171, -1, 
  33457, -1, 33459, -1, 33469, -1, 33510, -1, 
  158524, -1, 33565, -1, 33635, -1, 33709, -1, 
  33571, -1, 33725, -1, 33767, -1, 33619, -1, 
  33738, -1, 33740, -1, 33756, -1, 158774, -1, 
  159083, -1, 158933, -1, 17707, -1, 34033, -1, 
  34035, -1, 34070, -1, 160714, -1, 34148, -1, 
  159532, -1, 17757, -1, 17761, -1, 159665, -1, 
  159954, -1, 17771, -1, 34384, -1, 34407, -1, 
  34409, -1, 34473, -1, 34440, -1, 34574, -1, 
  34530, -1, 34600, -1, 34667, -1, 34694, -1, 
  17879, -1, 34785, -1, 34817, -1, 17913, -1, 
  34912, -1, 161383, -1, 35031, -1, 35038, -1, 
  17973, -1, 35066, -1, 13499, -1, 161966, -1, 
  162150, -1, 18110, -1, 18119, -1, 35488, -1, 
  162984, -1, 36011, -1, 36033, -1, 36123, -1, 
  36215, -1, 163631, -1, 133124, -1, 36299, -1, 
  36284, -1, 36336, -1, 133342, -1, 36564, -1, 
  165330, -1, 165357, -1, 37012, -1, 37105, -1, 
  37137, -1, 165678, -1, 37147, -1, 37432, -1, 
  37591, -1, 37592, -1, 37500, -1, 37881, -1, 
  37909, -1, 166906, -1, 38283, -1, 18837, -1, 
  38327, -1, 167287, -1, 18918, -1, 38595, -1, 
  23986, -1, 38691, -1, 168261, -1, 168474, -1, 
  19054, -1, 19062, -1, 38880, -1, 168970, -1, 
  19122, -1, 169110, -1, 38953, -1, 169398, -1, 
  39138, -1, 19251, -1, 39209, -1, 39335, -1, 
  39362, -1, 39422, -1, 19406, -1, 170800, -1, 
  40000, -1, 40189, -1, 19662, -1, 19693, -1, 
  40295, -1, 172238, -1, 19704, -1, 172293, -1, 
  172558, -1, 172689, -1, 19798, -1, 40702, -1, 
  40709, -1, 40719, -1, 40726, -1, 173568, -1, };

const uint16_t utf8proc_stage1table[] = {
  0, 256, 512, 768, 1024, 1280, 1536, 
  1792, 2048, 2304, 2560, 2816, 3072, 3328, 3584, 
  3840, 4096, 4352, 4608, 4864, 5120, 5376, 5632, 
  5888, 6144, 6400, 6656, 2048, 2048, 6912, 7168, 
  7424, 7680, 7936, 8192, 8448, 8704, 8960, 9216, 
  9472, 9728, 9984, 10240, 10496, 10752, 11008, 11264, 
  11520, 11776, 12032, 12288, 12544, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 12800, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  13056, 13312, 5376, 5376, 5376, 13568, 2048, 2048, 
  13824, 14080, 2048, 2048, 2048, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  14336, 14592, 14592, 14592, 14592, 14592, 14592, 14592, 
  14592, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 15104, 15360, 15616, 15872, 16128, 16384, 
  16640, 16896, 17152, 2048, 17408, 17664, 2048, 2048, 
  2048, 17920, 2048, 18176, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 18432, 18688, 18944, 19200, 19456, 19712, 19968, 
  20224, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 5376, 
  5376, 5376, 5376, 5376, 5376, 5376, 5376, 20480, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 20736, 20992, 21248, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 21504, 21760, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 2048, 2048, 2048, 2048, 2048, 2048, 2048, 
  2048, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  22016, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  14848, 14848, 14848, 14848, 14848, 14848, 14848, 14848, 
  22016, };

const uint16_t utf8proc_stage2table[] = {
  1, 1, 1, 1, 1, 1, 1, 
  1, 1, 2, 3, 2, 4, 3, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 3, 3, 3, 
  2, 5, 6, 6, 7, 8, 7, 6, 
  6, 9, 10, 6, 11, 12, 13, 12, 
  12, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 14, 12, 6, 15, 16, 17, 
  6, 6, 18, 19, 20, 21, 22, 23, 
  24, 25, 26, 27, 28, 29, 30, 31, 
  32, 33, 34, 35, 36, 37, 38, 39, 
  40, 41, 42, 43, 9, 6, 10, 44, 
  45, 44, 46, 47, 48, 49, 50, 51, 
  52, 53, 54, 55, 56, 57, 58, 59, 
  60, 61, 62, 63, 64, 65, 66, 67, 
  68, 69, 70, 71, 9, 72, 10, 72, 
  1, 1, 1, 1, 1, 1, 73, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 
  1, 74, 6, 8, 8, 8, 8, 75, 
  75, 76, 75, 77, 78, 72, 79, 75, 
  80, 81, 82, 83, 84, 85, 86, 75, 
  6, 87, 88, 89, 90, 91, 92, 93, 
  6, 94, 95, 96, 97, 98, 99, 100, 
  101, 102, 103, 104, 105, 106, 107, 108, 
  109, 110, 111, 112, 113, 114, 115, 116, 
  72, 117, 118, 119, 120, 121, 122, 123, 
  124, 125, 126, 127, 128, 129, 130, 131, 
  132, 133, 134, 135, 136, 137, 138, 139, 
  140, 141, 142, 143, 144, 145, 146, 147, 
  72, 148, 149, 150, 151, 152, 153, 154, 
  155, 156, 157, 158, 159, 160, 161, 162, 
  163, 164, 165, 166, 167, 168, 169, 170, 
  171, 172, 173, 174, 175, 176, 177, 178, 
  179, 180, 181, 182, 183, 184, 185, 186, 
  187, 188, 189, 190, 191, 192, 193, 194, 
  195, 196, 197, 198, 199, 200, 201, 202, 
  203, 204, 205, 206, 207, 208, 209, 210, 
  211, 212, 213, 214, 215, 216, 217, 218, 
  219, 220, 221, 222, 223, 224, 225, 226, 
  227, 228, 229, 230, 231, 232, 233, 234, 
  235, 236, 237, 238, 239, 240, 241, 242, 
  243, 244, 245, 246, 247, 248, 249, 250, 
  251, 252, 253, 254, 255, 256, 257, 258, 
  259, 260, 261, 262, 263, 264, 265, 266, 
  267, 268, 269, 270, 271, 272, 273, 274, 
  275, 276, 277, 278, 279, 280, 281, 282, 
  283, 212, 284, 285, 286, 287, 288, 289, 
  290, 291, 292, 293, 294, 295, 212, 296, 
  297, 298, 299, 300, 301, 302, 303, 304, 
  305, 306, 307, 308, 212, 309, 310, 311, 
  312, 313, 314, 315, 316, 317, 318, 319, 
  320, 321, 322, 212, 212, 323, 324, 325, 
  326, 327, 328, 329, 330, 331, 332, 333, 
  334, 335, 336, 212, 337, 338, 339, 212, 
  340, 337, 337, 337, 337, 341, 342, 343, 
  344, 345, 346, 347, 348, 349, 350, 351, 
  352, 353, 354, 355, 356, 357, 358, 359, 
  360, 361, 362, 363, 364, 365, 366, 367, 
  368, 369, 370, 371, 372, 373, 374, 375, 
  376, 377, 378, 379, 380, 381, 382, 383, 
  384, 385, 386, 387, 388, 389, 390, 391, 
  392, 393, 394, 395, 396, 397, 398, 399, 
  400, 401, 402, 403, 404, 405, 406, 407, 
  408, 409, 410, 411, 412, 413, 414, 415, 
  416, 417, 418, 419, 420, 421, 422, 423, 
  424, 425, 426, 427, 428, 429, 430, 431, 
  432, 433, 212, 434, 435, 436, 437, 438, 
  439, 440, 441, 442, 443, 444, 445, 446, 
  447, 448, 449, 450, 451, 212, 212, 212, 
  212, 212, 212, 452, 453, 454, 455, 452, 
  212, 212, 456, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 212, 212, 212, 457, 458, 212, 459, 
  460, 212, 461, 212, 462, 212, 212, 212, 
  212, 463, 212, 212, 464, 212, 212, 212, 
  212, 465, 466, 212, 212, 212, 212, 212, 
  467, 212, 212, 468, 212, 212, 469, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 470, 212, 212, 471, 212, 212, 212, 
  212, 472, 212, 473, 474, 212, 212, 212, 
  212, 212, 212, 475, 212, 476, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 477, 478, 479, 480, 481, 482, 483, 
  484, 485, 486, 486, 487, 487, 487, 487, 
  487, 487, 487, 44, 44, 44, 44, 486, 
  486, 486, 486, 486, 486, 486, 486, 486, 
  486, 487, 487, 44, 44, 44, 44, 44, 
  44, 488, 489, 490, 491, 492, 493, 44, 
  44, 494, 495, 496, 497, 498, 44, 44, 
  44, 44, 44, 44, 44, 44, 44, 487, 
  44, 44, 44, 44, 44, 44, 44, 44, 
  44, 44, 44, 44, 44, 44, 44, 44, 
  44, 499, 500, 501, 502, 503, 504, 505, 
  506, 507, 508, 509, 510, 511, 504, 504, 
  512, 504, 513, 504, 514, 515, 516, 517, 
  517, 517, 517, 516, 518, 517, 517, 517, 
  517, 517, 519, 519, 520, 521, 522, 523, 
  524, 525, 517, 517, 517, 517, 526, 527, 
  517, 528, 529, 517, 517, 530, 530, 530, 
  530, 531, 517, 517, 517, 517, 504, 504, 
  504, 532, 533, 534, 535, 536, 537, 504, 
  517, 517, 517, 504, 504, 504, 517, 517, 
  538, 504, 504, 504, 517, 517, 517, 517, 
  504, 516, 517, 517, 504, 539, 540, 540, 
  539, 540, 540, 539, 504, 504, 504, 504, 
  504, 504, 504, 504, 504, 504, 504, 504, 
  504, 0, 0, 0, 0, 541, 44, 0, 
  0, 0, 0, 542, 0, 0, 0, 543, 
  0, 0, 0, 0, 0, 85, 544, 545, 
  546, 547, 548, 549, 0, 550, 0, 551, 
  552, 553, 554, 555, 556, 557, 558, 559, 
  560, 561, 562, 563, 564, 565, 566, 567, 
  568, 569, 570, 0, 571, 572, 573, 574, 
  575, 576, 577, 578, 579, 580, 581, 582, 
  583, 584, 585, 586, 587, 588, 589, 590, 
  591, 592, 593, 594, 595, 596, 597, 598, 
  599, 600, 601, 602, 603, 604, 605, 606, 
  607, 608, 609, 610, 611, 612, 613, 614, 
  0, 615, 616, 617, 618, 619, 620, 621, 
  212, 622, 623, 624, 625, 626, 627, 628, 
  629, 630, 631, 632, 633, 634, 635, 636, 
  637, 638, 639, 640, 641, 642, 643, 644, 
  645, 646, 647, 648, 212, 649, 650, 72, 
  651, 652, 653, 654, 655, 212, 452, 452, 
  452, 656, 657, 658, 659, 660, 661, 662, 
  663, 664, 665, 666, 667, 668, 669, 670, 
  671, 672, 673, 674, 675, 676, 677, 678, 
  679, 680, 681, 682, 683, 684, 685, 686, 
  687, 688, 689, 690, 691, 692, 693, 694, 
  695, 696, 697, 698, 699, 700, 701, 702, 
  703, 704, 705, 706, 707, 708, 709, 710, 
  711, 712, 713, 714, 715, 716, 717, 718, 
  719, 720, 721, 722, 723, 724, 725, 726, 
  727, 728, 729, 730, 731, 732, 733, 734, 
  735, 736, 737, 738, 739, 740, 741, 742, 
  743, 744, 745, 746, 747, 748, 749, 750, 
  751, 752, 753, 754, 755, 756, 757, 758, 
  759, 760, 761, 762, 763, 764, 765, 766, 
  767, 768, 769, 770, 771, 772, 773, 774, 
  775, 776, 777, 778, 779, 780, 781, 782, 
  783, 784, 785, 786, 504, 504, 504, 504, 
  0, 787, 787, 788, 789, 790, 791, 792, 
  793, 794, 795, 796, 797, 798, 799, 800, 
  801, 802, 803, 804, 805, 806, 807, 808, 
  809, 810, 811, 812, 813, 814, 815, 816, 
  817, 818, 819, 820, 821, 822, 823, 824, 
  825, 826, 827, 828, 829, 830, 831, 832, 
  833, 834, 835, 836, 837, 838, 839, 840, 
  841, 452, 842, 843, 844, 845, 846, 847, 
  848, 849, 850, 851, 852, 853, 854, 855, 
  0, 856, 857, 858, 859, 860, 861, 862, 
  863, 864, 865, 866, 867, 868, 869, 870, 
  871, 872, 873, 874, 875, 876, 877, 878, 
  879, 880, 881, 882, 883, 884, 885, 886, 
  887, 888, 889, 890, 891, 892, 893, 894, 
  895, 896, 897, 0, 0, 0, 0, 0, 
  0, 898, 899, 900, 901, 902, 903, 904, 
  905, 906, 907, 908, 909, 910, 911, 912, 
  913, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 914, 915, 916, 917, 918, 919, 
  920, 921, 922, 923, 924, 925, 926, 927, 
  928, 929, 930, 931, 932, 933, 934, 935, 
  936, 937, 938, 939, 940, 941, 942, 943, 
  944, 945, 946, 947, 948, 949, 950, 951, 
  0, 0, 487, 952, 952, 952, 952, 952, 
  952, 0, 953, 954, 955, 956, 957, 958, 
  959, 960, 961, 962, 963, 964, 965, 966, 
  967, 968, 969, 970, 971, 972, 973, 974, 
  975, 976, 977, 978, 979, 980, 981, 982, 
  983, 984, 985, 986, 987, 988, 989, 990, 
  991, 0, 952, 992, 0, 0, 0, 0, 
  0, 0, 517, 504, 504, 504, 504, 517, 
  504, 504, 504, 993, 517, 504, 504, 504, 
  504, 504, 504, 517, 517, 517, 517, 517, 
  517, 504, 504, 517, 504, 504, 993, 994, 
  504, 995, 996, 997, 998, 999, 1000, 1001, 
  1002, 1003, 1004, 0, 1005, 1006, 1007, 1008, 
  1009, 1008, 1010, 1011, 1008, 504, 517, 1008, 
  1003, 0, 0, 0, 0, 0, 0, 0, 
  0, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 0, 0, 0, 0, 
  0, 1012, 1012, 1012, 1008, 1008, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1013, 1013, 1013, 1013, 0, 0, 0, 
  0, 0, 0, 0, 1014, 12, 1015, 75, 
  75, 504, 504, 504, 504, 504, 504, 0, 
  0, 0, 0, 0, 1015, 0, 0, 1015, 
  1015, 0, 1016, 1017, 1018, 1019, 1020, 1021, 
  1022, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 0, 0, 0, 0, 
  0, 1023, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1024, 1016, 1025, 1026, 1027, 1028, 1029, 
  1030, 1031, 1032, 1033, 1034, 1035, 1036, 517, 
  504, 504, 504, 504, 504, 517, 504, 504, 
  0, 1037, 1037, 1037, 1037, 1037, 1037, 1037, 
  1037, 1037, 1037, 7, 1038, 1038, 1015, 1016, 
  1016, 1039, 1016, 1016, 1016, 1016, 1040, 1041, 
  1042, 1043, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1044, 1045, 1046, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1047, 1048, 1015, 1049, 504, 
  504, 504, 504, 504, 504, 504, 1050, 787, 
  504, 504, 504, 504, 517, 504, 1023, 1023, 
  504, 504, 75, 517, 504, 504, 517, 1016, 
  1016, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 14, 1016, 1016, 1016, 1051, 1051, 
  1016, 1015, 1015, 1015, 1015, 1015, 1015, 1015, 
  1015, 1015, 1015, 1015, 1015, 1015, 1015, 0, 
  79, 1016, 1052, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 504, 517, 504, 504, 517, 504, 504, 
  517, 517, 517, 504, 517, 517, 504, 517, 
  504, 504, 504, 517, 504, 517, 504, 517, 
  504, 517, 504, 504, 0, 0, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 1016, 
  1016, 1016, 1016, 1016, 1016, 1016, 1016, 538, 
  538, 538, 538, 538, 538, 538, 538, 538, 
  538, 538, 1016, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 538, 538, 1053, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 1054, 1055, 337, 337, 337, 337, 337, 
  337, 1056, 1057, 337, 1058, 1059, 337, 337, 
  337, 337, 337, 0, 0, 1060, 337, 1053, 
  1053, 1053, 538, 538, 538, 538, 538, 538, 
  538, 538, 1053, 1053, 1053, 1053, 1061, 0, 
  0, 337, 504, 517, 504, 504, 0, 0, 
  0, 1062, 1063, 1064, 1065, 1066, 1067, 1068, 
  1069, 337, 337, 538, 538, 952, 952, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 952, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 337, 0, 
  0, 0, 538, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  337, 337, 0, 0, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 0, 0, 0, 337, 
  337, 337, 337, 0, 0, 1071, 337, 1072, 
  1053, 1053, 538, 538, 538, 538, 0, 0, 
  1073, 1053, 0, 0, 1074, 1075, 1061, 337, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  1076, 0, 0, 0, 0, 1077, 1078, 0, 
  1079, 337, 337, 538, 538, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 337, 337, 8, 8, 1080, 1080, 1080, 
  1080, 1080, 1080, 786, 0, 0, 0, 0, 
  0, 0, 538, 538, 1053, 0, 337, 337, 
  337, 337, 337, 337, 0, 0, 0, 0, 
  337, 337, 0, 0, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 1081, 0, 337, 1082, 
  0, 337, 337, 0, 0, 1071, 0, 1053, 
  1053, 1053, 538, 538, 0, 0, 0, 0, 
  538, 538, 0, 0, 538, 538, 1061, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 1083, 1084, 1085, 337, 0, 1086, 
  0, 0, 0, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 538, 538, 337, 337, 337, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 538, 538, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  337, 337, 337, 0, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 0, 337, 337, 
  337, 337, 337, 0, 0, 1071, 337, 1053, 
  1053, 1053, 538, 538, 538, 538, 538, 0, 
  538, 538, 1053, 0, 1053, 1053, 1061, 0, 
  0, 337, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 538, 538, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 0, 8, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 538, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  337, 337, 0, 0, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 0, 337, 337, 
  337, 337, 337, 0, 0, 1071, 337, 1087, 
  538, 1053, 538, 538, 538, 0, 0, 0, 
  1088, 1089, 0, 0, 1090, 1091, 1061, 0, 
  0, 0, 0, 0, 0, 0, 0, 1092, 
  1093, 0, 0, 0, 0, 1094, 1095, 0, 
  337, 337, 337, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 786, 337, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 538, 337, 0, 337, 337, 
  337, 337, 337, 337, 0, 0, 0, 337, 
  337, 337, 0, 1096, 337, 1097, 337, 0, 
  0, 0, 337, 337, 0, 337, 0, 337, 
  337, 0, 0, 0, 337, 337, 0, 0, 
  0, 337, 337, 337, 0, 0, 0, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 1098, 
  1053, 538, 1053, 1053, 0, 0, 0, 1099, 
  1100, 1053, 0, 1101, 1102, 1103, 1061, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  1104, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1080, 1080, 1080, 75, 75, 75, 75, 
  75, 75, 8, 75, 0, 0, 0, 0, 
  0, 0, 1053, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 538, 
  538, 538, 1053, 1053, 1053, 1053, 0, 1105, 
  538, 1106, 0, 538, 538, 538, 1061, 0, 
  0, 0, 0, 0, 0, 0, 1107, 1108, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 337, 337, 
  337, 337, 337, 0, 0, 1071, 337, 1053, 
  1109, 1110, 1053, 1111, 1053, 1053, 0, 1112, 
  1113, 1114, 0, 1115, 1116, 538, 1061, 0, 
  0, 0, 0, 0, 0, 0, 1117, 1118, 
  0, 0, 0, 0, 0, 0, 0, 337, 
  0, 337, 337, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 1119, 
  1053, 1053, 538, 538, 538, 0, 0, 1120, 
  1121, 1053, 0, 1122, 1123, 1124, 1061, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  1125, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 0, 0, 0, 0, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 1053, 1053, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 1126, 0, 0, 0, 0, 
  1127, 1053, 1053, 538, 538, 538, 0, 538, 
  0, 1053, 1128, 1129, 1053, 1130, 1131, 1132, 
  1133, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 1053, 1053, 952, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 538, 337, 1134, 538, 538, 538, 
  538, 1135, 1135, 1061, 0, 0, 0, 0, 
  8, 337, 337, 337, 337, 337, 337, 487, 
  538, 1136, 1136, 1136, 1136, 538, 538, 538, 
  952, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 952, 952, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 337, 337, 0, 337, 0, 0, 
  337, 337, 0, 337, 0, 0, 337, 0, 
  0, 0, 0, 0, 0, 337, 337, 337, 
  337, 0, 337, 337, 337, 337, 337, 337, 
  337, 0, 337, 337, 337, 0, 337, 0, 
  337, 0, 0, 337, 337, 0, 337, 337, 
  337, 337, 538, 337, 1137, 538, 538, 538, 
  538, 1138, 1138, 0, 538, 538, 337, 0, 
  0, 337, 337, 337, 337, 337, 0, 487, 
  0, 1139, 1139, 1139, 1139, 538, 538, 0, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 0, 0, 1140, 1141, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 786, 786, 786, 952, 952, 952, 
  952, 952, 952, 952, 952, 1142, 952, 952, 
  952, 952, 952, 952, 786, 786, 786, 786, 
  786, 517, 517, 786, 786, 786, 786, 786, 
  786, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 786, 517, 786, 
  517, 786, 1143, 1144, 1145, 1144, 1145, 1053, 
  1053, 337, 337, 337, 1146, 337, 337, 337, 
  337, 0, 337, 337, 337, 337, 1147, 337, 
  337, 337, 337, 1148, 337, 337, 337, 337, 
  1149, 337, 337, 337, 337, 1150, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 1151, 337, 0, 0, 0, 0, 
  0, 0, 1152, 1153, 1154, 1155, 1156, 1157, 
  1158, 1159, 1160, 1153, 1153, 1153, 1153, 538, 
  1053, 1153, 1161, 504, 504, 1061, 952, 504, 
  504, 337, 337, 337, 337, 0, 0, 0, 
  0, 538, 538, 538, 1162, 538, 538, 538, 
  538, 0, 538, 538, 538, 538, 1163, 538, 
  538, 538, 538, 1164, 538, 538, 538, 538, 
  1165, 538, 538, 538, 538, 1166, 538, 538, 
  538, 538, 538, 538, 538, 538, 538, 538, 
  538, 538, 1167, 538, 538, 538, 0, 786, 
  786, 786, 786, 786, 786, 786, 786, 517, 
  786, 786, 786, 786, 786, 786, 0, 0, 
  786, 952, 952, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 337, 337, 1168, 1169, 
  337, 0, 337, 337, 0, 1053, 538, 1170, 
  538, 538, 1053, 538, 0, 0, 0, 538, 
  1071, 1053, 1061, 0, 0, 0, 0, 0, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 952, 952, 952, 952, 952, 
  952, 337, 337, 337, 337, 337, 337, 1053, 
  1053, 538, 538, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1171, 1172, 1173, 1174, 1175, 1176, 1177, 
  1178, 1179, 1180, 1181, 1182, 1183, 1184, 1185, 
  1186, 1187, 1188, 1189, 1190, 1191, 1192, 1193, 
  1194, 1195, 1196, 1197, 1198, 1199, 1200, 1201, 
  1202, 1203, 1204, 1205, 1206, 1207, 1208, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 952, 1209, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 0, 
  1210, 1210, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 0, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 0, 0, 0, 0, 
  504, 786, 952, 952, 952, 952, 952, 952, 
  952, 952, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 952, 952, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 5, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 1144, 1145, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 952, 952, 952, 1211, 
  1211, 1211, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 337, 
  337, 337, 337, 538, 538, 1061, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 538, 538, 1061, 952, 952, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 538, 538, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 337, 
  337, 337, 0, 538, 538, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 1212, 1212, 1053, 
  538, 538, 538, 538, 538, 538, 538, 1053, 
  1053, 1053, 1053, 1053, 1053, 1053, 1053, 538, 
  1053, 1053, 538, 538, 538, 538, 538, 538, 
  538, 538, 538, 1061, 538, 952, 952, 952, 
  487, 952, 952, 952, 8, 337, 504, 0, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 0, 0, 0, 0, 0, 
  0, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 0, 0, 0, 0, 0, 
  0, 6, 6, 6, 6, 6, 6, 992, 
  6, 6, 6, 6, 1214, 1214, 1214, 5, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 487, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 994, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  0, 538, 538, 538, 1053, 1053, 1053, 1053, 
  538, 538, 1215, 1215, 1215, 0, 0, 0, 
  0, 1053, 1053, 538, 1053, 1053, 1053, 1053, 
  1053, 1053, 993, 504, 517, 0, 0, 0, 
  0, 75, 0, 0, 0, 6, 6, 1070, 
  1070, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 0, 0, 0, 0, 0, 
  0, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
  1053, 1053, 1053, 1053, 1053, 1053, 1053, 1053, 
  1053, 1053, 337, 337, 337, 337, 337, 337, 
  337, 1053, 1053, 0, 0, 0, 0, 0, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 0, 0, 0, 0, 6, 
  6, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  504, 517, 1053, 1053, 1053, 0, 0, 952, 
  952, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 1216, 1217, 1218, 
  487, 1219, 1220, 1221, 1222, 1223, 1224, 1225, 
  1226, 1227, 1228, 1229, 487, 1230, 1231, 1232, 
  1233, 1234, 1235, 1236, 1237, 1238, 1239, 1240, 
  1241, 1242, 1243, 1244, 1245, 1246, 1247, 487, 
  1248, 1249, 1250, 1251, 1252, 1253, 1254, 1255, 
  1256, 1257, 1258, 1259, 1260, 1261, 1262, 1263, 
  1264, 1265, 1266, 1267, 1268, 1269, 1270, 1271, 
  1272, 1273, 1274, 1275, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 1276, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 212, 212, 212, 212, 
  212, 212, 212, 212, 1277, 1278, 1279, 1280, 
  1246, 1281, 1282, 1283, 1284, 1285, 1286, 1287, 
  1288, 1289, 1290, 1291, 1292, 1293, 1294, 1295, 
  1296, 1297, 1298, 1299, 1300, 1301, 1302, 1303, 
  1304, 1305, 1306, 1307, 1308, 1309, 1310, 1311, 
  1312, 504, 504, 517, 504, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1313, 1314, 1315, 1316, 1317, 1318, 1319, 
  1320, 1321, 1322, 1323, 1324, 1325, 1326, 1327, 
  1328, 1329, 1330, 1331, 1332, 1333, 1334, 1335, 
  1336, 1337, 1338, 1339, 1340, 1341, 1342, 1343, 
  1344, 1345, 1346, 1347, 1348, 1349, 1350, 1351, 
  1352, 1353, 1354, 1355, 1356, 1357, 1358, 1359, 
  1360, 1361, 1362, 1363, 1364, 1365, 1366, 1367, 
  1368, 1369, 1370, 1371, 1372, 1373, 1374, 1375, 
  1376, 1377, 1378, 1379, 1380, 1381, 1382, 1383, 
  1384, 1385, 1386, 1387, 1388, 1389, 1390, 1391, 
  1392, 1393, 1394, 1395, 1396, 1397, 1398, 1399, 
  1400, 1401, 1402, 1403, 1404, 1405, 1406, 1407, 
  1408, 1409, 1410, 1411, 1412, 1413, 1414, 1415, 
  1416, 1417, 1418, 1419, 1420, 1421, 1422, 1423, 
  1424, 1425, 1426, 1427, 1428, 1429, 1430, 1431, 
  1432, 1433, 1434, 1435, 1436, 1437, 1438, 1439, 
  1440, 1441, 1442, 1443, 1444, 1445, 1446, 1447, 
  1448, 1449, 1450, 1451, 1452, 1453, 1454, 1455, 
  1456, 1457, 1458, 1459, 1460, 1461, 1462, 1463, 
  1464, 1465, 1466, 1467, 1468, 0, 0, 0, 
  0, 1469, 1470, 1471, 1472, 1473, 1474, 1475, 
  1476, 1477, 1478, 1479, 1480, 1481, 1482, 1483, 
  1484, 1485, 1486, 1487, 1488, 1489, 1490, 1491, 
  1492, 1493, 1494, 1495, 1496, 1497, 1498, 1499, 
  1500, 1501, 1502, 1503, 1504, 1505, 1506, 1507, 
  1508, 1509, 1510, 1511, 1512, 1513, 1514, 1515, 
  1516, 1517, 1518, 1519, 1520, 1521, 1522, 1523, 
  1524, 1525, 1526, 1527, 1528, 1529, 1530, 1531, 
  1532, 1533, 1534, 1535, 1536, 1537, 1538, 1539, 
  1540, 1541, 1542, 1543, 1544, 1545, 1546, 1547, 
  1548, 1549, 1550, 1551, 1552, 1553, 1554, 1555, 
  1556, 1557, 1558, 0, 0, 0, 0, 0, 
  0, 1559, 1560, 1561, 1562, 1563, 1564, 1565, 
  1566, 1567, 1568, 1569, 1570, 1571, 1572, 1573, 
  1574, 1575, 1576, 1577, 1578, 1579, 1580, 0, 
  0, 1581, 1582, 1583, 1584, 1585, 1586, 0, 
  0, 1587, 1588, 1589, 1590, 1591, 1592, 1593, 
  1594, 1595, 1596, 1597, 1598, 1599, 1600, 1601, 
  1602, 1603, 1604, 1605, 1606, 1607, 1608, 1609, 
  1610, 1611, 1612, 1613, 1614, 1615, 1616, 1617, 
  1618, 1619, 1620, 1621, 1622, 1623, 1624, 0, 
  0, 1625, 1626, 1627, 1628, 1629, 1630, 0, 
  0, 1631, 1632, 1633, 1634, 1635, 1636, 1637, 
  1638, 0, 1639, 0, 1640, 0, 1641, 0, 
  1642, 1643, 1644, 1645, 1646, 1647, 1648, 1649, 
  1650, 1651, 1652, 1653, 1654, 1655, 1656, 1657, 
  1658, 1659, 1660, 1661, 1662, 1663, 1664, 1665, 
  1666, 1667, 1668, 1669, 1670, 1671, 1672, 0, 
  0, 1673, 1674, 1675, 1676, 1677, 1678, 1679, 
  1680, 1681, 1682, 1683, 1684, 1685, 1686, 1687, 
  1688, 1689, 1690, 1691, 1692, 1693, 1694, 1695, 
  1696, 1697, 1698, 1699, 1700, 1701, 1702, 1703, 
  1704, 1705, 1706, 1707, 1708, 1709, 1710, 1711, 
  1712, 1713, 1714, 1715, 1716, 1717, 1718, 1719, 
  1720, 1721, 1722, 1723, 1724, 1725, 0, 1726, 
  1727, 1728, 1729, 1730, 1731, 1732, 1733, 1734, 
  1735, 1736, 1737, 1738, 1739, 1740, 0, 1741, 
  1742, 1743, 1744, 1745, 1746, 1747, 1748, 1749, 
  1750, 1751, 1752, 1753, 1754, 0, 0, 1755, 
  1756, 1757, 1758, 1759, 1760, 0, 1761, 1762, 
  1763, 1764, 1765, 1766, 1767, 1768, 1769, 1770, 
  1771, 1772, 1773, 1774, 1775, 1776, 1777, 1778, 
  1779, 0, 0, 1780, 1781, 1782, 0, 1783, 
  1784, 1785, 1786, 1787, 1788, 1789, 1790, 1791, 
  0, 1792, 1793, 1794, 1794, 1794, 1794, 1794, 
  1795, 1794, 1794, 1794, 1796, 1796, 1796, 1212, 
  1797, 992, 1798, 992, 992, 992, 992, 6, 
  1799, 1800, 1801, 1144, 1800, 1800, 1801, 1144, 
  1800, 6, 6, 6, 6, 1802, 1803, 1804, 
  6, 1805, 1806, 1807, 1808, 1809, 1810, 1811, 
  74, 7, 7, 7, 1812, 1813, 6, 1814, 
  1815, 6, 78, 90, 6, 1816, 6, 1817, 
  45, 45, 6, 6, 6, 1818, 9, 10, 
  1819, 1820, 1821, 6, 6, 6, 6, 6, 
  6, 6, 6, 72, 6, 45, 6, 6, 
  1822, 6, 6, 6, 6, 6, 6, 6, 
  1794, 1796, 1796, 1796, 1796, 0, 0, 0, 
  0, 0, 0, 1796, 1796, 1796, 1796, 1796, 
  1796, 1823, 1824, 0, 0, 1825, 1826, 1827, 
  1828, 1829, 1830, 1831, 1832, 1833, 1834, 1835, 
  1836, 1837, 1838, 1839, 1840, 1841, 1842, 1843, 
  1844, 1845, 1846, 1847, 1848, 1849, 1850, 1851, 
  0, 1852, 1853, 1854, 1855, 1856, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 8, 8, 8, 8, 8, 8, 8, 
  8, 1857, 8, 8, 8, 8, 8, 8, 
  8, 8, 8, 8, 8, 8, 8, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 504, 504, 530, 530, 504, 504, 504, 
  504, 530, 530, 530, 504, 504, 787, 787, 
  787, 787, 504, 787, 787, 787, 530, 530, 
  504, 517, 504, 530, 530, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1858, 1859, 1860, 1861, 75, 1862, 1863, 
  1864, 75, 1865, 1866, 1867, 1867, 1867, 1868, 
  1869, 1870, 1870, 1871, 1872, 75, 1873, 1874, 
  75, 75, 1875, 1876, 1877, 1877, 1877, 75, 
  75, 1878, 1879, 1880, 75, 1881, 75, 1882, 
  75, 1881, 75, 1883, 1884, 1885, 1860, 81, 
  1886, 1887, 1888, 75, 1889, 1890, 1891, 1892, 
  1893, 1894, 1895, 75, 1896, 1897, 1898, 1899, 
  1900, 1901, 72, 72, 72, 72, 1902, 1903, 
  1886, 1895, 1904, 75, 72, 75, 0, 0, 
  0, 0, 0, 0, 1905, 1906, 1907, 1908, 
  1909, 1910, 1911, 1912, 1913, 1914, 1915, 1916, 
  1917, 1918, 1919, 1920, 1921, 1922, 1923, 1924, 
  1925, 1926, 1927, 1928, 1929, 1930, 1931, 1932, 
  1933, 1934, 1935, 1936, 1937, 1938, 1939, 1940, 
  1941, 1942, 1943, 1944, 1945, 1946, 1947, 1948, 
  1949, 1211, 1211, 1211, 1211, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1950, 72, 1951, 72, 1952, 75, 75, 
  75, 75, 75, 1953, 1954, 75, 75, 75, 
  75, 72, 75, 75, 72, 75, 75, 72, 
  75, 75, 75, 75, 75, 75, 75, 1955, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 1956, 1957, 
  1958, 1959, 75, 1960, 75, 1961, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 1962, 1962, 1963, 1964, 72, 72, 
  72, 1965, 1966, 1962, 1967, 1968, 1962, 72, 
  72, 72, 1962, 11, 82, 72, 1962, 1962, 
  72, 72, 72, 1962, 1962, 1962, 1962, 72, 
  1962, 1962, 1962, 1962, 1969, 1970, 1971, 1972, 
  72, 72, 72, 72, 1962, 1973, 1974, 1962, 
  1975, 1976, 1962, 1962, 1962, 72, 72, 72, 
  72, 72, 1962, 72, 1962, 1977, 1962, 1962, 
  1962, 1962, 1978, 1962, 1979, 1980, 1981, 1962, 
  1982, 1983, 1984, 1962, 1962, 1962, 1985, 72, 
  72, 72, 72, 1962, 1962, 1962, 1962, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  1962, 1986, 1987, 1988, 72, 1989, 1990, 1962, 
  1962, 1962, 1962, 1962, 1962, 72, 1991, 1992, 
  1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 
  2001, 2002, 2003, 2004, 2005, 2006, 2007, 1962, 
  1962, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 
  2015, 2016, 2017, 1962, 1962, 1962, 72, 72, 
  1962, 1962, 2018, 2019, 72, 72, 72, 72, 
  72, 1962, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 2020, 1962, 72, 72, 1962, 
  1962, 2021, 2022, 1962, 2023, 2024, 2025, 2026, 
  2027, 1962, 1962, 2028, 2029, 2030, 2031, 1962, 
  1962, 1962, 72, 72, 72, 72, 72, 1962, 
  1962, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 1962, 1962, 1962, 1962, 1962, 72, 
  72, 1962, 1962, 72, 72, 72, 72, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 2032, 2033, 2034, 2035, 1962, 1962, 1962, 
  1962, 1962, 1962, 2036, 2037, 2038, 2039, 72, 
  72, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 75, 75, 75, 75, 75, 75, 75, 
  75, 1962, 1962, 1962, 1962, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 1962, 1962, 75, 75, 75, 75, 75, 
  75, 75, 2040, 2041, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 75, 72, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 786, 75, 
  75, 75, 75, 75, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 1144, 1145, 6, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 2042, 2043, 2044, 2045, 2046, 2047, 2048, 
  2049, 2050, 2051, 2052, 2053, 2054, 2055, 2056, 
  2057, 2058, 2059, 2060, 2061, 2062, 2063, 2064, 
  2065, 2066, 2067, 2068, 2069, 2070, 2071, 2072, 
  2073, 2074, 2075, 2076, 2077, 2078, 2079, 2080, 
  2081, 2082, 2083, 2084, 2085, 2086, 2087, 2088, 
  2089, 2090, 2091, 2092, 2093, 2094, 2095, 2096, 
  2097, 2098, 2099, 2100, 2101, 2102, 2103, 2104, 
  2105, 2106, 2107, 2108, 2109, 2110, 2111, 2112, 
  2113, 2114, 2115, 2116, 2117, 2118, 2119, 2120, 
  2121, 2122, 2123, 2124, 2125, 2126, 2127, 2128, 
  2129, 2130, 2131, 2132, 2133, 2134, 2135, 2136, 
  2137, 2138, 2139, 2140, 2141, 2142, 2143, 2144, 
  2145, 2146, 2147, 2148, 2149, 2150, 2151, 2152, 
  2153, 2154, 2155, 2156, 2157, 2158, 2159, 2160, 
  2161, 2162, 2163, 2164, 2165, 2166, 2167, 2168, 
  2169, 2170, 2171, 2172, 2173, 2174, 2175, 2176, 
  2177, 2178, 2179, 2180, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  72, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 72, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 72, 72, 72, 72, 72, 72, 72, 
  72, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  72, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 786, 75, 75, 
  75, 75, 75, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 75, 75, 75, 75, 0, 75, 
  75, 75, 75, 0, 0, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 0, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 0, 75, 0, 
  75, 75, 75, 75, 0, 0, 0, 75, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  0, 0, 75, 75, 75, 75, 75, 75, 
  75, 9, 10, 9, 10, 9, 10, 9, 
  10, 9, 10, 9, 10, 9, 10, 1213, 
  1213, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 1213, 1213, 1213, 1213, 1213, 
  1213, 1213, 1213, 1213, 1213, 75, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 0, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  0, 1962, 72, 72, 1962, 1962, 9, 10, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 72, 72, 72, 1962, 1962, 1962, 1962, 
  72, 72, 72, 72, 72, 1962, 1962, 1962, 
  72, 72, 72, 1962, 1962, 1962, 1962, 9, 
  10, 9, 10, 9, 10, 0, 0, 0, 
  0, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 9, 10, 9, 10, 
  9, 10, 9, 10, 9, 10, 9, 10, 
  9, 10, 9, 10, 9, 10, 9, 10, 
  9, 10, 72, 72, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 72, 72, 72, 72, 72, 72, 72, 
  72, 1962, 72, 72, 72, 72, 72, 72, 
  72, 1962, 1962, 1962, 1962, 1962, 1962, 72, 
  72, 72, 1962, 72, 72, 72, 72, 1962, 
  1962, 1962, 1962, 1962, 72, 1962, 1962, 72, 
  72, 9, 10, 9, 10, 1962, 72, 72, 
  72, 72, 1962, 72, 1962, 1962, 1962, 72, 
  72, 1962, 1962, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 1962, 1962, 1962, 
  1962, 1962, 1962, 72, 72, 9, 10, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 1962, 1962, 2181, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 72, 1962, 
  1962, 1962, 1962, 72, 72, 1962, 72, 1962, 
  72, 72, 1962, 72, 1962, 1962, 1962, 1962, 
  72, 72, 72, 72, 72, 1962, 1962, 72, 
  72, 72, 72, 72, 72, 1962, 1962, 1962, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 72, 72, 72, 
  1962, 1962, 72, 72, 72, 72, 72, 72, 
  72, 72, 72, 72, 72, 1962, 1962, 72, 
  72, 72, 72, 1962, 1962, 1962, 1962, 72, 
  1962, 1962, 72, 72, 1962, 2182, 2183, 2184, 
  72, 72, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 72, 72, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 72, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  1962, 1962, 1962, 1962, 1962, 1962, 1962, 1962, 
  72, 72, 72, 72, 72, 2185, 2186, 1962, 
  72, 72, 72, 1962, 1962, 1962, 1962, 1962, 
  72, 72, 72, 72, 72, 1962, 1962, 1962, 
  72, 72, 72, 72, 1962, 72, 72, 72, 
  1962, 1962, 1962, 1962, 1962, 72, 1962, 72, 
  72, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 2187, 2188, 2189, 2190, 2191, 2192, 2193, 
  2194, 2195, 2196, 2197, 2198, 2199, 2200, 2201, 
  2202, 2203, 2204, 2205, 2206, 2207, 2208, 2209, 
  2210, 2211, 2212, 2213, 2214, 2215, 2216, 2217, 
  2218, 2219, 2220, 2221, 2222, 2223, 2224, 2225, 
  2226, 2227, 2228, 2229, 2230, 2231, 2232, 2233, 
  0, 2234, 2235, 2236, 2237, 2238, 2239, 2240, 
  2241, 2242, 2243, 2244, 2245, 2246, 2247, 2248, 
  2249, 2250, 2251, 2252, 2253, 2254, 2255, 2256, 
  2257, 2258, 2259, 2260, 2261, 2262, 2263, 2264, 
  2265, 2266, 2267, 2268, 2269, 2270, 2271, 2272, 
  2273, 2274, 2275, 2276, 2277, 2278, 2279, 2280, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 2281, 2282, 2283, 2284, 2285, 2286, 2287, 
  2288, 2289, 2290, 2291, 2292, 2293, 2294, 2295, 
  2296, 2297, 2298, 2299, 2300, 2301, 2302, 2303, 
  2304, 2305, 2306, 2307, 2308, 2309, 2310, 2311, 
  2312, 2313, 2314, 2315, 2316, 2317, 2318, 2319, 
  2320, 2321, 2322, 2323, 2324, 2325, 2326, 2327, 
  2328, 2329, 2330, 2331, 2332, 2333, 2334, 2335, 
  2336, 2337, 2338, 2339, 2340, 2341, 2342, 2343, 
  2344, 2345, 2346, 2347, 2348, 2349, 2350, 2351, 
  2352, 2353, 2354, 2355, 2356, 2357, 2358, 2359, 
  2360, 2361, 2362, 2363, 2364, 2365, 2366, 2367, 
  2368, 2369, 2370, 2371, 2372, 2373, 2374, 2375, 
  2376, 2377, 2378, 2379, 2380, 212, 75, 75, 
  75, 75, 75, 75, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 6, 6, 6, 6, 1213, 6, 
  6, 2381, 2382, 2383, 2384, 2385, 2386, 2387, 
  2388, 2389, 2390, 2391, 2392, 2393, 2394, 2395, 
  2396, 2397, 2398, 2399, 2400, 2401, 2402, 2403, 
  2404, 2405, 2406, 2407, 2408, 2409, 2410, 2411, 
  2412, 2413, 2414, 2415, 2416, 2417, 2418, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  2419, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 6, 6, 78, 90, 78, 90, 6, 
  6, 6, 78, 90, 6, 78, 90, 6, 
  6, 6, 6, 6, 6, 6, 6, 6, 
  992, 0, 0, 0, 0, 78, 90, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 0, 75, 75, 75, 75, 
  2420, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 2421, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 2422, 2423, 2424, 2425, 2426, 2427, 2428, 
  2429, 2430, 2431, 2432, 2433, 2434, 2435, 2436, 
  2437, 2438, 2439, 2440, 2441, 2442, 2443, 2444, 
  2445, 2446, 2447, 2448, 2449, 2450, 2451, 2452, 
  2453, 2454, 2455, 2456, 2457, 2458, 2459, 2460, 
  2461, 2462, 2463, 2464, 2465, 2466, 2467, 2468, 
  2469, 2470, 2471, 2472, 2473, 2474, 2475, 2476, 
  2477, 2478, 2479, 2480, 2481, 2482, 2483, 2484, 
  2485, 2486, 2487, 2488, 2489, 2490, 2491, 2492, 
  2493, 2494, 2495, 2496, 2497, 2498, 2499, 2500, 
  2501, 2502, 2503, 2504, 2505, 2506, 2507, 2508, 
  2509, 2510, 2511, 2512, 2513, 2514, 2515, 2516, 
  2517, 2518, 2519, 2520, 2521, 2522, 2523, 2524, 
  2525, 2526, 2527, 2528, 2529, 2530, 2531, 2532, 
  2533, 2534, 2535, 2536, 2537, 2538, 2539, 2540, 
  2541, 2542, 2543, 2544, 2545, 2546, 2547, 2548, 
  2549, 2550, 2551, 2552, 2553, 2554, 2555, 2556, 
  2557, 2558, 2559, 2560, 2561, 2562, 2563, 2564, 
  2565, 2566, 2567, 2568, 2569, 2570, 2571, 2572, 
  2573, 2574, 2575, 2576, 2577, 2578, 2579, 2580, 
  2581, 2582, 2583, 2584, 2585, 2586, 2587, 2588, 
  2589, 2590, 2591, 2592, 2593, 2594, 2595, 2596, 
  2597, 2598, 2599, 2600, 2601, 2602, 2603, 2604, 
  2605, 2606, 2607, 2608, 2609, 2610, 2611, 2612, 
  2613, 2614, 2615, 2616, 2617, 2618, 2619, 2620, 
  2621, 2622, 2623, 2624, 2625, 2626, 2627, 2628, 
  2629, 2630, 2631, 2632, 2633, 2634, 2635, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 0, 0, 0, 
  0, 2636, 6, 6, 6, 75, 487, 337, 
  1211, 9, 10, 9, 10, 9, 10, 9, 
  10, 9, 10, 75, 75, 9, 10, 9, 
  10, 9, 10, 9, 10, 992, 1144, 1145, 
  1145, 75, 1211, 1211, 1211, 1211, 1211, 1211, 
  1211, 1211, 1211, 2637, 994, 516, 993, 2638, 
  2638, 992, 487, 487, 487, 487, 487, 2639, 
  75, 2640, 2641, 2642, 487, 337, 6, 75, 
  75, 0, 337, 337, 337, 337, 337, 2643, 
  337, 337, 337, 337, 2644, 2645, 2646, 2647, 
  2648, 2649, 2650, 2651, 2652, 2653, 2654, 2655, 
  2656, 2657, 2658, 2659, 2660, 2661, 2662, 2663, 
  2664, 2665, 2666, 2667, 337, 2668, 2669, 2670, 
  2671, 2672, 2673, 337, 337, 337, 337, 337, 
  2674, 2675, 2676, 2677, 2678, 2679, 2680, 2681, 
  2682, 2683, 2684, 2685, 2686, 2687, 2688, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 2689, 337, 337, 
  0, 0, 2690, 2691, 2692, 2693, 2694, 2695, 
  2696, 992, 337, 337, 337, 337, 337, 2697, 
  337, 337, 337, 337, 2698, 2699, 2700, 2701, 
  2702, 2703, 2704, 2705, 2706, 2707, 2708, 2709, 
  2710, 2711, 2712, 2713, 2714, 2715, 2716, 2717, 
  2718, 2719, 2720, 2721, 337, 2722, 2723, 2724, 
  2725, 2726, 2727, 337, 337, 337, 337, 337, 
  2728, 2729, 2730, 2731, 2732, 2733, 2734, 2735, 
  2736, 2737, 2738, 2739, 2740, 2741, 2742, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  2743, 2744, 2745, 2746, 337, 2747, 337, 337, 
  2748, 2749, 2750, 2751, 6, 487, 2752, 2753, 
  2754, 0, 0, 0, 0, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  0, 0, 2755, 2756, 2757, 2758, 2759, 2760, 
  2761, 2762, 2763, 2764, 2765, 2766, 2767, 2768, 
  2769, 2770, 2771, 2772, 2773, 2774, 2775, 2776, 
  2777, 2778, 2779, 2780, 2781, 2782, 2783, 2784, 
  2785, 2786, 2787, 2788, 2789, 2790, 2791, 2792, 
  2793, 2794, 2795, 2796, 2797, 2798, 2799, 2800, 
  2801, 2802, 2803, 2804, 2805, 2806, 2807, 2808, 
  2809, 2810, 2811, 2812, 2813, 2814, 2815, 2816, 
  2817, 2818, 2819, 2820, 2821, 2822, 2823, 2824, 
  2825, 2826, 2827, 2828, 2829, 2830, 2831, 2832, 
  2833, 2834, 2835, 2836, 2837, 2838, 2839, 2840, 
  2841, 2842, 2843, 2844, 2845, 2846, 2847, 2848, 
  0, 786, 786, 2849, 2850, 2851, 2852, 2853, 
  2854, 2855, 2856, 2857, 2858, 2859, 2860, 2861, 
  2862, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 2863, 2864, 2865, 2866, 2867, 2868, 2869, 
  2870, 2871, 2872, 2873, 2874, 2875, 2876, 2877, 
  2878, 2879, 2880, 2881, 2882, 2883, 2884, 2885, 
  2886, 2887, 2888, 2889, 2890, 2891, 2892, 2893, 
  0, 2894, 2895, 2896, 2897, 2898, 2899, 2900, 
  2901, 2902, 2903, 2904, 2905, 2906, 2907, 2908, 
  2909, 2910, 2911, 2912, 2913, 2914, 2915, 2916, 
  2917, 2918, 2919, 2920, 2921, 2922, 2923, 2924, 
  2925, 2926, 2927, 2928, 2929, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 2930, 2931, 2932, 2933, 2934, 2935, 2936, 
  2937, 2938, 2939, 2940, 2941, 2942, 2943, 2944, 
  2945, 2946, 2947, 2948, 2949, 2950, 2951, 2952, 
  2953, 2954, 2955, 2956, 2957, 2958, 2959, 2960, 
  2961, 2962, 2963, 2964, 2965, 2966, 2967, 2968, 
  2969, 2970, 2971, 2972, 2973, 2974, 2975, 2976, 
  786, 2977, 2978, 2979, 2980, 2981, 2982, 2983, 
  2984, 2985, 2986, 2987, 2988, 2989, 2990, 2991, 
  2992, 2993, 2994, 2995, 2996, 2997, 2998, 2999, 
  3000, 3001, 3002, 3003, 3004, 3005, 3006, 3007, 
  3008, 3009, 3010, 3011, 3012, 3013, 3014, 3015, 
  3016, 3017, 3018, 3019, 3020, 3021, 3022, 3023, 
  3024, 3025, 3026, 3027, 3028, 3029, 3030, 3031, 
  3032, 3033, 3034, 3035, 3036, 3037, 3038, 3039, 
  3040, 3041, 3042, 3043, 3044, 3045, 3046, 3047, 
  3048, 3049, 3050, 3051, 3052, 3053, 3054, 3055, 
  3056, 3057, 3058, 3059, 3060, 3061, 3062, 3063, 
  3064, 3065, 3066, 3067, 3068, 3069, 3070, 3071, 
  3072, 3073, 3074, 3075, 3076, 3077, 3078, 3079, 
  3080, 3081, 3082, 3083, 3084, 3085, 3086, 3087, 
  3088, 3089, 3090, 3091, 3092, 3093, 3094, 3095, 
  3096, 3097, 3098, 3099, 3100, 3101, 3102, 3103, 
  0, 3104, 3105, 3106, 3107, 3108, 3109, 3110, 
  3111, 3112, 3113, 3114, 3115, 3116, 3117, 3118, 
  3119, 3120, 3121, 3122, 3123, 3124, 3125, 3126, 
  3127, 3128, 3129, 3130, 3131, 3132, 3133, 3134, 
  3135, 3136, 3137, 3138, 3139, 3140, 3141, 3142, 
  3143, 3144, 3145, 3146, 3147, 3148, 3149, 3150, 
  3151, 3152, 3153, 3154, 3155, 3156, 3157, 3158, 
  3159, 3160, 3161, 3162, 3163, 3164, 3165, 3166, 
  3167, 3168, 3169, 3170, 3171, 3172, 3173, 3174, 
  3175, 3176, 3177, 3178, 3179, 3180, 3181, 3182, 
  3183, 3184, 3185, 3186, 3187, 3188, 3189, 3190, 
  3191, 3192, 3193, 3194, 3195, 3196, 3197, 3198, 
  3199, 3200, 3201, 3202, 3203, 3204, 3205, 3206, 
  3207, 3208, 3209, 3210, 3211, 3212, 3213, 3214, 
  3215, 3216, 3217, 3218, 3219, 3220, 3221, 3222, 
  3223, 3224, 3225, 3226, 3227, 3228, 3229, 3230, 
  3231, 3232, 3233, 3234, 3235, 3236, 3237, 3238, 
  3239, 3240, 3241, 3242, 3243, 3244, 3245, 3246, 
  3247, 3248, 3249, 3250, 3251, 3252, 3253, 3254, 
  3255, 3256, 3257, 3258, 3259, 3260, 3261, 3262, 
  3263, 3264, 3265, 3266, 3267, 3268, 3269, 3270, 
  3271, 3272, 3273, 3274, 3275, 3276, 3277, 3278, 
  3279, 3280, 3281, 3282, 3283, 3284, 3285, 3286, 
  3287, 3288, 3289, 3290, 3291, 3292, 3293, 3294, 
  3295, 3296, 3297, 3298, 3299, 3300, 3301, 3302, 
  3303, 3304, 3305, 3306, 3307, 3308, 3309, 3310, 
  3311, 3312, 3313, 3314, 3315, 3316, 3317, 3318, 
  3319, 3320, 3321, 3322, 3323, 3324, 3325, 3326, 
  3327, 3328, 3329, 3330, 3331, 3332, 3333, 3334, 
  3335, 3336, 3337, 3338, 3339, 3340, 3341, 3342, 
  3343, 3344, 3345, 3346, 3347, 3348, 3349, 3350, 
  3351, 3352, 3353, 3354, 3355, 3356, 3357, 3358, 
  3359, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 487, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 44, 44, 44, 44, 44, 44, 44, 
  44, 44, 44, 44, 44, 44, 44, 44, 
  44, 44, 44, 44, 44, 44, 44, 44, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 1215, 337, 337, 337, 1061, 
  337, 337, 337, 337, 538, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 1053, 1053, 538, 538, 
  1053, 75, 75, 75, 75, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3360, 3360, 3360, 3360, 3360, 3360, 3360, 
  3360, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3362, 3363, 3364, 3365, 3366, 3367, 3368, 
  3369, 3369, 3370, 3371, 3372, 3373, 3374, 3375, 
  3376, 3377, 3378, 3379, 3380, 3381, 3382, 3383, 
  3384, 3385, 3386, 3387, 3388, 3389, 3390, 3391, 
  3392, 3393, 3394, 3395, 3396, 3397, 3398, 3399, 
  3400, 3401, 3402, 3403, 3404, 3405, 3406, 3407, 
  3408, 3409, 3410, 3411, 3412, 3413, 3414, 3415, 
  3416, 3417, 3418, 3419, 3420, 3421, 3422, 3423, 
  3424, 3425, 3426, 3427, 3428, 3429, 3430, 3431, 
  3432, 3433, 3434, 3435, 3436, 3437, 3438, 3439, 
  3440, 3441, 3442, 3443, 3444, 3445, 3446, 3447, 
  3448, 3449, 3450, 3451, 3452, 3381, 3453, 3454, 
  3455, 3456, 3457, 3458, 3459, 3460, 3461, 3462, 
  3463, 3464, 3465, 3466, 3467, 3468, 3469, 3470, 
  3471, 3472, 3473, 3474, 3475, 3476, 3477, 3478, 
  3479, 3480, 3481, 3482, 3483, 3484, 3485, 3486, 
  3487, 3488, 3489, 3490, 3491, 3492, 3493, 3494, 
  3495, 3496, 3497, 3498, 3499, 3500, 3501, 3502, 
  3503, 3504, 3505, 3506, 3507, 3508, 3509, 3510, 
  3511, 3512, 3513, 3514, 3515, 3516, 3517, 3518, 
  3519, 3520, 3471, 3521, 3522, 3523, 3524, 3525, 
  3526, 3527, 3528, 3455, 3529, 3530, 3531, 3532, 
  3533, 3534, 3535, 3536, 3537, 3538, 3539, 3540, 
  3541, 3542, 3543, 3544, 3545, 3546, 3547, 3548, 
  3381, 3549, 3550, 3551, 3552, 3553, 3554, 3555, 
  3556, 3557, 3558, 3559, 3560, 3561, 3562, 3563, 
  3564, 3565, 3566, 3567, 3568, 3569, 3570, 3571, 
  3572, 3573, 3574, 3575, 3457, 3576, 3577, 3578, 
  3579, 3580, 3581, 3582, 3583, 3584, 3585, 3586, 
  3587, 3588, 3589, 3590, 3591, 3592, 3593, 3594, 
  3595, 3596, 3597, 3598, 3599, 3600, 3601, 3602, 
  3603, 3604, 3605, 3606, 3607, 3608, 3609, 3610, 
  3611, 3612, 3613, 3614, 3615, 3616, 3617, 3618, 
  3619, 3620, 3621, 3622, 3623, 3624, 3625, 337, 
  337, 3626, 337, 3627, 337, 337, 3628, 3629, 
  3630, 3631, 3632, 3633, 3634, 3635, 3636, 3637, 
  337, 3638, 337, 3639, 337, 337, 3640, 3641, 
  337, 337, 337, 3642, 3643, 3644, 3645, 0, 
  0, 3646, 3647, 3648, 3649, 3650, 3651, 3652, 
  3653, 3654, 3655, 3656, 3657, 3658, 3659, 3660, 
  3661, 3662, 3663, 3664, 3665, 3666, 3667, 3668, 
  3669, 3670, 3671, 3672, 3673, 3674, 3675, 3676, 
  3677, 3678, 3679, 3680, 3681, 3682, 3683, 3684, 
  3510, 3685, 3686, 3687, 3688, 3689, 3690, 3690, 
  3691, 3692, 3693, 3694, 3695, 3696, 3697, 3698, 
  3640, 3699, 3700, 3701, 0, 0, 0, 0, 
  0, 3702, 3703, 3704, 3705, 3706, 3707, 3708, 
  3709, 3652, 3710, 3711, 3712, 3626, 3713, 3714, 
  3715, 3716, 3717, 3718, 3719, 3720, 3721, 3722, 
  3723, 3724, 3661, 3725, 3662, 3726, 3727, 3728, 
  3729, 3730, 3627, 3402, 3731, 3732, 3733, 3472, 
  3559, 3734, 3735, 3669, 3736, 3670, 3737, 3738, 
  3739, 3629, 3740, 3741, 3742, 3743, 3744, 3630, 
  3745, 3746, 3747, 3748, 3749, 3750, 3684, 3751, 
  3752, 3510, 3753, 3688, 3754, 3755, 3756, 3757, 
  3758, 3693, 3759, 3639, 3760, 3694, 3453, 3761, 
  3695, 3762, 3697, 3763, 3764, 3765, 3766, 3767, 
  3699, 3635, 3768, 3700, 3769, 3701, 3770, 3369, 
  3771, 3772, 3773, 3774, 3775, 3776, 3777, 3778, 
  3779, 3780, 3781, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 3782, 3783, 3784, 3785, 3786, 3787, 3788, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 3789, 3790, 3791, 3792, 
  3793, 0, 0, 0, 0, 0, 3794, 3795, 
  3796, 3797, 3798, 3799, 3800, 3801, 3802, 3803, 
  3804, 3805, 3806, 3807, 3808, 3809, 3810, 3811, 
  3812, 3813, 3814, 3815, 3816, 3817, 3818, 3819, 
  0, 3820, 3821, 3822, 3823, 3824, 0, 3825, 
  0, 3826, 3827, 0, 3828, 3829, 0, 3830, 
  3831, 3832, 3833, 3834, 3835, 3836, 3837, 3838, 
  3839, 3840, 3841, 3842, 3843, 3844, 3845, 3846, 
  3847, 3848, 3849, 3850, 3851, 3852, 3853, 3854, 
  3855, 3856, 3857, 3858, 3859, 3860, 3861, 3862, 
  3863, 3864, 3865, 3866, 3867, 3868, 3869, 3870, 
  3871, 3872, 3873, 3874, 3875, 3876, 3877, 3878, 
  3879, 3880, 3881, 3882, 3883, 3884, 3885, 3886, 
  3887, 3888, 3889, 3890, 3891, 3892, 3893, 3894, 
  3895, 3896, 3897, 3898, 3899, 3900, 3901, 3902, 
  3903, 3904, 3905, 3906, 3907, 3908, 3909, 3910, 
  3911, 3912, 3913, 3914, 3915, 3916, 3917, 3918, 
  3919, 3920, 3921, 3922, 3923, 3924, 3925, 3926, 
  3927, 3928, 3929, 3930, 3931, 3932, 3933, 3934, 
  3935, 3936, 3937, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 3938, 3939, 3940, 3941, 
  3942, 3943, 3944, 3945, 3946, 3947, 3948, 3949, 
  3950, 3951, 3952, 3953, 3954, 3955, 3956, 3957, 
  3958, 3959, 3960, 3961, 3962, 3963, 3964, 3965, 
  3966, 3967, 3968, 3969, 3970, 3971, 3972, 3973, 
  3974, 3975, 3976, 3977, 3978, 3979, 3980, 3981, 
  3982, 3983, 3984, 3985, 3976, 3986, 3987, 3988, 
  3989, 3990, 3991, 3992, 3993, 3994, 3995, 3996, 
  3997, 3998, 3999, 4000, 4001, 4002, 4003, 4004, 
  4005, 4006, 4007, 4008, 4009, 4010, 4011, 4012, 
  4013, 4014, 4015, 4016, 4017, 4018, 4019, 4020, 
  4021, 4022, 4023, 4024, 4025, 4026, 4027, 4028, 
  4029, 4030, 4031, 4032, 4033, 4034, 4035, 4036, 
  4037, 4038, 4039, 4040, 4041, 4042, 4043, 4044, 
  4045, 4046, 4047, 4048, 4049, 4050, 4051, 4052, 
  4053, 4054, 4055, 4056, 4057, 4058, 4059, 4060, 
  4061, 4062, 4063, 4064, 4065, 4066, 4067, 4068, 
  4069, 4070, 4071, 4072, 4073, 4074, 4075, 4076, 
  4077, 4078, 4079, 4080, 4081, 4082, 4083, 4084, 
  4085, 3977, 4086, 4087, 4088, 4089, 4090, 4091, 
  4092, 4093, 4094, 4095, 4096, 4097, 4098, 4099, 
  4100, 4101, 4102, 4103, 4104, 4105, 4106, 4107, 
  4108, 4109, 4110, 4111, 4112, 4113, 4114, 4115, 
  4116, 4117, 4118, 4119, 4120, 4121, 4122, 4123, 
  4124, 4125, 4126, 4127, 4128, 4129, 4130, 4131, 
  4132, 4133, 4134, 4135, 4136, 4137, 4138, 4139, 
  4140, 4141, 4142, 4143, 4144, 4145, 4146, 4147, 
  4148, 4149, 4150, 4151, 4152, 4153, 4154, 4155, 
  4156, 4157, 4158, 4159, 4160, 4161, 4162, 4163, 
  4164, 4165, 4166, 4167, 4168, 4169, 4170, 4171, 
  4172, 4173, 4174, 4175, 4176, 4177, 4178, 4179, 
  4180, 4181, 4182, 4183, 4184, 4185, 4186, 4187, 
  4188, 4189, 4190, 4191, 4192, 4193, 4194, 4195, 
  4196, 4197, 4198, 4199, 4200, 4201, 4202, 4203, 
  4204, 4205, 4206, 4207, 4208, 4209, 4210, 4211, 
  4212, 4213, 4214, 4215, 4216, 4217, 4218, 4219, 
  4220, 4221, 4222, 4223, 4224, 4225, 4226, 4227, 
  4228, 4229, 4230, 4231, 4232, 4233, 4234, 4235, 
  4236, 4237, 4238, 4239, 4240, 4241, 4242, 4243, 
  4244, 4245, 4246, 4247, 4248, 4249, 4250, 4251, 
  4252, 4253, 4254, 4255, 4256, 4257, 4258, 4259, 
  4260, 4261, 4262, 4263, 4264, 4265, 4266, 4267, 
  4268, 4269, 4270, 4271, 4272, 4273, 4274, 4275, 
  4276, 4277, 4278, 4279, 4280, 4281, 4282, 4283, 
  4284, 4285, 4286, 4287, 4288, 4289, 4290, 4291, 
  4292, 4293, 4294, 4295, 4296, 4297, 4298, 1144, 
  1145, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 4299, 4300, 4301, 4302, 4303, 4304, 4305, 
  4306, 4307, 4308, 4309, 4310, 4311, 4312, 4313, 
  4314, 4315, 4316, 4317, 4318, 4319, 4320, 4321, 
  4322, 4323, 4324, 4325, 4326, 4327, 4328, 4329, 
  4330, 4331, 4332, 4333, 4334, 4335, 4336, 4337, 
  4338, 4339, 4340, 4341, 4342, 4343, 4344, 4345, 
  4346, 4347, 4348, 4349, 4350, 4351, 4352, 4353, 
  4354, 4355, 4356, 4357, 4358, 4359, 4360, 4361, 
  4362, 0, 0, 4363, 4364, 4365, 4366, 4367, 
  4368, 4369, 4370, 4371, 4372, 4373, 4374, 4375, 
  4376, 4377, 4378, 4379, 4380, 4381, 4382, 4383, 
  4384, 4385, 4386, 4387, 4388, 4389, 4390, 4391, 
  4392, 4393, 4394, 4395, 4396, 4397, 4398, 4399, 
  4400, 4401, 4402, 4403, 4404, 4405, 4406, 4407, 
  4408, 4409, 4410, 4411, 4412, 4413, 4414, 4415, 
  4416, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 4417, 4418, 4419, 4420, 4421, 4422, 4423, 
  4424, 4425, 4426, 4427, 4428, 4429, 75, 0, 
  0, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 4430, 4431, 4432, 4433, 4434, 4435, 4436, 
  4437, 4438, 4439, 0, 0, 0, 0, 0, 
  0, 504, 504, 504, 504, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 4440, 4441, 4442, 4443, 4443, 4444, 4445, 
  4446, 4447, 4448, 4449, 4450, 4451, 4452, 4453, 
  4454, 4455, 4456, 4457, 4458, 4459, 6, 6, 
  4460, 4461, 4462, 4462, 4462, 4462, 4463, 4463, 
  4463, 4464, 4465, 4466, 0, 4467, 4468, 4469, 
  4470, 4471, 4472, 4473, 4474, 4475, 4476, 4477, 
  4478, 4479, 4480, 4481, 4482, 4483, 4484, 4485, 
  0, 4486, 4487, 4488, 4489, 0, 0, 0, 
  0, 4490, 4491, 4492, 1016, 4493, 0, 4494, 
  4495, 4496, 4497, 4498, 4499, 4500, 4501, 4502, 
  4503, 4504, 4505, 4506, 4507, 4508, 4509, 4510, 
  4511, 4512, 4513, 4514, 4515, 4516, 4517, 4518, 
  4519, 4520, 4521, 4522, 4523, 4524, 4525, 4526, 
  4527, 4528, 4529, 4530, 4531, 4532, 4533, 4534, 
  4535, 4536, 4537, 4538, 4539, 4540, 4541, 4542, 
  4543, 4544, 4545, 4546, 4547, 4548, 4549, 4550, 
  4551, 4552, 4553, 4554, 4555, 4556, 4557, 4558, 
  4559, 4560, 4561, 4562, 4563, 4564, 4565, 4566, 
  4567, 4568, 4569, 4570, 4571, 4572, 4573, 4574, 
  4575, 4576, 4577, 4578, 4579, 4580, 4581, 4582, 
  4583, 4584, 4585, 4586, 4587, 4588, 4589, 4590, 
  4591, 4592, 4593, 4594, 4595, 4596, 4597, 4598, 
  4599, 4600, 4601, 4602, 4603, 4604, 4605, 4606, 
  4607, 4608, 4609, 4610, 4611, 4612, 4613, 4614, 
  4615, 4616, 4617, 4618, 4619, 4620, 4621, 4622, 
  4623, 4624, 4625, 4626, 4627, 4628, 0, 0, 
  79, 0, 4629, 4630, 4631, 4632, 4633, 4634, 
  4635, 4636, 4637, 4638, 4639, 4640, 4641, 4642, 
  4643, 4644, 4645, 4646, 4647, 4648, 4649, 4650, 
  4651, 4652, 4653, 4654, 4655, 4656, 4657, 4658, 
  4659, 4660, 4661, 4662, 4663, 4664, 4665, 4666, 
  4667, 4668, 4669, 4670, 4671, 4672, 4673, 4674, 
  4675, 4676, 4677, 4678, 4679, 4680, 4681, 4682, 
  4683, 4684, 4685, 4686, 4687, 4688, 4689, 4690, 
  4691, 4692, 4693, 4694, 4695, 4696, 4697, 4698, 
  4699, 4700, 4701, 4702, 4703, 4704, 4705, 4706, 
  4707, 4708, 4709, 4710, 4711, 4712, 4713, 4714, 
  4715, 4716, 4717, 4718, 4719, 4720, 4721, 4722, 
  4723, 4724, 4725, 4726, 4727, 4728, 4729, 4730, 
  4731, 4732, 4733, 4734, 4735, 4736, 4737, 4738, 
  4739, 4740, 4741, 4742, 4743, 4744, 4745, 4746, 
  4747, 4748, 4749, 4750, 4751, 4752, 4753, 4754, 
  4755, 4756, 4757, 4758, 4759, 4760, 4761, 4762, 
  4763, 4764, 4765, 4766, 4767, 4768, 4769, 4770, 
  4771, 4772, 4773, 4774, 4775, 4776, 4777, 4778, 
  4779, 4780, 4781, 4782, 4783, 4784, 4785, 4786, 
  4787, 4788, 4789, 4790, 4791, 4792, 4793, 4794, 
  4795, 4796, 4797, 4798, 4799, 4800, 4801, 4802, 
  4803, 4804, 4805, 4806, 4807, 4808, 4809, 4810, 
  4811, 4812, 4813, 4814, 4815, 4816, 4817, 4818, 
  0, 0, 0, 4819, 4820, 4821, 4822, 4823, 
  4824, 0, 0, 4825, 4826, 4827, 4828, 4829, 
  4830, 0, 0, 4831, 4832, 4833, 4834, 4835, 
  4836, 0, 0, 4837, 4838, 4839, 0, 0, 
  0, 4840, 4841, 4842, 4843, 4844, 4845, 4846, 
  0, 4847, 4848, 4849, 4850, 4851, 4852, 4853, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 4854, 4854, 4854, 75, 75, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 0, 337, 337, 0, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 0, 0, 0, 0, 
  0, 952, 6, 786, 0, 0, 0, 0, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 
  1080, 1080, 1080, 1080, 1080, 0, 0, 0, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 4855, 4855, 
  4855, 4855, 4855, 4855, 4855, 4855, 1213, 1213, 
  1213, 1213, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 1213, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 1080, 1080, 1080, 1080, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 1211, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  952, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 0, 0, 0, 
  0, 337, 337, 337, 337, 337, 337, 337, 
  337, 786, 4855, 4855, 4855, 4855, 4855, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 4856, 4857, 4858, 4859, 4860, 4861, 4862, 
  4863, 4864, 4865, 4866, 4867, 4868, 4869, 4870, 
  4871, 4872, 4873, 4874, 4875, 4876, 4877, 4878, 
  4879, 4880, 4881, 4882, 4883, 4884, 4885, 4886, 
  4887, 4888, 4889, 4890, 4891, 4892, 4893, 4894, 
  4895, 4896, 4897, 4898, 4899, 4900, 4901, 4902, 
  4903, 4904, 4905, 4906, 4907, 4908, 4909, 4910, 
  4911, 4912, 4913, 4914, 4915, 4916, 4917, 4918, 
  4919, 4920, 4921, 4922, 4923, 4924, 4925, 4926, 
  4927, 4928, 4929, 4930, 4931, 4932, 4933, 4934, 
  4935, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 0, 
  0, 1070, 1070, 1070, 1070, 1070, 1070, 1070, 
  1070, 1070, 1070, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1012, 1012, 1012, 1012, 1012, 1012, 0, 
  0, 1012, 0, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 0, 
  1012, 1012, 0, 0, 0, 1012, 0, 0, 
  1012, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1012, 538, 538, 538, 0, 538, 538, 
  0, 0, 0, 0, 0, 538, 517, 538, 
  504, 1012, 1012, 1012, 1012, 0, 1012, 1012, 
  1012, 0, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 1012, 1012, 1012, 
  1012, 1012, 1012, 1012, 1012, 0, 0, 0, 
  0, 504, 530, 517, 0, 0, 0, 0, 
  1061, 4936, 4936, 4936, 4936, 4936, 4936, 4936, 
  4936, 0, 0, 0, 0, 0, 0, 0, 
  0, 1008, 1008, 1008, 1008, 1008, 1008, 1008, 
  1008, 1008, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  0, 0, 0, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  4937, 4938, 786, 786, 786, 786, 786, 4939, 
  4940, 4941, 4942, 4943, 4944, 4945, 4946, 4947, 
  530, 530, 530, 786, 786, 786, 4948, 4949, 
  4950, 4951, 4952, 4953, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 517, 517, 517, 517, 
  517, 517, 517, 517, 786, 786, 504, 504, 
  504, 504, 504, 517, 517, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 504, 504, 504, 504, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 4954, 4955, 4956, 4957, 4958, 4959, 
  4960, 4961, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 786, 
  786, 786, 786, 786, 786, 786, 786, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 504, 504, 504, 75, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  75, 75, 75, 75, 75, 75, 75, 75, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 1885, 1860, 
  1902, 1887, 1888, 4963, 1867, 1870, 4964, 4965, 
  1871, 1889, 1873, 4966, 1875, 1876, 1877, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 1881, 4974, 
  4975, 4976, 1903, 1886, 4977, 1866, 0, 1895, 
  1904, 4978, 1872, 4979, 4980, 1890, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 0, 1860, 
  1902, 0, 0, 4963, 0, 0, 4964, 4965, 
  0, 0, 1873, 4966, 1875, 1876, 0, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 1881, 4974, 
  4975, 4976, 1903, 0, 4977, 0, 1868, 1895, 
  1904, 4978, 1872, 4979, 4980, 0, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 1885, 0, 
  1902, 1887, 1888, 4963, 0, 0, 4964, 4965, 
  1871, 1889, 1873, 4966, 1875, 1876, 0, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 0, 4974, 
  4975, 4976, 1903, 1886, 4977, 1866, 1868, 1895, 
  1904, 4978, 1872, 4979, 4980, 1890, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 0, 1902, 1887, 1888, 4963, 
  0, 1870, 4964, 4965, 1871, 1889, 0, 4966, 
  0, 0, 0, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 0, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 1885, 1860, 
  1902, 1887, 1888, 4963, 1867, 1870, 4964, 4965, 
  1871, 1889, 1873, 4966, 1875, 1876, 1877, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 1881, 4974, 
  4975, 4976, 1903, 1886, 4977, 1866, 1868, 1895, 
  1904, 4978, 1872, 4979, 4980, 1890, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 1885, 1860, 
  1902, 1887, 1888, 4963, 1867, 1870, 4964, 4965, 
  1871, 1889, 1873, 4966, 1875, 1876, 1877, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 1881, 4974, 
  4975, 4976, 1903, 1886, 4977, 1866, 1868, 1895, 
  1904, 4978, 1872, 4979, 4980, 1890, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4962, 1885, 1860, 
  1902, 1887, 1888, 4963, 1867, 1870, 4964, 4965, 
  1871, 1889, 1873, 4966, 1875, 1876, 1877, 4967, 
  4968, 4969, 4970, 4971, 4972, 4973, 1881, 4974, 
  4975, 4976, 1903, 1886, 4977, 1866, 1868, 1895, 
  1904, 4978, 1872, 4979, 4980, 1890, 4981, 4982, 
  4983, 4984, 4985, 4986, 4987, 4988, 4989, 4990, 
  4991, 4962, 1885, 1860, 1902, 1887, 1888, 4963, 
  1867, 1870, 4964, 4965, 1871, 1889, 1873, 4966, 
  1875, 1876, 1877, 4967, 4968, 4969, 4970, 4971, 
  4972, 4973, 1881, 4974, 4975, 4976, 1903, 1886, 
  4977, 1866, 1868, 1895, 1904, 4978, 1872, 4979, 
  4980, 1890, 4981, 4982, 4983, 4984, 4985, 4986, 
  4987, 4988, 4989, 4990, 4991, 4992, 4993, 0, 
  0, 4994, 4995, 1899, 4996, 4997, 4998, 4999, 
  5000, 5001, 5002, 5003, 5004, 5005, 5006, 5007, 
  1900, 5008, 5009, 5010, 5011, 5012, 5013, 5014, 
  5015, 5016, 5017, 5018, 5019, 1898, 5020, 5021, 
  5022, 5023, 5024, 5025, 5026, 5027, 5028, 5029, 
  5030, 5031, 1897, 5032, 5033, 5034, 5035, 5036, 
  5037, 5038, 5039, 5040, 5041, 5042, 5043, 5044, 
  5045, 5046, 5047, 4994, 4995, 1899, 4996, 4997, 
  4998, 4999, 5000, 5001, 5002, 5003, 5004, 5005, 
  5006, 5007, 1900, 5008, 5009, 5010, 5011, 5012, 
  5013, 5014, 5015, 5016, 5017, 5018, 5019, 1898, 
  5020, 5021, 5022, 5023, 5024, 5025, 5026, 5027, 
  5028, 5029, 5030, 5031, 1897, 5032, 5033, 5034, 
  5035, 5036, 5037, 5038, 5039, 5040, 5041, 5042, 
  5043, 5044, 5045, 5046, 5047, 4994, 4995, 1899, 
  4996, 4997, 4998, 4999, 5000, 5001, 5002, 5003, 
  5004, 5005, 5006, 5007, 1900, 5008, 5009, 5010, 
  5011, 5012, 5013, 5014, 5015, 5016, 5017, 5018, 
  5019, 1898, 5020, 5021, 5022, 5023, 5024, 5025, 
  5026, 5027, 5028, 5029, 5030, 5031, 1897, 5032, 
  5033, 5034, 5035, 5036, 5037, 5038, 5039, 5040, 
  5041, 5042, 5043, 5044, 5045, 5046, 5047, 4994, 
  4995, 1899, 4996, 4997, 4998, 4999, 5000, 5001, 
  5002, 5003, 5004, 5005, 5006, 5007, 1900, 5008, 
  5009, 5010, 5011, 5012, 5013, 5014, 5015, 5016, 
  5017, 5018, 5019, 1898, 5020, 5021, 5022, 5023, 
  5024, 5025, 5026, 5027, 5028, 5029, 5030, 5031, 
  1897, 5032, 5033, 5034, 5035, 5036, 5037, 5038, 
  5039, 5040, 5041, 5042, 5043, 5044, 5045, 5046, 
  5047, 4994, 4995, 1899, 4996, 4997, 4998, 4999, 
  5000, 5001, 5002, 5003, 5004, 5005, 5006, 5007, 
  1900, 5008, 5009, 5010, 5011, 5012, 5013, 5014, 
  5015, 5016, 5017, 5018, 5019, 1898, 5020, 5021, 
  5022, 5023, 5024, 5025, 5026, 5027, 5028, 5029, 
  5030, 5031, 1897, 5032, 5033, 5034, 5035, 5036, 
  5037, 5038, 5039, 5040, 5041, 5042, 5043, 5044, 
  5045, 5046, 5047, 0, 0, 0, 0, 5048, 
  5049, 5050, 5051, 5052, 5053, 5054, 5055, 5056, 
  5057, 5048, 5049, 5050, 5051, 5052, 5053, 5054, 
  5055, 5056, 5057, 5048, 5049, 5050, 5051, 5052, 
  5053, 5054, 5055, 5056, 5057, 5048, 5049, 5050, 
  5051, 5052, 5053, 5054, 5055, 5056, 5057, 5048, 
  5049, 5050, 5051, 5052, 5053, 5054, 5055, 5056, 
  5057, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  337, 337, 337, 337, 337, 337, 337, 337, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 5058, 5059, 5060, 5061, 5062, 3646, 5063, 
  5064, 5065, 5066, 3647, 5067, 5068, 5069, 3648, 
  5070, 5071, 5072, 5073, 5074, 5075, 5076, 5077, 
  5078, 5079, 5080, 5081, 3703, 5082, 5083, 5084, 
  5085, 5086, 5087, 5088, 5089, 5090, 3708, 3649, 
  3650, 3709, 5091, 5092, 3459, 5093, 3651, 5094, 
  5095, 5096, 5097, 5097, 5097, 5098, 5099, 5100, 
  5101, 5102, 5103, 5104, 5105, 5106, 5107, 5108, 
  5109, 5110, 5111, 5112, 5113, 5114, 5115, 5115, 
  3711, 5116, 5117, 5118, 5119, 3653, 5120, 5121, 
  5122, 3612, 5123, 5124, 5125, 5126, 5127, 5128, 
  5129, 5130, 5131, 5132, 5133, 5134, 5135, 5136, 
  5137, 5138, 5139, 5140, 5141, 5142, 5143, 5144, 
  5145, 5146, 5147, 5148, 5148, 5149, 5150, 5151, 
  3455, 5152, 5153, 5154, 5155, 5156, 5157, 5158, 
  5159, 3658, 5160, 5161, 5162, 5163, 5164, 5165, 
  5166, 5167, 5168, 5169, 5170, 5171, 5172, 5173, 
  5174, 5175, 5176, 5177, 5178, 5179, 5180, 3401, 
  5181, 5182, 5183, 5183, 5184, 5185, 5185, 5186, 
  5187, 5188, 5189, 5190, 5191, 5192, 5193, 5194, 
  5195, 5196, 5197, 5198, 3659, 5199, 5200, 5201, 
  5202, 3723, 5202, 5203, 3661, 5204, 5205, 5206, 
  5207, 3662, 3374, 5208, 5209, 5210, 5211, 5212, 
  5213, 5214, 5215, 5216, 5217, 5218, 5219, 5220, 
  5221, 5222, 5223, 5224, 5225, 5226, 5227, 5228, 
  5229, 3663, 5230, 5231, 5232, 5233, 5234, 5235, 
  3665, 5236, 5237, 5238, 5239, 5240, 5241, 5242, 
  5243, 3402, 3731, 5244, 5245, 5246, 5247, 5248, 
  5249, 5250, 5251, 3666, 5252, 5253, 5254, 5255, 
  3774, 5256, 5257, 5258, 5259, 5260, 5261, 5262, 
  5263, 5264, 5265, 5266, 5267, 5268, 3472, 5269, 
  5270, 5271, 5272, 5273, 5274, 5275, 5276, 5277, 
  5278, 5279, 3667, 3559, 5280, 5281, 5282, 5283, 
  5284, 5285, 5286, 5287, 3735, 5288, 5289, 5290, 
  5291, 5292, 5293, 5294, 5295, 3736, 5296, 5297, 
  5298, 5299, 5300, 5301, 5302, 5303, 5304, 5305, 
  5306, 5307, 3738, 5308, 5309, 5310, 5311, 5312, 
  5313, 5314, 5315, 5316, 5317, 5318, 5318, 5319, 
  5320, 3740, 5321, 5322, 5323, 5324, 5325, 5326, 
  5327, 3458, 5328, 5329, 5330, 5331, 5332, 5333, 
  5334, 3746, 5335, 5336, 5337, 5338, 5339, 5340, 
  5340, 3747, 3776, 5341, 5342, 5343, 5344, 5345, 
  3420, 3749, 5346, 5347, 3678, 5348, 5349, 3634, 
  5350, 5351, 3682, 5352, 5353, 5354, 5355, 5355, 
  5356, 5357, 5358, 5359, 5360, 5361, 5362, 5363, 
  5364, 5365, 5366, 5367, 5368, 5369, 5370, 5371, 
  5372, 5373, 5374, 5375, 5376, 5377, 5378, 5379, 
  5380, 5381, 5382, 3688, 5383, 5384, 5385, 5386, 
  5387, 5388, 5389, 5390, 5391, 5392, 5393, 5394, 
  5395, 5396, 5397, 5398, 5184, 5399, 5400, 5401, 
  5402, 5403, 5404, 5405, 5406, 5407, 5408, 5409, 
  5410, 3476, 5411, 5412, 5413, 5414, 5415, 5416, 
  3691, 5417, 5418, 5419, 5420, 5421, 5422, 5423, 
  5424, 5425, 5426, 5427, 5428, 5429, 5430, 5431, 
  5432, 5433, 5434, 5435, 5436, 3415, 5437, 5438, 
  5439, 5440, 5441, 5442, 3756, 5443, 5444, 5445, 
  5446, 5447, 5448, 5449, 5450, 5451, 5452, 5453, 
  5454, 5455, 5456, 5457, 5458, 5459, 5460, 5461, 
  5462, 3761, 3762, 5463, 5464, 5465, 5466, 5467, 
  5468, 5469, 5470, 5471, 5472, 5473, 5474, 5475, 
  3763, 5476, 5477, 5478, 5479, 5480, 5481, 5482, 
  5483, 5484, 5485, 5486, 5487, 5488, 5489, 5490, 
  5491, 5492, 5493, 5494, 5495, 5496, 5497, 5498, 
  5499, 5500, 5501, 5502, 5503, 5504, 5505, 3769, 
  3769, 5506, 5507, 5508, 5509, 5510, 5511, 5512, 
  5513, 5514, 5515, 3770, 5516, 5517, 5518, 5519, 
  5520, 5521, 5522, 5523, 5524, 5525, 5526, 5527, 
  5528, 5529, 5530, 5531, 5532, 5533, 5534, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 79, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 1796, 1796, 1796, 1796, 1796, 1796, 1796, 
  1796, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 1214, 1214, 1214, 1214, 1214, 1214, 1214, 
  1214, 0, 0, 0, 0, 0, 0, 0, 
  0, 0, 0, 0, 0, 0, 0, 0, 
  0, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 3361, 
  3361, 3361, 3361, 3361, 3361, 3361, 3361, 0, 
  0, };

const utf8proc_property_t utf8proc_properties[] = {
  {NULL, 0, NULL, NULL, NULL, false, -1, -1, -1, -1, -1, false},
  {"Cc", 0, "BN", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cc", 0, "S", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cc", 0, "B", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cc", 0, "WS", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Zs", 0, "WS", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", NULL, NULL, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", NULL, NULL, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ES", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16638, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 16461, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16697, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 97, -1, 0, -1, false, false, utf8proc_sequences + 0},
  {"Lu", 0, "L", NULL, NULL, false, -1, 98, -1, 7847, -1, false, false, utf8proc_sequences + 2},
  {"Lu", 0, "L", NULL, NULL, false, -1, 99, -1, 59, -1, false, false, utf8proc_sequences + 4},
  {"Lu", 0, "L", NULL, NULL, false, -1, 100, -1, 944, -1, false, false, utf8proc_sequences + 6},
  {"Lu", 0, "L", NULL, NULL, false, -1, 101, -1, 118, -1, false, false, utf8proc_sequences + 8},
  {"Lu", 0, "L", NULL, NULL, false, -1, 102, -1, 8319, -1, false, false, utf8proc_sequences + 10},
  {"Lu", 0, "L", NULL, NULL, false, -1, 103, -1, 1062, -1, false, false, utf8proc_sequences + 12},
  {"Lu", 0, "L", NULL, NULL, false, -1, 104, -1, 1180, -1, false, false, utf8proc_sequences + 14},
  {"Lu", 0, "L", NULL, NULL, false, -1, 105, -1, 177, -1, false, false, utf8proc_sequences + 16},
  {"Lu", 0, "L", NULL, NULL, false, -1, 106, -1, 1298, -1, false, false, utf8proc_sequences + 18},
  {"Lu", 0, "L", NULL, NULL, false, -1, 107, -1, 1416, -1, false, false, utf8proc_sequences + 20},
  {"Lu", 0, "L", NULL, NULL, false, -1, 108, -1, 1534, -1, false, false, utf8proc_sequences + 22},
  {"Lu", 0, "L", NULL, NULL, false, -1, 109, -1, 8673, -1, false, false, utf8proc_sequences + 24},
  {"Lu", 0, "L", NULL, NULL, false, -1, 110, -1, 236, -1, false, false, utf8proc_sequences + 26},
  {"Lu", 0, "L", NULL, NULL, false, -1, 111, -1, 295, -1, false, false, utf8proc_sequences + 28},
  {"Lu", 0, "L", NULL, NULL, false, -1, 112, -1, 8909, -1, false, false, utf8proc_sequences + 30},
  {"Lu", 0, "L", NULL, NULL, false, -1, 113, -1, -1, -1, false, false, utf8proc_sequences + 32},
  {"Lu", 0, "L", NULL, NULL, false, -1, 114, -1, 1652, -1, false, false, utf8proc_sequences + 34},
  {"Lu", 0, "L", NULL, NULL, false, -1, 115, -1, 1770, -1, false, false, utf8proc_sequences + 36},
  {"Lu", 0, "L", NULL, NULL, false, -1, 116, -1, 1888, -1, false, false, utf8proc_sequences + 38},
  {"Lu", 0, "L", NULL, NULL, false, -1, 117, -1, 354, -1, false, false, utf8proc_sequences + 40},
  {"Lu", 0, "L", NULL, NULL, false, -1, 118, -1, 9735, -1, false, false, utf8proc_sequences + 42},
  {"Lu", 0, "L", NULL, NULL, false, -1, 119, -1, 2006, -1, false, false, utf8proc_sequences + 44},
  {"Lu", 0, "L", NULL, NULL, false, -1, 120, -1, 9853, -1, false, false, utf8proc_sequences + 46},
  {"Lu", 0, "L", NULL, NULL, false, -1, 121, -1, 413, -1, false, false, utf8proc_sequences + 48},
  {"Lu", 0, "L", NULL, NULL, false, -1, 122, -1, 2124, -1, false, false, utf8proc_sequences + 50},
  {"Sk", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pc", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 65, -1, 65, 472, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66, -1, 66, 7906, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 67, -1, 67, 531, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 68, -1, 68, 1003, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 69, -1, 69, 590, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 70, -1, 70, 8378, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 71, -1, 71, 1121, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 72, -1, 72, 1239, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 73, -1, 73, 649, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 74, -1, 74, 1357, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 75, -1, 75, 1475, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 76, -1, 76, 1593, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 77, -1, 77, 8732, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 78, -1, 78, 708, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 79, -1, 79, 767, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 80, -1, 80, 8968, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 81, -1, 81, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 82, -1, 82, 1711, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 83, -1, 83, 1829, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 84, -1, 84, 1947, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 85, -1, 85, 826, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 86, -1, 86, 9794, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 87, -1, 87, 2065, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 88, -1, 88, 9912, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 89, -1, 89, 885, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 90, -1, 90, 2183, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cc", 0, "B", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zs", 0, "CS", "noBreak", utf8proc_sequences + 52, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 54, false, -1, -1, -1, 3540, -1, false, false, NULL},
  {"Ll", 0, "L", "super", utf8proc_sequences + 0, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pi", 0, "ON", NULL, NULL, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "BN", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 57, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ET", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ET", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 60, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 62, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 64, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 67, false, 924, -1, 924, -1, -1, false, false, utf8proc_sequences + 67},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 69, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 72, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "super", utf8proc_sequences + 28, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pf", 0, "ON", NULL, NULL, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 74, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 78, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 82, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 86, false, -1, 224, -1, -1, -1, false, false, utf8proc_sequences + 89},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 91, false, -1, 225, -1, -1, -1, false, false, utf8proc_sequences + 94},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 96, false, -1, 226, -1, 10030, -1, false, false, utf8proc_sequences + 99},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 101, false, -1, 227, -1, -1, -1, false, false, utf8proc_sequences + 104},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 106, false, -1, 228, -1, 2360, -1, false, false, utf8proc_sequences + 109},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 111, false, -1, 229, -1, 2950, -1, false, false, utf8proc_sequences + 114},
  {"Lu", 0, "L", NULL, NULL, false, -1, 230, -1, 2596, -1, false, false, utf8proc_sequences + 116},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 118, false, -1, 231, -1, 7965, -1, false, false, utf8proc_sequences + 121},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 123, false, -1, 232, -1, -1, -1, false, false, utf8proc_sequences + 126},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 128, false, -1, 233, -1, -1, -1, false, false, utf8proc_sequences + 131},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 133, false, -1, 234, -1, 10384, -1, false, false, utf8proc_sequences + 136},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 138, false, -1, 235, -1, -1, -1, false, false, utf8proc_sequences + 141},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 143, false, -1, 236, -1, -1, -1, false, false, utf8proc_sequences + 146},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 148, false, -1, 237, -1, -1, -1, false, false, utf8proc_sequences + 151},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 153, false, -1, 238, -1, -1, -1, false, false, utf8proc_sequences + 156},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 158, false, -1, 239, -1, 8437, -1, false, false, utf8proc_sequences + 161},
  {"Lu", 0, "L", NULL, NULL, false, -1, 240, -1, -1, -1, false, false, utf8proc_sequences + 163},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 165, false, -1, 241, -1, -1, -1, false, false, utf8proc_sequences + 168},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 170, false, -1, 242, -1, -1, -1, false, false, utf8proc_sequences + 173},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 175, false, -1, 243, -1, -1, -1, false, false, utf8proc_sequences + 178},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 180, false, -1, 244, -1, 10620, -1, false, false, utf8proc_sequences + 183},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 185, false, -1, 245, -1, 3304, -1, false, false, utf8proc_sequences + 188},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 190, false, -1, 246, -1, 3186, -1, false, false, utf8proc_sequences + 193},
  {"Lu", 0, "L", NULL, NULL, false, -1, 248, -1, 3068, -1, false, false, utf8proc_sequences + 195},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 197, false, -1, 249, -1, -1, -1, false, false, utf8proc_sequences + 200},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 202, false, -1, 250, -1, -1, -1, false, false, utf8proc_sequences + 205},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 207, false, -1, 251, -1, -1, -1, false, false, utf8proc_sequences + 210},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 212, false, -1, 252, -1, 2242, -1, false, false, utf8proc_sequences + 215},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 217, false, -1, 253, -1, -1, -1, false, false, utf8proc_sequences + 220},
  {"Lu", 0, "L", NULL, NULL, false, -1, 254, -1, -1, -1, false, false, utf8proc_sequences + 222},
  {"Ll", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 224},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 227, false, 192, -1, 192, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 230, false, 193, -1, 193, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 233, false, 194, -1, 194, 10089, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 236, false, 195, -1, 195, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 239, false, 196, -1, 196, 2419, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 242, false, 197, -1, 197, 3009, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 198, -1, 198, 2655, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 245, false, 199, -1, 199, 8024, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 248, false, 200, -1, 200, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 251, false, 201, -1, 201, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 254, false, 202, -1, 202, 10443, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 257, false, 203, -1, 203, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 260, false, 204, -1, 204, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 263, false, 205, -1, 205, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 266, false, 206, -1, 206, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 269, false, 207, -1, 207, 8496, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 208, -1, 208, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 272, false, 209, -1, 209, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 275, false, 210, -1, 210, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 278, false, 211, -1, 211, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 281, false, 212, -1, 212, 10679, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 284, false, 213, -1, 213, 3363, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 287, false, 214, -1, 214, 3245, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 216, -1, 216, 3127, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 290, false, 217, -1, 217, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 293, false, 218, -1, 218, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 296, false, 219, -1, 219, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 299, false, 220, -1, 220, 2301, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 302, false, 221, -1, 221, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 222, -1, 222, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 305, false, 376, -1, 376, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 308, false, -1, 257, -1, -1, -1, false, false, utf8proc_sequences + 311},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 313, false, 256, -1, 256, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 316, false, -1, 259, -1, 10266, -1, false, false, utf8proc_sequences + 319},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 321, false, 258, -1, 258, 10325, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 324, false, -1, 261, -1, -1, -1, false, false, utf8proc_sequences + 327},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 329, false, 260, -1, 260, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 332, false, -1, 263, -1, -1, -1, false, false, utf8proc_sequences + 335},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 337, false, 262, -1, 262, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 340, false, -1, 265, -1, -1, -1, false, false, utf8proc_sequences + 343},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 345, false, 264, -1, 264, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 348, false, -1, 267, -1, -1, -1, false, false, utf8proc_sequences + 351},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 353, false, 266, -1, 266, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 356, false, -1, 269, -1, -1, -1, false, false, utf8proc_sequences + 359},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 361, false, 268, -1, 268, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 364, false, -1, 271, -1, -1, -1, false, false, utf8proc_sequences + 367},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 369, false, 270, -1, 270, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 273, -1, -1, -1, false, false, utf8proc_sequences + 372},
  {"Ll", 0, "L", NULL, NULL, false, 272, -1, 272, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 374, false, -1, 275, -1, 8083, -1, false, false, utf8proc_sequences + 377},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 379, false, 274, -1, 274, 8142, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 382, false, -1, 277, -1, -1, -1, false, false, utf8proc_sequences + 385},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 387, false, 276, -1, 276, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 390, false, -1, 279, -1, -1, -1, false, false, utf8proc_sequences + 393},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 395, false, 278, -1, 278, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 398, false, -1, 281, -1, -1, -1, false, false, utf8proc_sequences + 401},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 403, false, 280, -1, 280, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 406, false, -1, 283, -1, -1, -1, false, false, utf8proc_sequences + 409},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 411, false, 282, -1, 282, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 414, false, -1, 285, -1, -1, -1, false, false, utf8proc_sequences + 417},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 419, false, 284, -1, 284, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 422, false, -1, 287, -1, -1, -1, false, false, utf8proc_sequences + 425},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 427, false, 286, -1, 286, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 430, false, -1, 289, -1, -1, -1, false, false, utf8proc_sequences + 433},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 435, false, 288, -1, 288, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 438, false, -1, 291, -1, -1, -1, false, false, utf8proc_sequences + 441},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 443, false, 290, -1, 290, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 446, false, -1, 293, -1, -1, -1, false, false, utf8proc_sequences + 449},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 451, false, 292, -1, 292, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 295, -1, -1, -1, false, false, utf8proc_sequences + 454},
  {"Ll", 0, "L", NULL, NULL, false, 294, -1, 294, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 456, false, -1, 297, -1, -1, -1, false, false, utf8proc_sequences + 459},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 461, false, 296, -1, 296, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 464, false, -1, 299, -1, -1, -1, false, false, utf8proc_sequences + 467},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 469, false, 298, -1, 298, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 472, false, -1, 301, -1, -1, -1, false, false, utf8proc_sequences + 475},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 477, false, 300, -1, 300, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 480, false, -1, 303, -1, -1, -1, false, false, utf8proc_sequences + 483},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 485, false, 302, -1, 302, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 488, false, -1, 105, -1, -1, -1, false, false, utf8proc_sequences + 491},
  {"Ll", 0, "L", NULL, NULL, false, 73, -1, 73, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 494, false, -1, 307, -1, -1, -1, false, false, utf8proc_sequences + 497},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 499, false, 306, -1, 306, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 502, false, -1, 309, -1, -1, -1, false, false, utf8proc_sequences + 505},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 507, false, 308, -1, 308, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 510, false, -1, 311, -1, -1, -1, false, false, utf8proc_sequences + 513},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 515, false, 310, -1, 310, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 518, false, -1, 314, -1, -1, -1, false, false, utf8proc_sequences + 521},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 523, false, 313, -1, 313, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 526, false, -1, 316, -1, -1, -1, false, false, utf8proc_sequences + 529},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 531, false, 315, -1, 315, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 534, false, -1, 318, -1, -1, -1, false, false, utf8proc_sequences + 537},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 539, false, 317, -1, 317, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 542, false, -1, 320, -1, -1, -1, false, false, utf8proc_sequences + 545},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 547, false, 319, -1, 319, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 322, -1, -1, -1, false, false, utf8proc_sequences + 550},
  {"Ll", 0, "L", NULL, NULL, false, 321, -1, 321, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 552, false, -1, 324, -1, -1, -1, false, false, utf8proc_sequences + 555},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 557, false, 323, -1, 323, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 560, false, -1, 326, -1, -1, -1, false, false, utf8proc_sequences + 563},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 565, false, 325, -1, 325, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 568, false, -1, 328, -1, -1, -1, false, false, utf8proc_sequences + 571},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 573, false, 327, -1, 327, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 576, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 576},
  {"Lu", 0, "L", NULL, NULL, false, -1, 331, -1, -1, -1, false, false, utf8proc_sequences + 579},
  {"Ll", 0, "L", NULL, NULL, false, 330, -1, 330, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 581, false, -1, 333, -1, 8791, -1, false, false, utf8proc_sequences + 584},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 586, false, 332, -1, 332, 8850, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 589, false, -1, 335, -1, -1, -1, false, false, utf8proc_sequences + 592},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 594, false, 334, -1, 334, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 597, false, -1, 337, -1, -1, -1, false, false, utf8proc_sequences + 600},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 602, false, 336, -1, 336, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 339, -1, -1, -1, false, false, utf8proc_sequences + 605},
  {"Ll", 0, "L", NULL, NULL, false, 338, -1, 338, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 607, false, -1, 341, -1, -1, -1, false, false, utf8proc_sequences + 610},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 612, false, 340, -1, 340, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 615, false, -1, 343, -1, -1, -1, false, false, utf8proc_sequences + 618},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 620, false, 342, -1, 342, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 623, false, -1, 345, -1, -1, -1, false, false, utf8proc_sequences + 626},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 628, false, 344, -1, 344, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 631, false, -1, 347, -1, 9145, -1, false, false, utf8proc_sequences + 634},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 636, false, 346, -1, 346, 9204, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 639, false, -1, 349, -1, -1, -1, false, false, utf8proc_sequences + 642},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 644, false, 348, -1, 348, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 647, false, -1, 351, -1, -1, -1, false, false, utf8proc_sequences + 650},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 652, false, 350, -1, 350, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 655, false, -1, 353, -1, 9263, -1, false, false, utf8proc_sequences + 658},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 660, false, 352, -1, 352, 9322, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 663, false, -1, 355, -1, -1, -1, false, false, utf8proc_sequences + 666},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 668, false, 354, -1, 354, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 671, false, -1, 357, -1, -1, -1, false, false, utf8proc_sequences + 674},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 676, false, 356, -1, 356, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 359, -1, -1, -1, false, false, utf8proc_sequences + 679},
  {"Ll", 0, "L", NULL, NULL, false, 358, -1, 358, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 681, false, -1, 361, -1, 9499, -1, false, false, utf8proc_sequences + 684},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 686, false, 360, -1, 360, 9558, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 689, false, -1, 363, -1, 9617, -1, false, false, utf8proc_sequences + 692},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 694, false, 362, -1, 362, 9676, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 697, false, -1, 365, -1, -1, -1, false, false, utf8proc_sequences + 700},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 702, false, 364, -1, 364, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 705, false, -1, 367, -1, -1, -1, false, false, utf8proc_sequences + 708},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 710, false, 366, -1, 366, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 713, false, -1, 369, -1, -1, -1, false, false, utf8proc_sequences + 716},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 718, false, 368, -1, 368, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 721, false, -1, 371, -1, -1, -1, false, false, utf8proc_sequences + 724},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 726, false, 370, -1, 370, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 729, false, -1, 373, -1, -1, -1, false, false, utf8proc_sequences + 732},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 734, false, 372, -1, 372, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 737, false, -1, 375, -1, -1, -1, false, false, utf8proc_sequences + 740},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 742, false, 374, -1, 374, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 745, false, -1, 255, -1, -1, -1, false, false, utf8proc_sequences + 748},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 750, false, -1, 378, -1, -1, -1, false, false, utf8proc_sequences + 753},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 755, false, 377, -1, 377, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 758, false, -1, 380, -1, -1, -1, false, false, utf8proc_sequences + 761},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 763, false, 379, -1, 379, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 766, false, -1, 382, -1, -1, -1, false, false, utf8proc_sequences + 769},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 771, false, 381, -1, 381, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 36, false, 83, -1, 83, 9971, -1, false, false, utf8proc_sequences + 36},
  {"Lu", 0, "L", NULL, NULL, false, -1, 595, -1, -1, -1, false, false, utf8proc_sequences + 774},
  {"Lu", 0, "L", NULL, NULL, false, -1, 387, -1, -1, -1, false, false, utf8proc_sequences + 776},
  {"Ll", 0, "L", NULL, NULL, false, 386, -1, 386, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 389, -1, -1, -1, false, false, utf8proc_sequences + 778},
  {"Ll", 0, "L", NULL, NULL, false, 388, -1, 388, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 596, -1, -1, -1, false, false, utf8proc_sequences + 780},
  {"Lu", 0, "L", NULL, NULL, false, -1, 392, -1, -1, -1, false, false, utf8proc_sequences + 782},
  {"Ll", 0, "L", NULL, NULL, false, 391, -1, 391, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 598, -1, -1, -1, false, false, utf8proc_sequences + 784},
  {"Lu", 0, "L", NULL, NULL, false, -1, 599, -1, -1, -1, false, false, utf8proc_sequences + 786},
  {"Lu", 0, "L", NULL, NULL, false, -1, 396, -1, -1, -1, false, false, utf8proc_sequences + 788},
  {"Ll", 0, "L", NULL, NULL, false, 395, -1, 395, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 477, -1, -1, -1, false, false, utf8proc_sequences + 790},
  {"Lu", 0, "L", NULL, NULL, false, -1, 601, -1, -1, -1, false, false, utf8proc_sequences + 792},
  {"Lu", 0, "L", NULL, NULL, false, -1, 603, -1, -1, -1, false, false, utf8proc_sequences + 794},
  {"Lu", 0, "L", NULL, NULL, false, -1, 402, -1, -1, -1, false, false, utf8proc_sequences + 796},
  {"Ll", 0, "L", NULL, NULL, false, 401, -1, 401, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 608, -1, -1, -1, false, false, utf8proc_sequences + 798},
  {"Lu", 0, "L", NULL, NULL, false, -1, 611, -1, -1, -1, false, false, utf8proc_sequences + 800},
  {"Ll", 0, "L", NULL, NULL, false, 502, -1, 502, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 617, -1, -1, -1, false, false, utf8proc_sequences + 802},
  {"Lu", 0, "L", NULL, NULL, false, -1, 616, -1, -1, -1, false, false, utf8proc_sequences + 804},
  {"Lu", 0, "L", NULL, NULL, false, -1, 409, -1, -1, -1, false, false, utf8proc_sequences + 806},
  {"Ll", 0, "L", NULL, NULL, false, 408, -1, 408, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 573, -1, 573, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 623, -1, -1, -1, false, false, utf8proc_sequences + 808},
  {"Lu", 0, "L", NULL, NULL, false, -1, 626, -1, -1, -1, false, false, utf8proc_sequences + 810},
  {"Ll", 0, "L", NULL, NULL, false, 544, -1, 544, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 629, -1, -1, -1, false, false, utf8proc_sequences + 812},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 814, false, -1, 417, -1, 10856, -1, false, false, utf8proc_sequences + 817},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 819, false, 416, -1, 416, 10915, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 419, -1, -1, -1, false, false, utf8proc_sequences + 822},
  {"Ll", 0, "L", NULL, NULL, false, 418, -1, 418, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 421, -1, -1, -1, false, false, utf8proc_sequences + 824},
  {"Ll", 0, "L", NULL, NULL, false, 420, -1, 420, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 640, -1, -1, -1, false, false, utf8proc_sequences + 826},
  {"Lu", 0, "L", NULL, NULL, false, -1, 424, -1, -1, -1, false, false, utf8proc_sequences + 828},
  {"Ll", 0, "L", NULL, NULL, false, 423, -1, 423, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 643, -1, -1, -1, false, false, utf8proc_sequences + 830},
  {"Lu", 0, "L", NULL, NULL, false, -1, 429, -1, -1, -1, false, false, utf8proc_sequences + 832},
  {"Ll", 0, "L", NULL, NULL, false, 428, -1, 428, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 648, -1, -1, -1, false, false, utf8proc_sequences + 834},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 836, false, -1, 432, -1, 10974, -1, false, false, utf8proc_sequences + 839},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 841, false, 431, -1, 431, 11033, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 650, -1, -1, -1, false, false, utf8proc_sequences + 844},
  {"Lu", 0, "L", NULL, NULL, false, -1, 651, -1, -1, -1, false, false, utf8proc_sequences + 846},
  {"Lu", 0, "L", NULL, NULL, false, -1, 436, -1, -1, -1, false, false, utf8proc_sequences + 848},
  {"Ll", 0, "L", NULL, NULL, false, 435, -1, 435, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 438, -1, -1, -1, false, false, utf8proc_sequences + 850},
  {"Ll", 0, "L", NULL, NULL, false, 437, -1, 437, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 658, -1, 2832, -1, false, false, utf8proc_sequences + 852},
  {"Lu", 0, "L", NULL, NULL, false, -1, 441, -1, -1, -1, false, false, utf8proc_sequences + 854},
  {"Ll", 0, "L", NULL, NULL, false, 440, -1, 440, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 445, -1, -1, -1, false, false, utf8proc_sequences + 856},
  {"Ll", 0, "L", NULL, NULL, false, 444, -1, 444, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 503, -1, 503, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 858, false, -1, 454, 453, -1, -1, false, false, utf8proc_sequences + 861},
  {"Lt", 0, "L", "compat", utf8proc_sequences + 863, false, 452, 454, 453, -1, -1, false, false, utf8proc_sequences + 861},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 866, false, 452, -1, 453, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 869, false, -1, 457, 456, -1, -1, false, false, utf8proc_sequences + 872},
  {"Lt", 0, "L", "compat", utf8proc_sequences + 874, false, 455, 457, 456, -1, -1, false, false, utf8proc_sequences + 872},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 877, false, 455, -1, 456, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 880, false, -1, 460, 459, -1, -1, false, false, utf8proc_sequences + 883},
  {"Lt", 0, "L", "compat", utf8proc_sequences + 885, false, 458, 460, 459, -1, -1, false, false, utf8proc_sequences + 883},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 888, false, 458, -1, 459, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 891, false, -1, 462, -1, -1, -1, false, false, utf8proc_sequences + 894},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 896, false, 461, -1, 461, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 899, false, -1, 464, -1, -1, -1, false, false, utf8proc_sequences + 902},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 904, false, 463, -1, 463, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 907, false, -1, 466, -1, -1, -1, false, false, utf8proc_sequences + 910},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 912, false, 465, -1, 465, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 915, false, -1, 468, -1, -1, -1, false, false, utf8proc_sequences + 918},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 920, false, 467, -1, 467, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 923, false, -1, 470, -1, -1, -1, false, false, utf8proc_sequences + 926},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 928, false, 469, -1, 469, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 931, false, -1, 472, -1, -1, -1, false, false, utf8proc_sequences + 934},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 936, false, 471, -1, 471, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 939, false, -1, 474, -1, -1, -1, false, false, utf8proc_sequences + 942},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 944, false, 473, -1, 473, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 947, false, -1, 476, -1, -1, -1, false, false, utf8proc_sequences + 950},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 952, false, 475, -1, 475, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 398, -1, 398, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 955, false, -1, 479, -1, -1, -1, false, false, utf8proc_sequences + 958},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 960, false, 478, -1, 478, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 963, false, -1, 481, -1, -1, -1, false, false, utf8proc_sequences + 966},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 968, false, 480, -1, 480, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 971, false, -1, 483, -1, -1, -1, false, false, utf8proc_sequences + 974},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 976, false, 482, -1, 482, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 485, -1, -1, -1, false, false, utf8proc_sequences + 979},
  {"Ll", 0, "L", NULL, NULL, false, 484, -1, 484, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 981, false, -1, 487, -1, -1, -1, false, false, utf8proc_sequences + 984},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 986, false, 486, -1, 486, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 989, false, -1, 489, -1, -1, -1, false, false, utf8proc_sequences + 992},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 994, false, 488, -1, 488, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 997, false, -1, 491, -1, 2714, -1, false, false, utf8proc_sequences + 1000},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1002, false, 490, -1, 490, 2773, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1005, false, -1, 493, -1, -1, -1, false, false, utf8proc_sequences + 1008},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1010, false, 492, -1, 492, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1013, false, -1, 495, -1, -1, -1, false, false, utf8proc_sequences + 1016},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1018, false, 494, -1, 494, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1021, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1021},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 1024, false, -1, 499, 498, -1, -1, false, false, utf8proc_sequences + 1027},
  {"Lt", 0, "L", "compat", utf8proc_sequences + 1029, false, 497, 499, 498, -1, -1, false, false, utf8proc_sequences + 1027},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1032, false, 497, -1, 498, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1035, false, -1, 501, -1, -1, -1, false, false, utf8proc_sequences + 1038},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1040, false, 500, -1, 500, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 405, -1, -1, -1, false, false, utf8proc_sequences + 1043},
  {"Lu", 0, "L", NULL, NULL, false, -1, 447, -1, -1, -1, false, false, utf8proc_sequences + 1045},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1047, false, -1, 505, -1, -1, -1, false, false, utf8proc_sequences + 1050},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1052, false, 504, -1, 504, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1055, false, -1, 507, -1, -1, -1, false, false, utf8proc_sequences + 1058},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1060, false, 506, -1, 506, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1063, false, -1, 509, -1, -1, -1, false, false, utf8proc_sequences + 1066},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1068, false, 508, -1, 508, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1071, false, -1, 511, -1, -1, -1, false, false, utf8proc_sequences + 1074},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1076, false, 510, -1, 510, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1079, false, -1, 513, -1, -1, -1, false, false, utf8proc_sequences + 1082},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1084, false, 512, -1, 512, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1087, false, -1, 515, -1, -1, -1, false, false, utf8proc_sequences + 1090},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1092, false, 514, -1, 514, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1095, false, -1, 517, -1, -1, -1, false, false, utf8proc_sequences + 1098},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1100, false, 516, -1, 516, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1103, false, -1, 519, -1, -1, -1, false, false, utf8proc_sequences + 1106},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1108, false, 518, -1, 518, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1111, false, -1, 521, -1, -1, -1, false, false, utf8proc_sequences + 1114},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1116, false, 520, -1, 520, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1119, false, -1, 523, -1, -1, -1, false, false, utf8proc_sequences + 1122},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1124, false, 522, -1, 522, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1127, false, -1, 525, -1, -1, -1, false, false, utf8proc_sequences + 1130},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1132, false, 524, -1, 524, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1135, false, -1, 527, -1, -1, -1, false, false, utf8proc_sequences + 1138},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1140, false, 526, -1, 526, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1143, false, -1, 529, -1, -1, -1, false, false, utf8proc_sequences + 1146},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1148, false, 528, -1, 528, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1151, false, -1, 531, -1, -1, -1, false, false, utf8proc_sequences + 1154},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1156, false, 530, -1, 530, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1159, false, -1, 533, -1, -1, -1, false, false, utf8proc_sequences + 1162},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1164, false, 532, -1, 532, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1167, false, -1, 535, -1, -1, -1, false, false, utf8proc_sequences + 1170},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1172, false, 534, -1, 534, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1175, false, -1, 537, -1, -1, -1, false, false, utf8proc_sequences + 1178},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1180, false, 536, -1, 536, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1183, false, -1, 539, -1, -1, -1, false, false, utf8proc_sequences + 1186},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1188, false, 538, -1, 538, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 541, -1, -1, -1, false, false, utf8proc_sequences + 1191},
  {"Ll", 0, "L", NULL, NULL, false, 540, -1, 540, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1193, false, -1, 543, -1, -1, -1, false, false, utf8proc_sequences + 1196},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1198, false, 542, -1, 542, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 414, -1, -1, -1, false, false, utf8proc_sequences + 1201},
  {"Lu", 0, "L", NULL, NULL, false, -1, 547, -1, -1, -1, false, false, utf8proc_sequences + 1203},
  {"Ll", 0, "L", NULL, NULL, false, 546, -1, 546, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 549, -1, -1, -1, false, false, utf8proc_sequences + 1205},
  {"Ll", 0, "L", NULL, NULL, false, 548, -1, 548, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1207, false, -1, 551, -1, 2478, -1, false, false, utf8proc_sequences + 1210},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1212, false, 550, -1, 550, 2537, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1215, false, -1, 553, -1, 8201, -1, false, false, utf8proc_sequences + 1218},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1220, false, 552, -1, 552, 8260, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1223, false, -1, 555, -1, -1, -1, false, false, utf8proc_sequences + 1226},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1228, false, 554, -1, 554, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1231, false, -1, 557, -1, -1, -1, false, false, utf8proc_sequences + 1234},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1236, false, 556, -1, 556, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1239, false, -1, 559, -1, 3422, -1, false, false, utf8proc_sequences + 1242},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1244, false, 558, -1, 558, 3481, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1247, false, -1, 561, -1, -1, -1, false, false, utf8proc_sequences + 1250},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1252, false, 560, -1, 560, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1255, false, -1, 563, -1, -1, -1, false, false, utf8proc_sequences + 1258},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1260, false, 562, -1, 562, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 572, -1, -1, -1, false, false, utf8proc_sequences + 1263},
  {"Ll", 0, "L", NULL, NULL, false, 571, -1, 571, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 410, -1, -1, -1, false, false, utf8proc_sequences + 1265},
  {"Lu", 0, "L", NULL, NULL, false, -1, 660, -1, -1, -1, false, false, utf8proc_sequences + 1267},
  {"Ll", 0, "L", NULL, NULL, false, 385, -1, 385, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 390, -1, 390, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 393, -1, 393, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 394, -1, 394, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 399, -1, 399, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 400, -1, 400, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 403, -1, 403, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 404, -1, 404, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 407, -1, 407, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 406, -1, 406, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 412, -1, 412, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 413, -1, 413, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 415, -1, 415, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 422, -1, 422, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 425, -1, 425, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 430, -1, 430, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 433, -1, 433, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 434, -1, 434, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 439, -1, 439, 2891, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 577, -1, 577, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 14, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1269, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 18, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 34, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1271, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1273, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1275, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 44, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 48, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1277, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1280, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1283, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1286, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1289, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 1292, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 800, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 22, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 36, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 46, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1295, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 0, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 2, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 3, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 7, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 8, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 10, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 4, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 45, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 5, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 12, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 11, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 14, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 15, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 46, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 47, false, false, NULL},
  {"Mn", 232, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 216, "NSM", NULL, NULL, false, -1, -1, -1, -1, 13, false, false, NULL},
  {"Mn", 202, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 39, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 44, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 38, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 16, false, false, NULL},
  {"Mn", 202, "NSM", NULL, NULL, false, -1, -1, -1, -1, 6, false, false, NULL},
  {"Mn", 202, "NSM", NULL, NULL, false, -1, -1, -1, -1, 9, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 41, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 43, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 42, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 40, false, false, NULL},
  {"Mn", 1, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 1, "NSM", NULL, NULL, false, -1, -1, -1, -1, 50, false, false, NULL},
  {"Mn", 230, "NSM", NULL, utf8proc_sequences + 1297, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, utf8proc_sequences + 1299, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 48, false, false, NULL},
  {"Mn", 230, "NSM", NULL, utf8proc_sequences + 1301, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, utf8proc_sequences + 1303, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 240, "NSM", NULL, NULL, false, 921, -1, 921, -1, 49, false, false, utf8proc_sequences + 1306},
  {"Mn", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 233, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 234, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 1308, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "compat", utf8proc_sequences + 1310, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", NULL, utf8proc_sequences + 1313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 1315, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1318, false, -1, 940, -1, -1, -1, false, false, utf8proc_sequences + 1321},
  {"Po", 0, "ON", NULL, utf8proc_sequences + 1323, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1325, false, -1, 941, -1, -1, -1, false, false, utf8proc_sequences + 1328},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1330, false, -1, 942, -1, -1, -1, false, false, utf8proc_sequences + 1333},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1335, false, -1, 943, -1, -1, -1, false, false, utf8proc_sequences + 1338},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1340, false, -1, 972, -1, -1, -1, false, false, utf8proc_sequences + 1343},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1345, false, -1, 973, -1, -1, -1, false, false, utf8proc_sequences + 1348},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1350, false, -1, 974, -1, -1, -1, false, false, utf8proc_sequences + 1353},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1355, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1358},
  {"Lu", 0, "L", NULL, NULL, false, -1, 945, -1, 3599, -1, false, false, utf8proc_sequences + 1362},
  {"Lu", 0, "L", NULL, NULL, false, -1, 946, -1, -1, -1, false, false, utf8proc_sequences + 1364},
  {"Lu", 0, "L", NULL, NULL, false, -1, 947, -1, -1, -1, false, false, utf8proc_sequences + 1366},
  {"Lu", 0, "L", NULL, NULL, false, -1, 948, -1, -1, -1, false, false, utf8proc_sequences + 1368},
  {"Lu", 0, "L", NULL, NULL, false, -1, 949, -1, 3658, -1, false, false, utf8proc_sequences + 1370},
  {"Lu", 0, "L", NULL, NULL, false, -1, 950, -1, -1, -1, false, false, utf8proc_sequences + 1372},
  {"Lu", 0, "L", NULL, NULL, false, -1, 951, -1, 3717, -1, false, false, utf8proc_sequences + 1374},
  {"Lu", 0, "L", NULL, NULL, false, -1, 952, -1, -1, -1, false, false, utf8proc_sequences + 1376},
  {"Lu", 0, "L", NULL, NULL, false, -1, 953, -1, 3776, -1, false, false, utf8proc_sequences + 1306},
  {"Lu", 0, "L", NULL, NULL, false, -1, 954, -1, -1, -1, false, false, utf8proc_sequences + 1378},
  {"Lu", 0, "L", NULL, NULL, false, -1, 955, -1, -1, -1, false, false, utf8proc_sequences + 1380},
  {"Lu", 0, "L", NULL, NULL, false, -1, 956, -1, -1, -1, false, false, utf8proc_sequences + 67},
  {"Lu", 0, "L", NULL, NULL, false, -1, 957, -1, -1, -1, false, false, utf8proc_sequences + 1382},
  {"Lu", 0, "L", NULL, NULL, false, -1, 958, -1, -1, -1, false, false, utf8proc_sequences + 1384},
  {"Lu", 0, "L", NULL, NULL, false, -1, 959, -1, 3835, -1, false, false, utf8proc_sequences + 1386},
  {"Lu", 0, "L", NULL, NULL, false, -1, 960, -1, -1, -1, false, false, utf8proc_sequences + 1388},
  {"Lu", 0, "L", NULL, NULL, false, -1, 961, -1, 15340, -1, false, false, utf8proc_sequences + 1390},
  {"Lu", 0, "L", NULL, NULL, false, -1, 963, -1, -1, -1, false, false, utf8proc_sequences + 1392},
  {"Lu", 0, "L", NULL, NULL, false, -1, 964, -1, -1, -1, false, false, utf8proc_sequences + 1394},
  {"Lu", 0, "L", NULL, NULL, false, -1, 965, -1, 3894, -1, false, false, utf8proc_sequences + 1396},
  {"Lu", 0, "L", NULL, NULL, false, -1, 966, -1, -1, -1, false, false, utf8proc_sequences + 1398},
  {"Lu", 0, "L", NULL, NULL, false, -1, 967, -1, -1, -1, false, false, utf8proc_sequences + 1400},
  {"Lu", 0, "L", NULL, NULL, false, -1, 968, -1, -1, -1, false, false, utf8proc_sequences + 1402},
  {"Lu", 0, "L", NULL, NULL, false, -1, 969, -1, 3953, -1, false, false, utf8proc_sequences + 1404},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1406, false, -1, 970, -1, -1, -1, false, false, utf8proc_sequences + 1409},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1411, false, -1, 971, -1, -1, -1, false, false, utf8proc_sequences + 1414},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1416, false, 902, -1, 902, 14868, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1419, false, 904, -1, 904, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1422, false, 905, -1, 905, 15045, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1425, false, 906, -1, 906, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1428, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1431},
  {"Ll", 0, "L", NULL, NULL, false, 913, -1, 913, 4071, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 914, -1, 914, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 915, -1, 915, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 916, -1, 916, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 917, -1, 917, 4130, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 918, -1, 918, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 919, -1, 919, 4189, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 920, -1, 920, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 921, -1, 921, 4248, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 922, -1, 922, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 923, -1, 923, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 924, -1, 924, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 925, -1, 925, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 926, -1, 926, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 927, -1, 927, 4425, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 928, -1, 928, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 929, -1, 929, 15281, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 931, -1, 931, -1, -1, false, false, utf8proc_sequences + 1392},
  {"Ll", 0, "L", NULL, NULL, false, 931, -1, 931, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 932, -1, 932, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 933, -1, 933, 4366, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 934, -1, 934, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 935, -1, 935, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 936, -1, 936, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 937, -1, 937, 4484, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1435, false, 938, -1, 938, 4012, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1438, false, 939, -1, 939, 4307, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1441, false, 908, -1, 908, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1444, false, 910, -1, 910, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1447, false, 911, -1, 911, 15458, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1364, false, 914, -1, 914, -1, -1, false, false, utf8proc_sequences + 1364},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1376, false, 920, -1, 920, -1, -1, false, false, utf8proc_sequences + 1376},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 1450, false, -1, -1, -1, 4543, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1452, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1455, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1398, false, 934, -1, 934, -1, -1, false, false, utf8proc_sequences + 1398},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1388, false, 928, -1, 928, -1, -1, false, false, utf8proc_sequences + 1388},
  {"Lu", 0, "L", NULL, NULL, false, -1, 985, -1, -1, -1, false, false, utf8proc_sequences + 1458},
  {"Ll", 0, "L", NULL, NULL, false, 984, -1, 984, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 987, -1, -1, -1, false, false, utf8proc_sequences + 1460},
  {"Ll", 0, "L", NULL, NULL, false, 986, -1, 986, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 989, -1, -1, -1, false, false, utf8proc_sequences + 1462},
  {"Ll", 0, "L", NULL, NULL, false, 988, -1, 988, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 991, -1, -1, -1, false, false, utf8proc_sequences + 1464},
  {"Ll", 0, "L", NULL, NULL, false, 990, -1, 990, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 993, -1, -1, -1, false, false, utf8proc_sequences + 1466},
  {"Ll", 0, "L", NULL, NULL, false, 992, -1, 992, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 995, -1, -1, -1, false, false, utf8proc_sequences + 1468},
  {"Ll", 0, "L", NULL, NULL, false, 994, -1, 994, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 997, -1, -1, -1, false, false, utf8proc_sequences + 1470},
  {"Ll", 0, "L", NULL, NULL, false, 996, -1, 996, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 999, -1, -1, -1, false, false, utf8proc_sequences + 1472},
  {"Ll", 0, "L", NULL, NULL, false, 998, -1, 998, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1001, -1, -1, -1, false, false, utf8proc_sequences + 1474},
  {"Ll", 0, "L", NULL, NULL, false, 1000, -1, 1000, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1003, -1, -1, -1, false, false, utf8proc_sequences + 1476},
  {"Ll", 0, "L", NULL, NULL, false, 1002, -1, 1002, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1005, -1, -1, -1, false, false, utf8proc_sequences + 1478},
  {"Ll", 0, "L", NULL, NULL, false, 1004, -1, 1004, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1007, -1, -1, -1, false, false, utf8proc_sequences + 1480},
  {"Ll", 0, "L", NULL, NULL, false, 1006, -1, 1006, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1378, false, 922, -1, 922, -1, -1, false, false, utf8proc_sequences + 1378},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1390, false, 929, -1, 929, -1, -1, false, false, utf8proc_sequences + 1390},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1482, false, 1017, -1, 1017, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 1484, false, -1, 952, -1, -1, -1, false, false, utf8proc_sequences + 1376},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1370, false, 917, -1, 917, -1, -1, false, false, utf8proc_sequences + 1370},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1016, -1, -1, -1, false, false, utf8proc_sequences + 1486},
  {"Ll", 0, "L", NULL, NULL, false, 1015, -1, 1015, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 1488, false, -1, 1010, -1, -1, -1, false, false, utf8proc_sequences + 1490},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1019, -1, -1, -1, false, false, utf8proc_sequences + 1492},
  {"Ll", 0, "L", NULL, NULL, false, 1018, -1, 1018, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1494, false, -1, 1104, -1, -1, -1, false, false, utf8proc_sequences + 1497},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1499, false, -1, 1105, -1, -1, -1, false, false, utf8proc_sequences + 1502},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1106, -1, -1, -1, false, false, utf8proc_sequences + 1504},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1506, false, -1, 1107, -1, -1, -1, false, false, utf8proc_sequences + 1509},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1108, -1, -1, -1, false, false, utf8proc_sequences + 1511},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1109, -1, -1, -1, false, false, utf8proc_sequences + 1513},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1110, -1, 4720, -1, false, false, utf8proc_sequences + 1515},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1517, false, -1, 1111, -1, -1, -1, false, false, utf8proc_sequences + 1520},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1112, -1, -1, -1, false, false, utf8proc_sequences + 1522},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1113, -1, -1, -1, false, false, utf8proc_sequences + 1524},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1114, -1, -1, -1, false, false, utf8proc_sequences + 1526},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1115, -1, -1, -1, false, false, utf8proc_sequences + 1528},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1530, false, -1, 1116, -1, -1, -1, false, false, utf8proc_sequences + 1533},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1535, false, -1, 1117, -1, -1, -1, false, false, utf8proc_sequences + 1538},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1540, false, -1, 1118, -1, -1, -1, false, false, utf8proc_sequences + 1543},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1119, -1, -1, -1, false, false, utf8proc_sequences + 1545},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1072, -1, 5546, -1, false, false, utf8proc_sequences + 1547},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1073, -1, -1, -1, false, false, utf8proc_sequences + 1549},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1074, -1, -1, -1, false, false, utf8proc_sequences + 1551},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1075, -1, 4661, -1, false, false, utf8proc_sequences + 1553},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1076, -1, -1, -1, false, false, utf8proc_sequences + 1555},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1077, -1, 4602, -1, false, false, utf8proc_sequences + 1557},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1078, -1, 5428, -1, false, false, utf8proc_sequences + 1559},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1079, -1, 5782, -1, false, false, utf8proc_sequences + 1561},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1080, -1, 4838, -1, false, false, utf8proc_sequences + 1563},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1565, false, -1, 1081, -1, -1, -1, false, false, utf8proc_sequences + 1568},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1082, -1, 4779, -1, false, false, utf8proc_sequences + 1570},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1083, -1, -1, -1, false, false, utf8proc_sequences + 1572},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1084, -1, -1, -1, false, false, utf8proc_sequences + 1574},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1085, -1, -1, -1, false, false, utf8proc_sequences + 1576},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1086, -1, 5900, -1, false, false, utf8proc_sequences + 1578},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1087, -1, -1, -1, false, false, utf8proc_sequences + 1580},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1088, -1, -1, -1, false, false, utf8proc_sequences + 1582},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1089, -1, -1, -1, false, false, utf8proc_sequences + 1584},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1090, -1, -1, -1, false, false, utf8proc_sequences + 1586},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1091, -1, 4897, -1, false, false, utf8proc_sequences + 1588},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1092, -1, -1, -1, false, false, utf8proc_sequences + 1590},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1093, -1, -1, -1, false, false, utf8proc_sequences + 1592},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1094, -1, -1, -1, false, false, utf8proc_sequences + 1594},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1095, -1, 6254, -1, false, false, utf8proc_sequences + 1596},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1096, -1, -1, -1, false, false, utf8proc_sequences + 1598},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1097, -1, -1, -1, false, false, utf8proc_sequences + 1600},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1098, -1, -1, -1, false, false, utf8proc_sequences + 1602},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1099, -1, 6372, -1, false, false, utf8proc_sequences + 1604},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1100, -1, -1, -1, false, false, utf8proc_sequences + 1606},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1101, -1, 6136, -1, false, false, utf8proc_sequences + 1608},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1102, -1, -1, -1, false, false, utf8proc_sequences + 1610},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1103, -1, -1, -1, false, false, utf8proc_sequences + 1612},
  {"Ll", 0, "L", NULL, NULL, false, 1040, -1, 1040, 5605, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1041, -1, 1041, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1042, -1, 1042, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1043, -1, 1043, 5074, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1044, -1, 1044, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1045, -1, 1045, 5015, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1046, -1, 1046, 5487, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1047, -1, 1047, 5841, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1048, -1, 1048, 4956, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1614, false, 1049, -1, 1049, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1050, -1, 1050, 5192, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1051, -1, 1051, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1052, -1, 1052, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1053, -1, 1053, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1054, -1, 1054, 5959, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1055, -1, 1055, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1056, -1, 1056, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1057, -1, 1057, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1058, -1, 1058, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1059, -1, 1059, 5251, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1060, -1, 1060, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1061, -1, 1061, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1062, -1, 1062, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1063, -1, 1063, 6313, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1064, -1, 1064, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1065, -1, 1065, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1066, -1, 1066, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1067, -1, 1067, 6431, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1068, -1, 1068, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1069, -1, 1069, 6195, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1070, -1, 1070, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1071, -1, 1071, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1617, false, 1024, -1, 1024, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1620, false, 1025, -1, 1025, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1026, -1, 1026, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1623, false, 1027, -1, 1027, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1028, -1, 1028, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1029, -1, 1029, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1030, -1, 1030, 5133, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1626, false, 1031, -1, 1031, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1032, -1, 1032, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1033, -1, 1033, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1034, -1, 1034, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1035, -1, 1035, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1629, false, 1036, -1, 1036, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1632, false, 1037, -1, 1037, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1635, false, 1038, -1, 1038, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1039, -1, 1039, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1121, -1, -1, -1, false, false, utf8proc_sequences + 1638},
  {"Ll", 0, "L", NULL, NULL, false, 1120, -1, 1120, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1123, -1, -1, -1, false, false, utf8proc_sequences + 1640},
  {"Ll", 0, "L", NULL, NULL, false, 1122, -1, 1122, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1125, -1, -1, -1, false, false, utf8proc_sequences + 1642},
  {"Ll", 0, "L", NULL, NULL, false, 1124, -1, 1124, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1127, -1, -1, -1, false, false, utf8proc_sequences + 1644},
  {"Ll", 0, "L", NULL, NULL, false, 1126, -1, 1126, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1129, -1, -1, -1, false, false, utf8proc_sequences + 1646},
  {"Ll", 0, "L", NULL, NULL, false, 1128, -1, 1128, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1131, -1, -1, -1, false, false, utf8proc_sequences + 1648},
  {"Ll", 0, "L", NULL, NULL, false, 1130, -1, 1130, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1133, -1, -1, -1, false, false, utf8proc_sequences + 1650},
  {"Ll", 0, "L", NULL, NULL, false, 1132, -1, 1132, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1135, -1, -1, -1, false, false, utf8proc_sequences + 1652},
  {"Ll", 0, "L", NULL, NULL, false, 1134, -1, 1134, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1137, -1, -1, -1, false, false, utf8proc_sequences + 1654},
  {"Ll", 0, "L", NULL, NULL, false, 1136, -1, 1136, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1139, -1, -1, -1, false, false, utf8proc_sequences + 1656},
  {"Ll", 0, "L", NULL, NULL, false, 1138, -1, 1138, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1141, -1, 5310, -1, false, false, utf8proc_sequences + 1658},
  {"Ll", 0, "L", NULL, NULL, false, 1140, -1, 1140, 5369, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1660, false, -1, 1143, -1, -1, -1, false, false, utf8proc_sequences + 1663},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1665, false, 1142, -1, 1142, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1145, -1, -1, -1, false, false, utf8proc_sequences + 1668},
  {"Ll", 0, "L", NULL, NULL, false, 1144, -1, 1144, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1147, -1, -1, -1, false, false, utf8proc_sequences + 1670},
  {"Ll", 0, "L", NULL, NULL, false, 1146, -1, 1146, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1149, -1, -1, -1, false, false, utf8proc_sequences + 1672},
  {"Ll", 0, "L", NULL, NULL, false, 1148, -1, 1148, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1151, -1, -1, -1, false, false, utf8proc_sequences + 1674},
  {"Ll", 0, "L", NULL, NULL, false, 1150, -1, 1150, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1153, -1, -1, -1, false, false, utf8proc_sequences + 1676},
  {"Ll", 0, "L", NULL, NULL, false, 1152, -1, 1152, -1, -1, false, false, NULL},
  {"So", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Me", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1163, -1, -1, -1, false, false, utf8proc_sequences + 1678},
  {"Ll", 0, "L", NULL, NULL, false, 1162, -1, 1162, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1165, -1, -1, -1, false, false, utf8proc_sequences + 1680},
  {"Ll", 0, "L", NULL, NULL, false, 1164, -1, 1164, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1167, -1, -1, -1, false, false, utf8proc_sequences + 1682},
  {"Ll", 0, "L", NULL, NULL, false, 1166, -1, 1166, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1169, -1, -1, -1, false, false, utf8proc_sequences + 1684},
  {"Ll", 0, "L", NULL, NULL, false, 1168, -1, 1168, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1171, -1, -1, -1, false, false, utf8proc_sequences + 1686},
  {"Ll", 0, "L", NULL, NULL, false, 1170, -1, 1170, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1173, -1, -1, -1, false, false, utf8proc_sequences + 1688},
  {"Ll", 0, "L", NULL, NULL, false, 1172, -1, 1172, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1175, -1, -1, -1, false, false, utf8proc_sequences + 1690},
  {"Ll", 0, "L", NULL, NULL, false, 1174, -1, 1174, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1177, -1, -1, -1, false, false, utf8proc_sequences + 1692},
  {"Ll", 0, "L", NULL, NULL, false, 1176, -1, 1176, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1179, -1, -1, -1, false, false, utf8proc_sequences + 1694},
  {"Ll", 0, "L", NULL, NULL, false, 1178, -1, 1178, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1181, -1, -1, -1, false, false, utf8proc_sequences + 1696},
  {"Ll", 0, "L", NULL, NULL, false, 1180, -1, 1180, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1183, -1, -1, -1, false, false, utf8proc_sequences + 1698},
  {"Ll", 0, "L", NULL, NULL, false, 1182, -1, 1182, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1185, -1, -1, -1, false, false, utf8proc_sequences + 1700},
  {"Ll", 0, "L", NULL, NULL, false, 1184, -1, 1184, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1187, -1, -1, -1, false, false, utf8proc_sequences + 1702},
  {"Ll", 0, "L", NULL, NULL, false, 1186, -1, 1186, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1189, -1, -1, -1, false, false, utf8proc_sequences + 1704},
  {"Ll", 0, "L", NULL, NULL, false, 1188, -1, 1188, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1191, -1, -1, -1, false, false, utf8proc_sequences + 1706},
  {"Ll", 0, "L", NULL, NULL, false, 1190, -1, 1190, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1193, -1, -1, -1, false, false, utf8proc_sequences + 1708},
  {"Ll", 0, "L", NULL, NULL, false, 1192, -1, 1192, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1195, -1, -1, -1, false, false, utf8proc_sequences + 1710},
  {"Ll", 0, "L", NULL, NULL, false, 1194, -1, 1194, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1197, -1, -1, -1, false, false, utf8proc_sequences + 1712},
  {"Ll", 0, "L", NULL, NULL, false, 1196, -1, 1196, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1199, -1, -1, -1, false, false, utf8proc_sequences + 1714},
  {"Ll", 0, "L", NULL, NULL, false, 1198, -1, 1198, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1201, -1, -1, -1, false, false, utf8proc_sequences + 1716},
  {"Ll", 0, "L", NULL, NULL, false, 1200, -1, 1200, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1203, -1, -1, -1, false, false, utf8proc_sequences + 1718},
  {"Ll", 0, "L", NULL, NULL, false, 1202, -1, 1202, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1205, -1, -1, -1, false, false, utf8proc_sequences + 1720},
  {"Ll", 0, "L", NULL, NULL, false, 1204, -1, 1204, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1207, -1, -1, -1, false, false, utf8proc_sequences + 1722},
  {"Ll", 0, "L", NULL, NULL, false, 1206, -1, 1206, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1209, -1, -1, -1, false, false, utf8proc_sequences + 1724},
  {"Ll", 0, "L", NULL, NULL, false, 1208, -1, 1208, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1211, -1, -1, -1, false, false, utf8proc_sequences + 1726},
  {"Ll", 0, "L", NULL, NULL, false, 1210, -1, 1210, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1213, -1, -1, -1, false, false, utf8proc_sequences + 1728},
  {"Ll", 0, "L", NULL, NULL, false, 1212, -1, 1212, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1215, -1, -1, -1, false, false, utf8proc_sequences + 1730},
  {"Ll", 0, "L", NULL, NULL, false, 1214, -1, 1214, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1732, false, -1, 1218, -1, -1, -1, false, false, utf8proc_sequences + 1735},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1737, false, 1217, -1, 1217, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1220, -1, -1, -1, false, false, utf8proc_sequences + 1740},
  {"Ll", 0, "L", NULL, NULL, false, 1219, -1, 1219, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1222, -1, -1, -1, false, false, utf8proc_sequences + 1742},
  {"Ll", 0, "L", NULL, NULL, false, 1221, -1, 1221, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1224, -1, -1, -1, false, false, utf8proc_sequences + 1744},
  {"Ll", 0, "L", NULL, NULL, false, 1223, -1, 1223, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1226, -1, -1, -1, false, false, utf8proc_sequences + 1746},
  {"Ll", 0, "L", NULL, NULL, false, 1225, -1, 1225, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1228, -1, -1, -1, false, false, utf8proc_sequences + 1748},
  {"Ll", 0, "L", NULL, NULL, false, 1227, -1, 1227, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1230, -1, -1, -1, false, false, utf8proc_sequences + 1750},
  {"Ll", 0, "L", NULL, NULL, false, 1229, -1, 1229, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1752, false, -1, 1233, -1, -1, -1, false, false, utf8proc_sequences + 1755},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1757, false, 1232, -1, 1232, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1760, false, -1, 1235, -1, -1, -1, false, false, utf8proc_sequences + 1763},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1765, false, 1234, -1, 1234, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1237, -1, -1, -1, false, false, utf8proc_sequences + 1768},
  {"Ll", 0, "L", NULL, NULL, false, 1236, -1, 1236, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1770, false, -1, 1239, -1, -1, -1, false, false, utf8proc_sequences + 1773},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1775, false, 1238, -1, 1238, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1241, -1, 5664, -1, false, false, utf8proc_sequences + 1778},
  {"Ll", 0, "L", NULL, NULL, false, 1240, -1, 1240, 5723, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1780, false, -1, 1243, -1, -1, -1, false, false, utf8proc_sequences + 1783},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1785, false, 1242, -1, 1242, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1788, false, -1, 1245, -1, -1, -1, false, false, utf8proc_sequences + 1791},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1793, false, 1244, -1, 1244, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1796, false, -1, 1247, -1, -1, -1, false, false, utf8proc_sequences + 1799},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1801, false, 1246, -1, 1246, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1249, -1, -1, -1, false, false, utf8proc_sequences + 1804},
  {"Ll", 0, "L", NULL, NULL, false, 1248, -1, 1248, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1806, false, -1, 1251, -1, -1, -1, false, false, utf8proc_sequences + 1809},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1811, false, 1250, -1, 1250, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1814, false, -1, 1253, -1, -1, -1, false, false, utf8proc_sequences + 1817},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1819, false, 1252, -1, 1252, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1822, false, -1, 1255, -1, -1, -1, false, false, utf8proc_sequences + 1825},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1827, false, 1254, -1, 1254, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1257, -1, 6018, -1, false, false, utf8proc_sequences + 1830},
  {"Ll", 0, "L", NULL, NULL, false, 1256, -1, 1256, 6077, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1832, false, -1, 1259, -1, -1, -1, false, false, utf8proc_sequences + 1835},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1837, false, 1258, -1, 1258, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1840, false, -1, 1261, -1, -1, -1, false, false, utf8proc_sequences + 1843},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1845, false, 1260, -1, 1260, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1848, false, -1, 1263, -1, -1, -1, false, false, utf8proc_sequences + 1851},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1853, false, 1262, -1, 1262, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1856, false, -1, 1265, -1, -1, -1, false, false, utf8proc_sequences + 1859},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1861, false, 1264, -1, 1264, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1864, false, -1, 1267, -1, -1, -1, false, false, utf8proc_sequences + 1867},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1869, false, 1266, -1, 1266, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1872, false, -1, 1269, -1, -1, -1, false, false, utf8proc_sequences + 1875},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1877, false, 1268, -1, 1268, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1271, -1, -1, -1, false, false, utf8proc_sequences + 1880},
  {"Ll", 0, "L", NULL, NULL, false, 1270, -1, 1270, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 1882, false, -1, 1273, -1, -1, -1, false, false, utf8proc_sequences + 1885},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1887, false, 1272, -1, 1272, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1281, -1, -1, -1, false, false, utf8proc_sequences + 1890},
  {"Ll", 0, "L", NULL, NULL, false, 1280, -1, 1280, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1283, -1, -1, -1, false, false, utf8proc_sequences + 1892},
  {"Ll", 0, "L", NULL, NULL, false, 1282, -1, 1282, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1285, -1, -1, -1, false, false, utf8proc_sequences + 1894},
  {"Ll", 0, "L", NULL, NULL, false, 1284, -1, 1284, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1287, -1, -1, -1, false, false, utf8proc_sequences + 1896},
  {"Ll", 0, "L", NULL, NULL, false, 1286, -1, 1286, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1289, -1, -1, -1, false, false, utf8proc_sequences + 1898},
  {"Ll", 0, "L", NULL, NULL, false, 1288, -1, 1288, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1291, -1, -1, -1, false, false, utf8proc_sequences + 1900},
  {"Ll", 0, "L", NULL, NULL, false, 1290, -1, 1290, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1293, -1, -1, -1, false, false, utf8proc_sequences + 1902},
  {"Ll", 0, "L", NULL, NULL, false, 1292, -1, 1292, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1295, -1, -1, -1, false, false, utf8proc_sequences + 1904},
  {"Ll", 0, "L", NULL, NULL, false, 1294, -1, 1294, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1377, -1, -1, -1, false, false, utf8proc_sequences + 1906},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1378, -1, -1, -1, false, false, utf8proc_sequences + 1908},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1379, -1, -1, -1, false, false, utf8proc_sequences + 1910},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1380, -1, -1, -1, false, false, utf8proc_sequences + 1912},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1381, -1, -1, -1, false, false, utf8proc_sequences + 1914},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1382, -1, -1, -1, false, false, utf8proc_sequences + 1916},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1383, -1, -1, -1, false, false, utf8proc_sequences + 1918},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1384, -1, -1, -1, false, false, utf8proc_sequences + 1920},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1385, -1, -1, -1, false, false, utf8proc_sequences + 1922},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1386, -1, -1, -1, false, false, utf8proc_sequences + 1924},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1387, -1, -1, -1, false, false, utf8proc_sequences + 1926},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1388, -1, -1, -1, false, false, utf8proc_sequences + 1928},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1389, -1, -1, -1, false, false, utf8proc_sequences + 1930},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1390, -1, -1, -1, false, false, utf8proc_sequences + 1932},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1391, -1, -1, -1, false, false, utf8proc_sequences + 1934},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1392, -1, -1, -1, false, false, utf8proc_sequences + 1936},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1393, -1, -1, -1, false, false, utf8proc_sequences + 1938},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1394, -1, -1, -1, false, false, utf8proc_sequences + 1940},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1395, -1, -1, -1, false, false, utf8proc_sequences + 1942},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1396, -1, -1, -1, false, false, utf8proc_sequences + 1944},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1397, -1, -1, -1, false, false, utf8proc_sequences + 1946},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1398, -1, -1, -1, false, false, utf8proc_sequences + 1948},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1399, -1, -1, -1, false, false, utf8proc_sequences + 1950},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1400, -1, -1, -1, false, false, utf8proc_sequences + 1952},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1401, -1, -1, -1, false, false, utf8proc_sequences + 1954},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1402, -1, -1, -1, false, false, utf8proc_sequences + 1956},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1403, -1, -1, -1, false, false, utf8proc_sequences + 1958},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1404, -1, -1, -1, false, false, utf8proc_sequences + 1960},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1405, -1, -1, -1, false, false, utf8proc_sequences + 1962},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1406, -1, -1, -1, false, false, utf8proc_sequences + 1964},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1407, -1, -1, -1, false, false, utf8proc_sequences + 1966},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1408, -1, -1, -1, false, false, utf8proc_sequences + 1968},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1409, -1, -1, -1, false, false, utf8proc_sequences + 1970},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1410, -1, -1, -1, false, false, utf8proc_sequences + 1972},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1411, -1, -1, -1, false, false, utf8proc_sequences + 1974},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1412, -1, -1, -1, false, false, utf8proc_sequences + 1976},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1413, -1, -1, -1, false, false, utf8proc_sequences + 1978},
  {"Lu", 0, "L", NULL, NULL, false, -1, 1414, -1, -1, -1, false, false, utf8proc_sequences + 1980},
  {"Po", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1329, -1, 1329, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1330, -1, 1330, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1331, -1, 1331, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1332, -1, 1332, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1333, -1, 1333, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1334, -1, 1334, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1335, -1, 1335, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1336, -1, 1336, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1337, -1, 1337, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1338, -1, 1338, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1339, -1, 1339, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1340, -1, 1340, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1341, -1, 1341, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1342, -1, 1342, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1343, -1, 1343, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1344, -1, 1344, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1345, -1, 1345, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1346, -1, 1346, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1347, -1, 1347, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1348, -1, 1348, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1349, -1, 1349, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1350, -1, 1350, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1351, -1, 1351, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1352, -1, 1352, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1353, -1, 1353, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1354, -1, 1354, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1355, -1, 1355, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1356, -1, 1356, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1357, -1, 1357, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1358, -1, 1358, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1359, -1, 1359, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1360, -1, 1360, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1361, -1, 1361, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1362, -1, 1362, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1363, -1, 1363, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1364, -1, 1364, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1365, -1, 1365, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 1366, -1, 1366, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 1982, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1982},
  {"Pd", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 222, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 228, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 10, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 11, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 12, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 13, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 14, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 15, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 16, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 17, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 18, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 19, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 20, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 21, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 22, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "R", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 23, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 24, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 25, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Sc", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 1985, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 1988, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 1991, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 1994, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 1997, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6490, -1, false, false, NULL},
  {"Lm", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6549, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6608, -1, false, false, NULL},
  {"Mn", 27, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 28, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 29, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 30, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 31, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 32, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 33, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 34, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 17, false, false, NULL},
  {"Mn", 230, "NSM", NULL, NULL, false, -1, -1, -1, -1, 18, false, false, NULL},
  {"Mn", 220, "NSM", NULL, NULL, false, -1, -1, -1, -1, 19, false, false, NULL},
  {"Nd", 0, "AN", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "AN", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 35, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "compat", utf8proc_sequences + 2000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "compat", utf8proc_sequences + 2003, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "compat", utf8proc_sequences + 2006, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "compat", utf8proc_sequences + 2009, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 2012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6726, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 2015, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6785, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, utf8proc_sequences + 2018, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", NULL, NULL, false, -1, -1, -1, 6667, -1, false, false, NULL},
  {"Cf", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "AL", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 36, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 6844, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2021, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 6903, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2024, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 6962, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2027, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 7, "NSM", NULL, NULL, false, -1, -1, -1, -1, 20, false, false, NULL},
  {"Mn", 9, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2030, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2033, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2036, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2039, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2042, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2045, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2048, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2051, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Nd", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 7, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 21, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7021, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2057, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 22, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2060, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2063, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2066, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"No", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2069, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2072, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2075, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2078, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2081, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2084, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 24, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7080, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2087, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2090, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2093, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, 23, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 25, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2096, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2099, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 7139, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2102, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 27, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7198, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7257, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2105, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2108, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2111, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 26, false, false, NULL},
  {"Mn", 0, "NSM", NULL, NULL, false, -1, -1, -1, 7316, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2114, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 84, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 91, "NSM", NULL, NULL, false, -1, -1, -1, -1, 28, false, false, NULL},
  {"Mn", 0, "L", NULL, NULL, false, -1, -1, -1, 7375, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2117, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 31, false, false, NULL},
  {"Mn", 0, "L", NULL, NULL, false, -1, -1, -1, 7434, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2120, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2123, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2126, false, -1, -1, -1, 7493, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2129, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 29, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 30, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 32, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7552, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7611, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2132, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2135, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2138, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 33, false, false, NULL},
  {"Mn", 9, "NSM", NULL, NULL, false, -1, -1, -1, -1, 34, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 35, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, 7670, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2141, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2144, false, -1, -1, -1, 7729, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2147, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, utf8proc_sequences + 2150, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 0, "L", NULL, NULL, false, -1, -1, -1, -1, 36, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 2153, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 103, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 107, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 2156, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 118, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 122, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 2159, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 2162, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "L", "noBreak", utf8proc_sequences + 2165, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 216, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2167, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2170, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2173, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2176, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2179, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2182, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 129, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 130, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 132, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2188, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2191, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", "compat", utf8proc_sequences + 2194, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2197, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", "compat", utf8proc_sequences + 2200, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2203, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2206, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2209, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2212, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2215, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2218, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 0, "NSM", NULL, utf8proc_sequences + 2221, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 7788, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 2224, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, 37, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11520, -1, -1, -1, false, false, utf8proc_sequences + 2227},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11521, -1, -1, -1, false, false, utf8proc_sequences + 2229},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11522, -1, -1, -1, false, false, utf8proc_sequences + 2231},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11523, -1, -1, -1, false, false, utf8proc_sequences + 2233},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11524, -1, -1, -1, false, false, utf8proc_sequences + 2235},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11525, -1, -1, -1, false, false, utf8proc_sequences + 2237},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11526, -1, -1, -1, false, false, utf8proc_sequences + 2239},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11527, -1, -1, -1, false, false, utf8proc_sequences + 2241},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11528, -1, -1, -1, false, false, utf8proc_sequences + 2243},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11529, -1, -1, -1, false, false, utf8proc_sequences + 2245},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11530, -1, -1, -1, false, false, utf8proc_sequences + 2247},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11531, -1, -1, -1, false, false, utf8proc_sequences + 2249},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11532, -1, -1, -1, false, false, utf8proc_sequences + 2251},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11533, -1, -1, -1, false, false, utf8proc_sequences + 2253},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11534, -1, -1, -1, false, false, utf8proc_sequences + 2255},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11535, -1, -1, -1, false, false, utf8proc_sequences + 2257},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11536, -1, -1, -1, false, false, utf8proc_sequences + 2259},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11537, -1, -1, -1, false, false, utf8proc_sequences + 2261},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11538, -1, -1, -1, false, false, utf8proc_sequences + 2263},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11539, -1, -1, -1, false, false, utf8proc_sequences + 2265},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11540, -1, -1, -1, false, false, utf8proc_sequences + 2267},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11541, -1, -1, -1, false, false, utf8proc_sequences + 2269},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11542, -1, -1, -1, false, false, utf8proc_sequences + 2271},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11543, -1, -1, -1, false, false, utf8proc_sequences + 2273},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11544, -1, -1, -1, false, false, utf8proc_sequences + 2275},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11545, -1, -1, -1, false, false, utf8proc_sequences + 2277},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11546, -1, -1, -1, false, false, utf8proc_sequences + 2279},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11547, -1, -1, -1, false, false, utf8proc_sequences + 2281},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11548, -1, -1, -1, false, false, utf8proc_sequences + 2283},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11549, -1, -1, -1, false, false, utf8proc_sequences + 2285},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11550, -1, -1, -1, false, false, utf8proc_sequences + 2287},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11551, -1, -1, -1, false, false, utf8proc_sequences + 2289},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11552, -1, -1, -1, false, false, utf8proc_sequences + 2291},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11553, -1, -1, -1, false, false, utf8proc_sequences + 2293},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11554, -1, -1, -1, false, false, utf8proc_sequences + 2295},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11555, -1, -1, -1, false, false, utf8proc_sequences + 2297},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11556, -1, -1, -1, false, false, utf8proc_sequences + 2299},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11557, -1, -1, -1, false, false, utf8proc_sequences + 2301},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2303, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Nl", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"No", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Mc", 0, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2305, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2307, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2309, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2311, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2315, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2317, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2319, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2321, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2323, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2325, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2327, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2329, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2331, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2333, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2335, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2337, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2339, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2341, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2343, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2345, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 0, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2347, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2349, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2351, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 6, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 8, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 794, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2353, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 12, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 20, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 24, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 579, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 28, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 780, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2355, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2357, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 30, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 38, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 40, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2359, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 808, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 42, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2361, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1364, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1366, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1400, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 16, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 34, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 40, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 42, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 1364, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 1366, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 1390, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 1398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "sub", utf8proc_sequences + 1400, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1576, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2363, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 4, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2365, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 163, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 10, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2367, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2369, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2371, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 804, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 802, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2373, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2375, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2377, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2379, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2381, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2383, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2385, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2387, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 810, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2391, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 812, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2393, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 830, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2397, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 844, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 846, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2403, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 50, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2405, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 2407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 852, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 1376, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2409, false, -1, 7681, -1, -1, -1, false, false, utf8proc_sequences + 2412},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2414, false, 7680, -1, 7680, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2417, false, -1, 7683, -1, -1, -1, false, false, utf8proc_sequences + 2420},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2422, false, 7682, -1, 7682, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2425, false, -1, 7685, -1, -1, -1, false, false, utf8proc_sequences + 2428},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2430, false, 7684, -1, 7684, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2433, false, -1, 7687, -1, -1, -1, false, false, utf8proc_sequences + 2436},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2438, false, 7686, -1, 7686, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2441, false, -1, 7689, -1, -1, -1, false, false, utf8proc_sequences + 2444},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2446, false, 7688, -1, 7688, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2449, false, -1, 7691, -1, -1, -1, false, false, utf8proc_sequences + 2452},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2454, false, 7690, -1, 7690, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2457, false, -1, 7693, -1, -1, -1, false, false, utf8proc_sequences + 2460},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2462, false, 7692, -1, 7692, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2465, false, -1, 7695, -1, -1, -1, false, false, utf8proc_sequences + 2468},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2470, false, 7694, -1, 7694, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2473, false, -1, 7697, -1, -1, -1, false, false, utf8proc_sequences + 2476},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2478, false, 7696, -1, 7696, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2481, false, -1, 7699, -1, -1, -1, false, false, utf8proc_sequences + 2484},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2486, false, 7698, -1, 7698, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2489, false, -1, 7701, -1, -1, -1, false, false, utf8proc_sequences + 2492},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2494, false, 7700, -1, 7700, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2497, false, -1, 7703, -1, -1, -1, false, false, utf8proc_sequences + 2500},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2502, false, 7702, -1, 7702, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2505, false, -1, 7705, -1, -1, -1, false, false, utf8proc_sequences + 2508},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2510, false, 7704, -1, 7704, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2513, false, -1, 7707, -1, -1, -1, false, false, utf8proc_sequences + 2516},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2518, false, 7706, -1, 7706, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2521, false, -1, 7709, -1, -1, -1, false, false, utf8proc_sequences + 2524},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2526, false, 7708, -1, 7708, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2529, false, -1, 7711, -1, -1, -1, false, false, utf8proc_sequences + 2532},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2534, false, 7710, -1, 7710, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2537, false, -1, 7713, -1, -1, -1, false, false, utf8proc_sequences + 2540},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2542, false, 7712, -1, 7712, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2545, false, -1, 7715, -1, -1, -1, false, false, utf8proc_sequences + 2548},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2550, false, 7714, -1, 7714, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2553, false, -1, 7717, -1, -1, -1, false, false, utf8proc_sequences + 2556},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2558, false, 7716, -1, 7716, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2561, false, -1, 7719, -1, -1, -1, false, false, utf8proc_sequences + 2564},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2566, false, 7718, -1, 7718, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2569, false, -1, 7721, -1, -1, -1, false, false, utf8proc_sequences + 2572},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2574, false, 7720, -1, 7720, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2577, false, -1, 7723, -1, -1, -1, false, false, utf8proc_sequences + 2580},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2582, false, 7722, -1, 7722, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2585, false, -1, 7725, -1, -1, -1, false, false, utf8proc_sequences + 2588},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2590, false, 7724, -1, 7724, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2593, false, -1, 7727, -1, -1, -1, false, false, utf8proc_sequences + 2596},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2598, false, 7726, -1, 7726, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2601, false, -1, 7729, -1, -1, -1, false, false, utf8proc_sequences + 2604},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2606, false, 7728, -1, 7728, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2609, false, -1, 7731, -1, -1, -1, false, false, utf8proc_sequences + 2612},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2614, false, 7730, -1, 7730, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2617, false, -1, 7733, -1, -1, -1, false, false, utf8proc_sequences + 2620},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2622, false, 7732, -1, 7732, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2625, false, -1, 7735, -1, 8555, -1, false, false, utf8proc_sequences + 2628},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2630, false, 7734, -1, 7734, 8614, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2633, false, -1, 7737, -1, -1, -1, false, false, utf8proc_sequences + 2636},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2638, false, 7736, -1, 7736, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2641, false, -1, 7739, -1, -1, -1, false, false, utf8proc_sequences + 2644},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2646, false, 7738, -1, 7738, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2649, false, -1, 7741, -1, -1, -1, false, false, utf8proc_sequences + 2652},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2654, false, 7740, -1, 7740, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2657, false, -1, 7743, -1, -1, -1, false, false, utf8proc_sequences + 2660},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2662, false, 7742, -1, 7742, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2665, false, -1, 7745, -1, -1, -1, false, false, utf8proc_sequences + 2668},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2670, false, 7744, -1, 7744, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2673, false, -1, 7747, -1, -1, -1, false, false, utf8proc_sequences + 2676},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2678, false, 7746, -1, 7746, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2681, false, -1, 7749, -1, -1, -1, false, false, utf8proc_sequences + 2684},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2686, false, 7748, -1, 7748, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2689, false, -1, 7751, -1, -1, -1, false, false, utf8proc_sequences + 2692},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2694, false, 7750, -1, 7750, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2697, false, -1, 7753, -1, -1, -1, false, false, utf8proc_sequences + 2700},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2702, false, 7752, -1, 7752, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2705, false, -1, 7755, -1, -1, -1, false, false, utf8proc_sequences + 2708},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2710, false, 7754, -1, 7754, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2713, false, -1, 7757, -1, -1, -1, false, false, utf8proc_sequences + 2716},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2718, false, 7756, -1, 7756, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2721, false, -1, 7759, -1, -1, -1, false, false, utf8proc_sequences + 2724},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2726, false, 7758, -1, 7758, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2729, false, -1, 7761, -1, -1, -1, false, false, utf8proc_sequences + 2732},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2734, false, 7760, -1, 7760, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2737, false, -1, 7763, -1, -1, -1, false, false, utf8proc_sequences + 2740},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2742, false, 7762, -1, 7762, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2745, false, -1, 7765, -1, -1, -1, false, false, utf8proc_sequences + 2748},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2750, false, 7764, -1, 7764, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2753, false, -1, 7767, -1, -1, -1, false, false, utf8proc_sequences + 2756},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2758, false, 7766, -1, 7766, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2761, false, -1, 7769, -1, -1, -1, false, false, utf8proc_sequences + 2764},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2766, false, 7768, -1, 7768, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2769, false, -1, 7771, -1, 9027, -1, false, false, utf8proc_sequences + 2772},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2774, false, 7770, -1, 7770, 9086, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2777, false, -1, 7773, -1, -1, -1, false, false, utf8proc_sequences + 2780},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2782, false, 7772, -1, 7772, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2785, false, -1, 7775, -1, -1, -1, false, false, utf8proc_sequences + 2788},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2790, false, 7774, -1, 7774, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2793, false, -1, 7777, -1, -1, -1, false, false, utf8proc_sequences + 2796},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2798, false, 7776, -1, 7776, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2801, false, -1, 7779, -1, 9381, -1, false, false, utf8proc_sequences + 2804},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2806, false, 7778, -1, 7778, 9440, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2809, false, -1, 7781, -1, -1, -1, false, false, utf8proc_sequences + 2812},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2814, false, 7780, -1, 7780, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2817, false, -1, 7783, -1, -1, -1, false, false, utf8proc_sequences + 2820},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2822, false, 7782, -1, 7782, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2825, false, -1, 7785, -1, -1, -1, false, false, utf8proc_sequences + 2828},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2830, false, 7784, -1, 7784, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2833, false, -1, 7787, -1, -1, -1, false, false, utf8proc_sequences + 2836},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2838, false, 7786, -1, 7786, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2841, false, -1, 7789, -1, -1, -1, false, false, utf8proc_sequences + 2844},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2846, false, 7788, -1, 7788, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2849, false, -1, 7791, -1, -1, -1, false, false, utf8proc_sequences + 2852},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2854, false, 7790, -1, 7790, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2857, false, -1, 7793, -1, -1, -1, false, false, utf8proc_sequences + 2860},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2862, false, 7792, -1, 7792, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2865, false, -1, 7795, -1, -1, -1, false, false, utf8proc_sequences + 2868},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2870, false, 7794, -1, 7794, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2873, false, -1, 7797, -1, -1, -1, false, false, utf8proc_sequences + 2876},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2878, false, 7796, -1, 7796, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2881, false, -1, 7799, -1, -1, -1, false, false, utf8proc_sequences + 2884},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2886, false, 7798, -1, 7798, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2889, false, -1, 7801, -1, -1, -1, false, false, utf8proc_sequences + 2892},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2894, false, 7800, -1, 7800, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2897, false, -1, 7803, -1, -1, -1, false, false, utf8proc_sequences + 2900},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2902, false, 7802, -1, 7802, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2905, false, -1, 7805, -1, -1, -1, false, false, utf8proc_sequences + 2908},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2910, false, 7804, -1, 7804, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2913, false, -1, 7807, -1, -1, -1, false, false, utf8proc_sequences + 2916},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2918, false, 7806, -1, 7806, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2921, false, -1, 7809, -1, -1, -1, false, false, utf8proc_sequences + 2924},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2926, false, 7808, -1, 7808, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2929, false, -1, 7811, -1, -1, -1, false, false, utf8proc_sequences + 2932},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2934, false, 7810, -1, 7810, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2937, false, -1, 7813, -1, -1, -1, false, false, utf8proc_sequences + 2940},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2942, false, 7812, -1, 7812, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2945, false, -1, 7815, -1, -1, -1, false, false, utf8proc_sequences + 2948},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2950, false, 7814, -1, 7814, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2953, false, -1, 7817, -1, -1, -1, false, false, utf8proc_sequences + 2956},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2958, false, 7816, -1, 7816, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2961, false, -1, 7819, -1, -1, -1, false, false, utf8proc_sequences + 2964},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2966, false, 7818, -1, 7818, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2969, false, -1, 7821, -1, -1, -1, false, false, utf8proc_sequences + 2972},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2974, false, 7820, -1, 7820, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2977, false, -1, 7823, -1, -1, -1, false, false, utf8proc_sequences + 2980},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2982, false, 7822, -1, 7822, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2985, false, -1, 7825, -1, -1, -1, false, false, utf8proc_sequences + 2988},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2990, false, 7824, -1, 7824, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2993, false, -1, 7827, -1, -1, -1, false, false, utf8proc_sequences + 2996},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 2998, false, 7826, -1, 7826, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3001, false, -1, 7829, -1, -1, -1, false, false, utf8proc_sequences + 3004},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3006, false, 7828, -1, 7828, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3009, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3009},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3012, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3012},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3015, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3015},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3018, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3018},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 3021, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3021},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3024, false, 7776, -1, 7776, -1, -1, false, false, utf8proc_sequences + 2796},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3027, false, -1, 7841, -1, 10148, -1, false, false, utf8proc_sequences + 3030},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3032, false, 7840, -1, 7840, 10207, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3035, false, -1, 7843, -1, -1, -1, false, false, utf8proc_sequences + 3038},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3040, false, 7842, -1, 7842, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3043, false, -1, 7845, -1, -1, -1, false, false, utf8proc_sequences + 3046},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3048, false, 7844, -1, 7844, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3051, false, -1, 7847, -1, -1, -1, false, false, utf8proc_sequences + 3054},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3056, false, 7846, -1, 7846, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3059, false, -1, 7849, -1, -1, -1, false, false, utf8proc_sequences + 3062},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3064, false, 7848, -1, 7848, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3067, false, -1, 7851, -1, -1, -1, false, false, utf8proc_sequences + 3070},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3072, false, 7850, -1, 7850, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3075, false, -1, 7853, -1, -1, -1, false, false, utf8proc_sequences + 3078},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3080, false, 7852, -1, 7852, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3083, false, -1, 7855, -1, -1, -1, false, false, utf8proc_sequences + 3086},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3088, false, 7854, -1, 7854, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3091, false, -1, 7857, -1, -1, -1, false, false, utf8proc_sequences + 3094},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3096, false, 7856, -1, 7856, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3099, false, -1, 7859, -1, -1, -1, false, false, utf8proc_sequences + 3102},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3104, false, 7858, -1, 7858, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3107, false, -1, 7861, -1, -1, -1, false, false, utf8proc_sequences + 3110},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3112, false, 7860, -1, 7860, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3115, false, -1, 7863, -1, -1, -1, false, false, utf8proc_sequences + 3118},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3120, false, 7862, -1, 7862, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3123, false, -1, 7865, -1, 10502, -1, false, false, utf8proc_sequences + 3126},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3128, false, 7864, -1, 7864, 10561, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3131, false, -1, 7867, -1, -1, -1, false, false, utf8proc_sequences + 3134},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3136, false, 7866, -1, 7866, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3139, false, -1, 7869, -1, -1, -1, false, false, utf8proc_sequences + 3142},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3144, false, 7868, -1, 7868, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3147, false, -1, 7871, -1, -1, -1, false, false, utf8proc_sequences + 3150},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3152, false, 7870, -1, 7870, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3155, false, -1, 7873, -1, -1, -1, false, false, utf8proc_sequences + 3158},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3160, false, 7872, -1, 7872, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3163, false, -1, 7875, -1, -1, -1, false, false, utf8proc_sequences + 3166},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3168, false, 7874, -1, 7874, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3171, false, -1, 7877, -1, -1, -1, false, false, utf8proc_sequences + 3174},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3176, false, 7876, -1, 7876, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3179, false, -1, 7879, -1, -1, -1, false, false, utf8proc_sequences + 3182},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3184, false, 7878, -1, 7878, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3187, false, -1, 7881, -1, -1, -1, false, false, utf8proc_sequences + 3190},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3192, false, 7880, -1, 7880, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3195, false, -1, 7883, -1, -1, -1, false, false, utf8proc_sequences + 3198},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3200, false, 7882, -1, 7882, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3203, false, -1, 7885, -1, 10738, -1, false, false, utf8proc_sequences + 3206},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3208, false, 7884, -1, 7884, 10797, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3211, false, -1, 7887, -1, -1, -1, false, false, utf8proc_sequences + 3214},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3216, false, 7886, -1, 7886, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3219, false, -1, 7889, -1, -1, -1, false, false, utf8proc_sequences + 3222},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3224, false, 7888, -1, 7888, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3227, false, -1, 7891, -1, -1, -1, false, false, utf8proc_sequences + 3230},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3232, false, 7890, -1, 7890, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3235, false, -1, 7893, -1, -1, -1, false, false, utf8proc_sequences + 3238},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3240, false, 7892, -1, 7892, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3243, false, -1, 7895, -1, -1, -1, false, false, utf8proc_sequences + 3246},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3248, false, 7894, -1, 7894, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3251, false, -1, 7897, -1, -1, -1, false, false, utf8proc_sequences + 3254},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3256, false, 7896, -1, 7896, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3259, false, -1, 7899, -1, -1, -1, false, false, utf8proc_sequences + 3262},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3264, false, 7898, -1, 7898, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3267, false, -1, 7901, -1, -1, -1, false, false, utf8proc_sequences + 3270},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3272, false, 7900, -1, 7900, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3275, false, -1, 7903, -1, -1, -1, false, false, utf8proc_sequences + 3278},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3280, false, 7902, -1, 7902, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3283, false, -1, 7905, -1, -1, -1, false, false, utf8proc_sequences + 3286},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3288, false, 7904, -1, 7904, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3291, false, -1, 7907, -1, -1, -1, false, false, utf8proc_sequences + 3294},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3296, false, 7906, -1, 7906, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3299, false, -1, 7909, -1, -1, -1, false, false, utf8proc_sequences + 3302},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3304, false, 7908, -1, 7908, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3307, false, -1, 7911, -1, -1, -1, false, false, utf8proc_sequences + 3310},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3312, false, 7910, -1, 7910, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3315, false, -1, 7913, -1, -1, -1, false, false, utf8proc_sequences + 3318},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3320, false, 7912, -1, 7912, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3323, false, -1, 7915, -1, -1, -1, false, false, utf8proc_sequences + 3326},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3328, false, 7914, -1, 7914, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3331, false, -1, 7917, -1, -1, -1, false, false, utf8proc_sequences + 3334},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3336, false, 7916, -1, 7916, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3339, false, -1, 7919, -1, -1, -1, false, false, utf8proc_sequences + 3342},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3344, false, 7918, -1, 7918, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3347, false, -1, 7921, -1, -1, -1, false, false, utf8proc_sequences + 3350},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3352, false, 7920, -1, 7920, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3355, false, -1, 7923, -1, -1, -1, false, false, utf8proc_sequences + 3358},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3360, false, 7922, -1, 7922, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3363, false, -1, 7925, -1, -1, -1, false, false, utf8proc_sequences + 3366},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3368, false, 7924, -1, 7924, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3371, false, -1, 7927, -1, -1, -1, false, false, utf8proc_sequences + 3374},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3376, false, 7926, -1, 7926, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3379, false, -1, 7929, -1, -1, -1, false, false, utf8proc_sequences + 3382},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3384, false, 7928, -1, 7928, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3387, false, 7944, -1, 7944, 11092, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3390, false, 7945, -1, 7945, 11151, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3393, false, 7946, -1, 7946, 12685, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3396, false, 7947, -1, 7947, 12744, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3399, false, 7948, -1, 7948, 12803, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3402, false, 7949, -1, 7949, 12862, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3405, false, 7950, -1, 7950, 12921, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3408, false, 7951, -1, 7951, 12980, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3411, false, -1, 7936, -1, 11210, -1, false, false, utf8proc_sequences + 3414},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3416, false, -1, 7937, -1, 11269, -1, false, false, utf8proc_sequences + 3419},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3421, false, -1, 7938, -1, 13039, -1, false, false, utf8proc_sequences + 3424},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3426, false, -1, 7939, -1, 13098, -1, false, false, utf8proc_sequences + 3429},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3431, false, -1, 7940, -1, 13157, -1, false, false, utf8proc_sequences + 3434},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3436, false, -1, 7941, -1, 13216, -1, false, false, utf8proc_sequences + 3439},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3441, false, -1, 7942, -1, 13275, -1, false, false, utf8proc_sequences + 3444},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3446, false, -1, 7943, -1, 13334, -1, false, false, utf8proc_sequences + 3449},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3451, false, 7960, -1, 7960, 11328, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3454, false, 7961, -1, 7961, 11387, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3457, false, 7962, -1, 7962, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3460, false, 7963, -1, 7963, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3463, false, 7964, -1, 7964, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3466, false, 7965, -1, 7965, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3469, false, -1, 7952, -1, 11446, -1, false, false, utf8proc_sequences + 3472},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3474, false, -1, 7953, -1, 11505, -1, false, false, utf8proc_sequences + 3477},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3479, false, -1, 7954, -1, -1, -1, false, false, utf8proc_sequences + 3482},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3484, false, -1, 7955, -1, -1, -1, false, false, utf8proc_sequences + 3487},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3489, false, -1, 7956, -1, -1, -1, false, false, utf8proc_sequences + 3492},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3494, false, -1, 7957, -1, -1, -1, false, false, utf8proc_sequences + 3497},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3499, false, 7976, -1, 7976, 11564, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3502, false, 7977, -1, 7977, 11623, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3505, false, 7978, -1, 7978, 13393, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3508, false, 7979, -1, 7979, 13452, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3511, false, 7980, -1, 7980, 13511, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3514, false, 7981, -1, 7981, 13570, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3517, false, 7982, -1, 7982, 13629, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3520, false, 7983, -1, 7983, 13688, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3523, false, -1, 7968, -1, 11682, -1, false, false, utf8proc_sequences + 3526},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3528, false, -1, 7969, -1, 11741, -1, false, false, utf8proc_sequences + 3531},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3533, false, -1, 7970, -1, 13747, -1, false, false, utf8proc_sequences + 3536},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3538, false, -1, 7971, -1, 13806, -1, false, false, utf8proc_sequences + 3541},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3543, false, -1, 7972, -1, 13865, -1, false, false, utf8proc_sequences + 3546},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3548, false, -1, 7973, -1, 13924, -1, false, false, utf8proc_sequences + 3551},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3553, false, -1, 7974, -1, 13983, -1, false, false, utf8proc_sequences + 3556},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3558, false, -1, 7975, -1, 14042, -1, false, false, utf8proc_sequences + 3561},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3563, false, 7992, -1, 7992, 11800, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3566, false, 7993, -1, 7993, 11859, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3569, false, 7994, -1, 7994, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3572, false, 7995, -1, 7995, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3575, false, 7996, -1, 7996, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3578, false, 7997, -1, 7997, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3581, false, 7998, -1, 7998, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3584, false, 7999, -1, 7999, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3587, false, -1, 7984, -1, 11918, -1, false, false, utf8proc_sequences + 3590},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3592, false, -1, 7985, -1, 11977, -1, false, false, utf8proc_sequences + 3595},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3597, false, -1, 7986, -1, -1, -1, false, false, utf8proc_sequences + 3600},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3602, false, -1, 7987, -1, -1, -1, false, false, utf8proc_sequences + 3605},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3607, false, -1, 7988, -1, -1, -1, false, false, utf8proc_sequences + 3610},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3612, false, -1, 7989, -1, -1, -1, false, false, utf8proc_sequences + 3615},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3617, false, -1, 7990, -1, -1, -1, false, false, utf8proc_sequences + 3620},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3622, false, -1, 7991, -1, -1, -1, false, false, utf8proc_sequences + 3625},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3627, false, 8008, -1, 8008, 12036, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3630, false, 8009, -1, 8009, 12095, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3633, false, 8010, -1, 8010, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3636, false, 8011, -1, 8011, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3639, false, 8012, -1, 8012, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3642, false, 8013, -1, 8013, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3645, false, -1, 8000, -1, 12154, -1, false, false, utf8proc_sequences + 3648},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3650, false, -1, 8001, -1, 12213, -1, false, false, utf8proc_sequences + 3653},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3655, false, -1, 8002, -1, -1, -1, false, false, utf8proc_sequences + 3658},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3660, false, -1, 8003, -1, -1, -1, false, false, utf8proc_sequences + 3663},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3665, false, -1, 8004, -1, -1, -1, false, false, utf8proc_sequences + 3668},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3670, false, -1, 8005, -1, -1, -1, false, false, utf8proc_sequences + 3673},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3675, false, -1, -1, -1, 12272, -1, false, false, utf8proc_sequences + 3675},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3678, false, 8025, -1, 8025, 12331, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3681, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3684},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3688, false, 8027, -1, 8027, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3691, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3694},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3698, false, 8029, -1, 8029, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3701, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 3704},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3708, false, 8031, -1, 8031, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3711, false, -1, 8017, -1, 12390, -1, false, false, utf8proc_sequences + 3714},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3716, false, -1, 8019, -1, -1, -1, false, false, utf8proc_sequences + 3719},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3721, false, -1, 8021, -1, -1, -1, false, false, utf8proc_sequences + 3724},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3726, false, -1, 8023, -1, -1, -1, false, false, utf8proc_sequences + 3729},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3731, false, 8040, -1, 8040, 12449, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3734, false, 8041, -1, 8041, 12508, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3737, false, 8042, -1, 8042, 14101, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3740, false, 8043, -1, 8043, 14160, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3743, false, 8044, -1, 8044, 14219, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3746, false, 8045, -1, 8045, 14278, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3749, false, 8046, -1, 8046, 14337, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3752, false, 8047, -1, 8047, 14396, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3755, false, -1, 8032, -1, 12567, -1, false, false, utf8proc_sequences + 3758},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3760, false, -1, 8033, -1, 12626, -1, false, false, utf8proc_sequences + 3763},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3765, false, -1, 8034, -1, 14455, -1, false, false, utf8proc_sequences + 3768},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3770, false, -1, 8035, -1, 14514, -1, false, false, utf8proc_sequences + 3773},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3775, false, -1, 8036, -1, 14573, -1, false, false, utf8proc_sequences + 3778},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3780, false, -1, 8037, -1, 14632, -1, false, false, utf8proc_sequences + 3783},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3785, false, -1, 8038, -1, 14691, -1, false, false, utf8proc_sequences + 3788},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 3790, false, -1, 8039, -1, 14750, -1, false, false, utf8proc_sequences + 3793},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3795, false, 8122, -1, 8122, 14809, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1321, false, 8123, -1, 8123, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3798, false, 8136, -1, 8136, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1328, false, 8137, -1, 8137, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3801, false, 8138, -1, 8138, 14986, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1333, false, 8139, -1, 8139, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3804, false, 8154, -1, 8154, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1338, false, 8155, -1, 8155, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3807, false, 8184, -1, 8184, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1343, false, 8185, -1, 8185, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3810, false, 8170, -1, 8170, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1348, false, 8171, -1, 8171, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3813, false, 8186, -1, 8186, 15399, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1353, false, 8187, -1, 8187, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3816, false, 8072, -1, 8072, -1, -1, false, false, utf8proc_sequences + 3819},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3822, false, 8073, -1, 8073, -1, -1, false, false, utf8proc_sequences + 3825},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3828, false, 8074, -1, 8074, -1, -1, false, false, utf8proc_sequences + 3831},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3834, false, 8075, -1, 8075, -1, -1, false, false, utf8proc_sequences + 3837},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3840, false, 8076, -1, 8076, -1, -1, false, false, utf8proc_sequences + 3843},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3846, false, 8077, -1, 8077, -1, -1, false, false, utf8proc_sequences + 3849},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3852, false, 8078, -1, 8078, -1, -1, false, false, utf8proc_sequences + 3855},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3858, false, 8079, -1, 8079, -1, -1, false, false, utf8proc_sequences + 3861},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3864, false, -1, 8064, -1, -1, -1, false, false, utf8proc_sequences + 3867},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3869, false, -1, 8065, -1, -1, -1, false, false, utf8proc_sequences + 3872},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3874, false, -1, 8066, -1, -1, -1, false, false, utf8proc_sequences + 3877},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3879, false, -1, 8067, -1, -1, -1, false, false, utf8proc_sequences + 3882},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3884, false, -1, 8068, -1, -1, -1, false, false, utf8proc_sequences + 3887},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3889, false, -1, 8069, -1, -1, -1, false, false, utf8proc_sequences + 3892},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3894, false, -1, 8070, -1, -1, -1, false, false, utf8proc_sequences + 3897},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3899, false, -1, 8071, -1, -1, -1, false, false, utf8proc_sequences + 3902},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3904, false, 8088, -1, 8088, -1, -1, false, false, utf8proc_sequences + 3907},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3910, false, 8089, -1, 8089, -1, -1, false, false, utf8proc_sequences + 3913},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3916, false, 8090, -1, 8090, -1, -1, false, false, utf8proc_sequences + 3919},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3922, false, 8091, -1, 8091, -1, -1, false, false, utf8proc_sequences + 3925},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3928, false, 8092, -1, 8092, -1, -1, false, false, utf8proc_sequences + 3931},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3934, false, 8093, -1, 8093, -1, -1, false, false, utf8proc_sequences + 3937},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3940, false, 8094, -1, 8094, -1, -1, false, false, utf8proc_sequences + 3943},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3946, false, 8095, -1, 8095, -1, -1, false, false, utf8proc_sequences + 3949},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3952, false, -1, 8080, -1, -1, -1, false, false, utf8proc_sequences + 3955},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3957, false, -1, 8081, -1, -1, -1, false, false, utf8proc_sequences + 3960},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3962, false, -1, 8082, -1, -1, -1, false, false, utf8proc_sequences + 3965},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3967, false, -1, 8083, -1, -1, -1, false, false, utf8proc_sequences + 3970},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3972, false, -1, 8084, -1, -1, -1, false, false, utf8proc_sequences + 3975},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3977, false, -1, 8085, -1, -1, -1, false, false, utf8proc_sequences + 3980},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3982, false, -1, 8086, -1, -1, -1, false, false, utf8proc_sequences + 3985},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 3987, false, -1, 8087, -1, -1, -1, false, false, utf8proc_sequences + 3990},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3992, false, 8104, -1, 8104, -1, -1, false, false, utf8proc_sequences + 3995},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 3998, false, 8105, -1, 8105, -1, -1, false, false, utf8proc_sequences + 4001},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4004, false, 8106, -1, 8106, -1, -1, false, false, utf8proc_sequences + 4007},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4010, false, 8107, -1, 8107, -1, -1, false, false, utf8proc_sequences + 4013},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4016, false, 8108, -1, 8108, -1, -1, false, false, utf8proc_sequences + 4019},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4022, false, 8109, -1, 8109, -1, -1, false, false, utf8proc_sequences + 4025},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4028, false, 8110, -1, 8110, -1, -1, false, false, utf8proc_sequences + 4031},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4034, false, 8111, -1, 8111, -1, -1, false, false, utf8proc_sequences + 4037},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4040, false, -1, 8096, -1, -1, -1, false, false, utf8proc_sequences + 4043},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4045, false, -1, 8097, -1, -1, -1, false, false, utf8proc_sequences + 4048},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4050, false, -1, 8098, -1, -1, -1, false, false, utf8proc_sequences + 4053},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4055, false, -1, 8099, -1, -1, -1, false, false, utf8proc_sequences + 4058},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4060, false, -1, 8100, -1, -1, -1, false, false, utf8proc_sequences + 4063},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4065, false, -1, 8101, -1, -1, -1, false, false, utf8proc_sequences + 4068},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4070, false, -1, 8102, -1, -1, -1, false, false, utf8proc_sequences + 4073},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4075, false, -1, 8103, -1, -1, -1, false, false, utf8proc_sequences + 4078},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4080, false, 8120, -1, 8120, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4083, false, 8121, -1, 8121, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4086, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4089},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4092, false, 8124, -1, 8124, -1, -1, false, false, utf8proc_sequences + 4095},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4098, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4101},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4104, false, -1, -1, -1, 14927, -1, false, false, utf8proc_sequences + 4104},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4107, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4110},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4114, false, -1, 8112, -1, -1, -1, false, false, utf8proc_sequences + 4117},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4119, false, -1, 8113, -1, -1, -1, false, false, utf8proc_sequences + 4122},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4124, false, -1, 8048, -1, -1, -1, false, false, utf8proc_sequences + 4127},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4129, false, -1, 8049, -1, -1, -1, false, false, utf8proc_sequences + 4131},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4133, false, -1, 8115, -1, -1, -1, false, false, utf8proc_sequences + 4136},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 4138, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 1306, false, 921, -1, 921, -1, -1, false, false, utf8proc_sequences + 1306},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 4138, false, -1, -1, -1, 15163, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 4141, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4144, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4147, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4150},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4153, false, 8140, -1, 8140, -1, -1, false, false, utf8proc_sequences + 4156},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4159, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4162},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4165, false, -1, -1, -1, 15104, -1, false, false, utf8proc_sequences + 4165},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4168, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4171},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4175, false, -1, 8050, -1, -1, -1, false, false, utf8proc_sequences + 4178},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4180, false, -1, 8051, -1, -1, -1, false, false, utf8proc_sequences + 4182},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4184, false, -1, 8052, -1, -1, -1, false, false, utf8proc_sequences + 4187},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4189, false, -1, 8053, -1, -1, -1, false, false, utf8proc_sequences + 4191},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4193, false, -1, 8131, -1, -1, -1, false, false, utf8proc_sequences + 4196},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4198, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4201, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4204, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4207, false, 8152, -1, 8152, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4210, false, 8153, -1, 8153, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4213, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4216},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4220, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1358},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4222, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4222},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4225, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4228},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4232, false, -1, 8144, -1, -1, -1, false, false, utf8proc_sequences + 4235},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4237, false, -1, 8145, -1, -1, -1, false, false, utf8proc_sequences + 4240},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4242, false, -1, 8054, -1, -1, -1, false, false, utf8proc_sequences + 4245},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4247, false, -1, 8055, -1, -1, -1, false, false, utf8proc_sequences + 4249},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4251, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4254, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4257, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4260, false, 8168, -1, 8168, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4263, false, 8169, -1, 8169, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4266, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4269},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4273, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 1431},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4275, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4275},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4278, false, 8172, -1, 8172, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4281, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4281},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4284, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4287},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4291, false, -1, 8160, -1, -1, -1, false, false, utf8proc_sequences + 4294},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4296, false, -1, 8161, -1, -1, -1, false, false, utf8proc_sequences + 4299},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4301, false, -1, 8058, -1, -1, -1, false, false, utf8proc_sequences + 4304},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4306, false, -1, 8059, -1, -1, -1, false, false, utf8proc_sequences + 4308},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4310, false, -1, 8165, -1, -1, -1, false, false, utf8proc_sequences + 4313},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4315, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4318, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4320, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4322, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4325},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4328, false, 8188, -1, 8188, -1, -1, false, false, utf8proc_sequences + 4331},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4334, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4337},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4340, false, -1, -1, -1, 15517, -1, false, false, utf8proc_sequences + 4340},
  {"Ll", 0, "L", NULL, utf8proc_sequences + 4343, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 4346},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4350, false, -1, 8056, -1, -1, -1, false, false, utf8proc_sequences + 4353},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4355, false, -1, 8057, -1, -1, -1, false, false, utf8proc_sequences + 4357},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4359, false, -1, 8060, -1, -1, -1, false, false, utf8proc_sequences + 4362},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4364, false, -1, 8061, -1, -1, -1, false, false, utf8proc_sequences + 4366},
  {"Lt", 0, "L", NULL, utf8proc_sequences + 4368, false, -1, 8179, -1, -1, -1, false, false, utf8proc_sequences + 4371},
  {"Sk", 0, "ON", NULL, utf8proc_sequences + 4373, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 4375, false, -1, -1, -1, 15222, -1, false, false, NULL},
  {"Zs", 0, "WS", NULL, utf8proc_sequences + 4378, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zs", 0, "WS", NULL, utf8proc_sequences + 4380, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zs", 0, "WS", "compat", utf8proc_sequences + 52, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zs", 0, "WS", "noBreak", utf8proc_sequences + 52, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "BN", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cf", 0, "R", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Pd", 0, "ON", "noBreak", utf8proc_sequences + 4382, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4384, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pi", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pf", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4387, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zl", 0, "WS", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zp", 0, "B", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "LRE", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cf", 0, "RLE", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cf", 0, "PDF", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cf", 0, "LRO", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Cf", 0, "RLO", NULL, NULL, false, -1, -1, -1, -1, -1, false, true, NULL},
  {"Po", 0, "ET", "compat", utf8proc_sequences + 4396, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", "compat", utf8proc_sequences + 4399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4403, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4406, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4410, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4413, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "CS", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4416, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4419, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4422, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 4425, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "super", utf8proc_sequences + 16, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "super", utf8proc_sequences + 4442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "super", utf8proc_sequences + 4444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "super", utf8proc_sequences + 4446, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "super", utf8proc_sequences + 4448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "super", utf8proc_sequences + 4450, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "super", utf8proc_sequences + 4452, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "super", utf8proc_sequences + 26, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 72, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 60, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 62, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "sub", utf8proc_sequences + 4442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "sub", utf8proc_sequences + 4444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "sub", utf8proc_sequences + 4446, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "sub", utf8proc_sequences + 4448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "sub", utf8proc_sequences + 4450, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "sub", utf8proc_sequences + 4452, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "sub", utf8proc_sequences + 0, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "sub", utf8proc_sequences + 8, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "sub", utf8proc_sequences + 28, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "sub", utf8proc_sequences + 46, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "sub", utf8proc_sequences + 792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "compat", utf8proc_sequences + 4454, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4457, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4461, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4465, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4467, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4470, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4474, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "compat", utf8proc_sequences + 4478, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4480, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 12, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2319, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 14, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 454, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2321, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2327, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 22, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2331, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4483, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2337, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4486, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2339, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "super", utf8proc_sequences + 4488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4491, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "super", utf8proc_sequences + 4495, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4498, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4500, false, -1, 969, -1, -1, -1, false, false, utf8proc_sequences + 1404},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 2325, false, -1, 107, -1, -1, -1, false, false, utf8proc_sequences + 20},
  {"Lu", 0, "L", NULL, utf8proc_sequences + 4502, false, -1, 229, -1, -1, -1, false, false, utf8proc_sequences + 114},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2309, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 8, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4504, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2329, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 28, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 4506, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 4508, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 4510, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 4512, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 16, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 4514, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1388, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1366, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4518, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4520, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "font", utf8proc_sequences + 4522, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2311, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 6, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 18, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4528, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4532, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4536, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4540, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4544, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4552, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4556, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4560, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4564, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4568, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "fraction", utf8proc_sequences + 4572, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 2321, false, -1, 8560, -1, -1, -1, false, false, utf8proc_sequences + 4575},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4577, false, -1, 8561, -1, -1, -1, false, false, utf8proc_sequences + 4580},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4582, false, -1, 8562, -1, -1, -1, false, false, utf8proc_sequences + 4586},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4588, false, -1, 8563, -1, -1, -1, false, false, utf8proc_sequences + 4591},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4593, false, -1, 8564, -1, -1, -1, false, false, utf8proc_sequences + 4595},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4597, false, -1, 8565, -1, -1, -1, false, false, utf8proc_sequences + 4600},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4602, false, -1, 8566, -1, -1, -1, false, false, utf8proc_sequences + 4606},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4608, false, -1, 8567, -1, -1, -1, false, false, utf8proc_sequences + 4613},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4615, false, -1, 8568, -1, -1, -1, false, false, utf8proc_sequences + 4618},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4620, false, -1, 8569, -1, -1, -1, false, false, utf8proc_sequences + 4622},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4624, false, -1, 8570, -1, -1, -1, false, false, utf8proc_sequences + 4627},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4629, false, -1, 8571, -1, -1, -1, false, false, utf8proc_sequences + 4633},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 2327, false, -1, 8572, -1, -1, -1, false, false, utf8proc_sequences + 4635},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4465, false, -1, 8573, -1, -1, -1, false, false, utf8proc_sequences + 4637},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 2311, false, -1, 8574, -1, -1, -1, false, false, utf8proc_sequences + 4639},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 2329, false, -1, 8575, -1, -1, -1, false, false, utf8proc_sequences + 4641},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 16, false, 8544, -1, 8544, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4643, false, 8545, -1, 8545, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4646, false, 8546, -1, 8546, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4650, false, 8547, -1, 8547, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 42, false, 8548, -1, 8548, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4653, false, 8549, -1, 8549, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4656, false, 8550, -1, 8550, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4660, false, 8551, -1, 8551, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4665, false, 8552, -1, 8552, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 46, false, 8553, -1, 8553, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4668, false, 8554, -1, 8554, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4671, false, 8555, -1, 8555, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 22, false, 8556, -1, 8556, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 4, false, 8557, -1, 8557, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 6, false, 8558, -1, 8558, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 24, false, 8559, -1, 8559, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 15576, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 15635, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 15694, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4675, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4678, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4681, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", NULL, utf8proc_sequences + 4684, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4687, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4690, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", NULL, NULL, false, -1, -1, -1, 15753, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 15871, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 15812, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 15930, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4693, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 15989, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4696, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16048, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4699, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 16107, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4702, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 16166, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4705, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 4708, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 4711, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 4715, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 4718, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16225, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4722, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16284, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4725, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16343, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4728, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16402, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4731, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 16579, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4734, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 16520, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4737, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16756, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16815, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4740, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4743, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4746, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4749, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4752, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16874, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16933, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4755, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4758, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 16992, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17051, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4761, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4764, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17110, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17169, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17700, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17759, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4767, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4770, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17228, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17287, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4773, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4776, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17346, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17405, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4779, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4782, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17818, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17877, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17464, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17523, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17582, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17641, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4785, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4788, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4791, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4794, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17936, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 17995, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 18054, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, true, -1, -1, -1, 18113, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4797, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4800, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4803, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4806, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4809, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4812, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4815, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 4818, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", NULL, utf8proc_sequences + 4821, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", NULL, utf8proc_sequences + 4823, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 72, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 60, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 62, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4828, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4834, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4840, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4843, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4846, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4849, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4852, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4858, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4862, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4866, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4870, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4882, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4886, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4890, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4894, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4899, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4909, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4914, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4924, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4929, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4934, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4939, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "compat", utf8proc_sequences + 4944, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4949, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4952, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4955, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4958, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4961, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4964, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4967, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4970, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4973, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4976, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4980, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4988, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4992, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 4996, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 5000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 5004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 5008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 5012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "EN", "compat", utf8proc_sequences + 5016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5024, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5060, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5064, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5068, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5072, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5076, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5080, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5084, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5088, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5092, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5096, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5100, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5104, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5108, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5112, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 5120, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 2305, false, -1, 9424, -1, -1, -1, false, false, utf8proc_sequences + 5124},
  {"So", 0, "L", "circle", utf8proc_sequences + 2309, false, -1, 9425, -1, -1, -1, false, false, utf8proc_sequences + 5126},
  {"So", 0, "L", "circle", utf8proc_sequences + 4465, false, -1, 9426, -1, -1, -1, false, false, utf8proc_sequences + 5128},
  {"So", 0, "L", "circle", utf8proc_sequences + 2311, false, -1, 9427, -1, -1, -1, false, false, utf8proc_sequences + 5130},
  {"So", 0, "L", "circle", utf8proc_sequences + 2313, false, -1, 9428, -1, -1, -1, false, false, utf8proc_sequences + 5132},
  {"So", 0, "L", "circle", utf8proc_sequences + 4504, false, -1, 9429, -1, -1, -1, false, false, utf8proc_sequences + 5134},
  {"So", 0, "L", "circle", utf8proc_sequences + 2317, false, -1, 9430, -1, -1, -1, false, false, utf8proc_sequences + 5136},
  {"So", 0, "L", "circle", utf8proc_sequences + 2319, false, -1, 9431, -1, -1, -1, false, false, utf8proc_sequences + 5138},
  {"So", 0, "L", "circle", utf8proc_sequences + 2321, false, -1, 9432, -1, -1, -1, false, false, utf8proc_sequences + 5140},
  {"So", 0, "L", "circle", utf8proc_sequences + 2323, false, -1, 9433, -1, -1, -1, false, false, utf8proc_sequences + 5142},
  {"So", 0, "L", "circle", utf8proc_sequences + 2325, false, -1, 9434, -1, -1, -1, false, false, utf8proc_sequences + 5144},
  {"So", 0, "L", "circle", utf8proc_sequences + 2327, false, -1, 9435, -1, -1, -1, false, false, utf8proc_sequences + 5146},
  {"So", 0, "L", "circle", utf8proc_sequences + 2329, false, -1, 9436, -1, -1, -1, false, false, utf8proc_sequences + 5148},
  {"So", 0, "L", "circle", utf8proc_sequences + 2331, false, -1, 9437, -1, -1, -1, false, false, utf8proc_sequences + 5150},
  {"So", 0, "L", "circle", utf8proc_sequences + 2333, false, -1, 9438, -1, -1, -1, false, false, utf8proc_sequences + 5152},
  {"So", 0, "L", "circle", utf8proc_sequences + 2337, false, -1, 9439, -1, -1, -1, false, false, utf8proc_sequences + 5154},
  {"So", 0, "L", "circle", utf8proc_sequences + 4486, false, -1, 9440, -1, -1, -1, false, false, utf8proc_sequences + 5156},
  {"So", 0, "L", "circle", utf8proc_sequences + 2339, false, -1, 9441, -1, -1, -1, false, false, utf8proc_sequences + 5158},
  {"So", 0, "L", "circle", utf8proc_sequences + 5160, false, -1, 9442, -1, -1, -1, false, false, utf8proc_sequences + 5162},
  {"So", 0, "L", "circle", utf8proc_sequences + 2341, false, -1, 9443, -1, -1, -1, false, false, utf8proc_sequences + 5164},
  {"So", 0, "L", "circle", utf8proc_sequences + 2343, false, -1, 9444, -1, -1, -1, false, false, utf8proc_sequences + 5166},
  {"So", 0, "L", "circle", utf8proc_sequences + 4593, false, -1, 9445, -1, -1, -1, false, false, utf8proc_sequences + 5168},
  {"So", 0, "L", "circle", utf8proc_sequences + 2345, false, -1, 9446, -1, -1, -1, false, false, utf8proc_sequences + 5170},
  {"So", 0, "L", "circle", utf8proc_sequences + 4620, false, -1, 9447, -1, -1, -1, false, false, utf8proc_sequences + 5172},
  {"So", 0, "L", "circle", utf8proc_sequences + 5174, false, -1, 9448, -1, -1, -1, false, false, utf8proc_sequences + 5176},
  {"So", 0, "L", "circle", utf8proc_sequences + 4498, false, -1, 9449, -1, -1, -1, false, false, utf8proc_sequences + 5178},
  {"So", 0, "L", "circle", utf8proc_sequences + 0, false, 9398, -1, 9398, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 2, false, 9399, -1, 9399, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 4, false, 9400, -1, 9400, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6, false, 9401, -1, 9401, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 8, false, 9402, -1, 9402, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 10, false, 9403, -1, 9403, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 12, false, 9404, -1, 9404, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 14, false, 9405, -1, 9405, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 16, false, 9406, -1, 9406, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 18, false, 9407, -1, 9407, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 20, false, 9408, -1, 9408, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 22, false, 9409, -1, 9409, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 24, false, 9410, -1, 9410, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 26, false, 9411, -1, 9411, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 28, false, 9412, -1, 9412, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 30, false, 9413, -1, 9413, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 32, false, 9414, -1, 9414, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 34, false, 9415, -1, 9415, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 36, false, 9416, -1, 9416, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 38, false, 9417, -1, 9417, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 40, false, 9418, -1, 9418, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 42, false, 9419, -1, 9419, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 44, false, 9420, -1, 9420, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 46, false, 9421, -1, 9421, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 48, false, 9422, -1, 9422, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 50, false, 9423, -1, 9423, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 4430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 5180, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 5185, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 5189, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "compat", utf8proc_sequences + 5192, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", NULL, utf8proc_sequences + 5196, true, -1, -1, -1, -1, -1, true, false, NULL},
  {"Sm", 0, "ON", NULL, NULL, false, -1, -1, -1, 18172, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11312, -1, -1, -1, false, false, utf8proc_sequences + 5199},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11313, -1, -1, -1, false, false, utf8proc_sequences + 5201},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11314, -1, -1, -1, false, false, utf8proc_sequences + 5203},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11315, -1, -1, -1, false, false, utf8proc_sequences + 5205},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11316, -1, -1, -1, false, false, utf8proc_sequences + 5207},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11317, -1, -1, -1, false, false, utf8proc_sequences + 5209},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11318, -1, -1, -1, false, false, utf8proc_sequences + 5211},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11319, -1, -1, -1, false, false, utf8proc_sequences + 5213},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11320, -1, -1, -1, false, false, utf8proc_sequences + 5215},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11321, -1, -1, -1, false, false, utf8proc_sequences + 5217},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11322, -1, -1, -1, false, false, utf8proc_sequences + 5219},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11323, -1, -1, -1, false, false, utf8proc_sequences + 5221},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11324, -1, -1, -1, false, false, utf8proc_sequences + 5223},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11325, -1, -1, -1, false, false, utf8proc_sequences + 5225},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11326, -1, -1, -1, false, false, utf8proc_sequences + 5227},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11327, -1, -1, -1, false, false, utf8proc_sequences + 5229},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11328, -1, -1, -1, false, false, utf8proc_sequences + 5231},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11329, -1, -1, -1, false, false, utf8proc_sequences + 5233},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11330, -1, -1, -1, false, false, utf8proc_sequences + 5235},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11331, -1, -1, -1, false, false, utf8proc_sequences + 5237},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11332, -1, -1, -1, false, false, utf8proc_sequences + 5239},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11333, -1, -1, -1, false, false, utf8proc_sequences + 5241},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11334, -1, -1, -1, false, false, utf8proc_sequences + 5243},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11335, -1, -1, -1, false, false, utf8proc_sequences + 5245},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11336, -1, -1, -1, false, false, utf8proc_sequences + 5247},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11337, -1, -1, -1, false, false, utf8proc_sequences + 5249},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11338, -1, -1, -1, false, false, utf8proc_sequences + 5251},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11339, -1, -1, -1, false, false, utf8proc_sequences + 5253},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11340, -1, -1, -1, false, false, utf8proc_sequences + 5255},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11341, -1, -1, -1, false, false, utf8proc_sequences + 5257},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11342, -1, -1, -1, false, false, utf8proc_sequences + 5259},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11343, -1, -1, -1, false, false, utf8proc_sequences + 5261},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11344, -1, -1, -1, false, false, utf8proc_sequences + 5263},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11345, -1, -1, -1, false, false, utf8proc_sequences + 5265},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11346, -1, -1, -1, false, false, utf8proc_sequences + 5267},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11347, -1, -1, -1, false, false, utf8proc_sequences + 5269},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11348, -1, -1, -1, false, false, utf8proc_sequences + 5271},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11349, -1, -1, -1, false, false, utf8proc_sequences + 5273},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11350, -1, -1, -1, false, false, utf8proc_sequences + 5275},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11351, -1, -1, -1, false, false, utf8proc_sequences + 5277},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11352, -1, -1, -1, false, false, utf8proc_sequences + 5279},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11353, -1, -1, -1, false, false, utf8proc_sequences + 5281},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11354, -1, -1, -1, false, false, utf8proc_sequences + 5283},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11355, -1, -1, -1, false, false, utf8proc_sequences + 5285},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11356, -1, -1, -1, false, false, utf8proc_sequences + 5287},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11357, -1, -1, -1, false, false, utf8proc_sequences + 5289},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11358, -1, -1, -1, false, false, utf8proc_sequences + 5291},
  {"Ll", 0, "L", NULL, NULL, false, 11264, -1, 11264, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11265, -1, 11265, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11266, -1, 11266, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11267, -1, 11267, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11268, -1, 11268, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11269, -1, 11269, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11270, -1, 11270, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11271, -1, 11271, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11272, -1, 11272, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11273, -1, 11273, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11274, -1, 11274, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11275, -1, 11275, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11276, -1, 11276, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11277, -1, 11277, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11278, -1, 11278, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11279, -1, 11279, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11280, -1, 11280, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11281, -1, 11281, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11282, -1, 11282, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11283, -1, 11283, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11284, -1, 11284, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11285, -1, 11285, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11286, -1, 11286, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11287, -1, 11287, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11288, -1, 11288, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11289, -1, 11289, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11290, -1, 11290, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11291, -1, 11291, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11292, -1, 11292, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11293, -1, 11293, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11294, -1, 11294, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11295, -1, 11295, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11296, -1, 11296, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11297, -1, 11297, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11298, -1, 11298, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11299, -1, 11299, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11300, -1, 11300, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11301, -1, 11301, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11302, -1, 11302, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11303, -1, 11303, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11304, -1, 11304, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11305, -1, 11305, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11306, -1, 11306, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11307, -1, 11307, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11308, -1, 11308, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11309, -1, 11309, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 11310, -1, 11310, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11393, -1, -1, -1, false, false, utf8proc_sequences + 5293},
  {"Ll", 0, "L", NULL, NULL, false, 11392, -1, 11392, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11395, -1, -1, -1, false, false, utf8proc_sequences + 5295},
  {"Ll", 0, "L", NULL, NULL, false, 11394, -1, 11394, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11397, -1, -1, -1, false, false, utf8proc_sequences + 5297},
  {"Ll", 0, "L", NULL, NULL, false, 11396, -1, 11396, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11399, -1, -1, -1, false, false, utf8proc_sequences + 5299},
  {"Ll", 0, "L", NULL, NULL, false, 11398, -1, 11398, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11401, -1, -1, -1, false, false, utf8proc_sequences + 5301},
  {"Ll", 0, "L", NULL, NULL, false, 11400, -1, 11400, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11403, -1, -1, -1, false, false, utf8proc_sequences + 5303},
  {"Ll", 0, "L", NULL, NULL, false, 11402, -1, 11402, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11405, -1, -1, -1, false, false, utf8proc_sequences + 5305},
  {"Ll", 0, "L", NULL, NULL, false, 11404, -1, 11404, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11407, -1, -1, -1, false, false, utf8proc_sequences + 5307},
  {"Ll", 0, "L", NULL, NULL, false, 11406, -1, 11406, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11409, -1, -1, -1, false, false, utf8proc_sequences + 5309},
  {"Ll", 0, "L", NULL, NULL, false, 11408, -1, 11408, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11411, -1, -1, -1, false, false, utf8proc_sequences + 5311},
  {"Ll", 0, "L", NULL, NULL, false, 11410, -1, 11410, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11413, -1, -1, -1, false, false, utf8proc_sequences + 5313},
  {"Ll", 0, "L", NULL, NULL, false, 11412, -1, 11412, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11415, -1, -1, -1, false, false, utf8proc_sequences + 5315},
  {"Ll", 0, "L", NULL, NULL, false, 11414, -1, 11414, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11417, -1, -1, -1, false, false, utf8proc_sequences + 5317},
  {"Ll", 0, "L", NULL, NULL, false, 11416, -1, 11416, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11419, -1, -1, -1, false, false, utf8proc_sequences + 5319},
  {"Ll", 0, "L", NULL, NULL, false, 11418, -1, 11418, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11421, -1, -1, -1, false, false, utf8proc_sequences + 5321},
  {"Ll", 0, "L", NULL, NULL, false, 11420, -1, 11420, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11423, -1, -1, -1, false, false, utf8proc_sequences + 5323},
  {"Ll", 0, "L", NULL, NULL, false, 11422, -1, 11422, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11425, -1, -1, -1, false, false, utf8proc_sequences + 5325},
  {"Ll", 0, "L", NULL, NULL, false, 11424, -1, 11424, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11427, -1, -1, -1, false, false, utf8proc_sequences + 5327},
  {"Ll", 0, "L", NULL, NULL, false, 11426, -1, 11426, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11429, -1, -1, -1, false, false, utf8proc_sequences + 5329},
  {"Ll", 0, "L", NULL, NULL, false, 11428, -1, 11428, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11431, -1, -1, -1, false, false, utf8proc_sequences + 5331},
  {"Ll", 0, "L", NULL, NULL, false, 11430, -1, 11430, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11433, -1, -1, -1, false, false, utf8proc_sequences + 5333},
  {"Ll", 0, "L", NULL, NULL, false, 11432, -1, 11432, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11435, -1, -1, -1, false, false, utf8proc_sequences + 5335},
  {"Ll", 0, "L", NULL, NULL, false, 11434, -1, 11434, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11437, -1, -1, -1, false, false, utf8proc_sequences + 5337},
  {"Ll", 0, "L", NULL, NULL, false, 11436, -1, 11436, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11439, -1, -1, -1, false, false, utf8proc_sequences + 5339},
  {"Ll", 0, "L", NULL, NULL, false, 11438, -1, 11438, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11441, -1, -1, -1, false, false, utf8proc_sequences + 5341},
  {"Ll", 0, "L", NULL, NULL, false, 11440, -1, 11440, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11443, -1, -1, -1, false, false, utf8proc_sequences + 5343},
  {"Ll", 0, "L", NULL, NULL, false, 11442, -1, 11442, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11445, -1, -1, -1, false, false, utf8proc_sequences + 5345},
  {"Ll", 0, "L", NULL, NULL, false, 11444, -1, 11444, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11447, -1, -1, -1, false, false, utf8proc_sequences + 5347},
  {"Ll", 0, "L", NULL, NULL, false, 11446, -1, 11446, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11449, -1, -1, -1, false, false, utf8proc_sequences + 5349},
  {"Ll", 0, "L", NULL, NULL, false, 11448, -1, 11448, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11451, -1, -1, -1, false, false, utf8proc_sequences + 5351},
  {"Ll", 0, "L", NULL, NULL, false, 11450, -1, 11450, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11453, -1, -1, -1, false, false, utf8proc_sequences + 5353},
  {"Ll", 0, "L", NULL, NULL, false, 11452, -1, 11452, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11455, -1, -1, -1, false, false, utf8proc_sequences + 5355},
  {"Ll", 0, "L", NULL, NULL, false, 11454, -1, 11454, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11457, -1, -1, -1, false, false, utf8proc_sequences + 5357},
  {"Ll", 0, "L", NULL, NULL, false, 11456, -1, 11456, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11459, -1, -1, -1, false, false, utf8proc_sequences + 5359},
  {"Ll", 0, "L", NULL, NULL, false, 11458, -1, 11458, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11461, -1, -1, -1, false, false, utf8proc_sequences + 5361},
  {"Ll", 0, "L", NULL, NULL, false, 11460, -1, 11460, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11463, -1, -1, -1, false, false, utf8proc_sequences + 5363},
  {"Ll", 0, "L", NULL, NULL, false, 11462, -1, 11462, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11465, -1, -1, -1, false, false, utf8proc_sequences + 5365},
  {"Ll", 0, "L", NULL, NULL, false, 11464, -1, 11464, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11467, -1, -1, -1, false, false, utf8proc_sequences + 5367},
  {"Ll", 0, "L", NULL, NULL, false, 11466, -1, 11466, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11469, -1, -1, -1, false, false, utf8proc_sequences + 5369},
  {"Ll", 0, "L", NULL, NULL, false, 11468, -1, 11468, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11471, -1, -1, -1, false, false, utf8proc_sequences + 5371},
  {"Ll", 0, "L", NULL, NULL, false, 11470, -1, 11470, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11473, -1, -1, -1, false, false, utf8proc_sequences + 5373},
  {"Ll", 0, "L", NULL, NULL, false, 11472, -1, 11472, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11475, -1, -1, -1, false, false, utf8proc_sequences + 5375},
  {"Ll", 0, "L", NULL, NULL, false, 11474, -1, 11474, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11477, -1, -1, -1, false, false, utf8proc_sequences + 5377},
  {"Ll", 0, "L", NULL, NULL, false, 11476, -1, 11476, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11479, -1, -1, -1, false, false, utf8proc_sequences + 5379},
  {"Ll", 0, "L", NULL, NULL, false, 11478, -1, 11478, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11481, -1, -1, -1, false, false, utf8proc_sequences + 5381},
  {"Ll", 0, "L", NULL, NULL, false, 11480, -1, 11480, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11483, -1, -1, -1, false, false, utf8proc_sequences + 5383},
  {"Ll", 0, "L", NULL, NULL, false, 11482, -1, 11482, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11485, -1, -1, -1, false, false, utf8proc_sequences + 5385},
  {"Ll", 0, "L", NULL, NULL, false, 11484, -1, 11484, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11487, -1, -1, -1, false, false, utf8proc_sequences + 5387},
  {"Ll", 0, "L", NULL, NULL, false, 11486, -1, 11486, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11489, -1, -1, -1, false, false, utf8proc_sequences + 5389},
  {"Ll", 0, "L", NULL, NULL, false, 11488, -1, 11488, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 11491, -1, -1, -1, false, false, utf8proc_sequences + 5391},
  {"Ll", 0, "L", NULL, NULL, false, 11490, -1, 11490, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4256, -1, 4256, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4257, -1, 4257, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4258, -1, 4258, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4259, -1, 4259, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4260, -1, 4260, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4261, -1, 4261, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4262, -1, 4262, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4263, -1, 4263, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4264, -1, 4264, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4265, -1, 4265, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4266, -1, 4266, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4267, -1, 4267, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4268, -1, 4268, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4269, -1, 4269, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4270, -1, 4270, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4271, -1, 4271, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4272, -1, 4272, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4273, -1, 4273, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4274, -1, 4274, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4275, -1, 4275, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4276, -1, 4276, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4277, -1, 4277, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4278, -1, 4278, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4279, -1, 4279, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4280, -1, 4280, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4281, -1, 4281, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4282, -1, 4282, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4283, -1, 4283, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4284, -1, 4284, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4285, -1, 4285, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4286, -1, 4286, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4287, -1, 4287, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4288, -1, 4288, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4289, -1, 4289, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4290, -1, 4290, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4291, -1, 4291, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4292, -1, 4292, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 4293, -1, 4293, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "super", utf8proc_sequences + 5393, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5397, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5403, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5405, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5409, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5411, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5413, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5415, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5417, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5419, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5421, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5423, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5425, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5427, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5429, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5431, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5433, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5435, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5437, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5439, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5441, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5443, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5447, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5449, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5451, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5453, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5455, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5457, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5459, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5461, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5463, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5465, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5467, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5469, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5471, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5473, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5475, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5477, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5479, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5481, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5483, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5485, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5487, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5489, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5491, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5493, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5495, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5497, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5499, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5501, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5503, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5505, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5507, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5509, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5511, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5513, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5515, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5517, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5519, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5521, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5523, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5525, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5527, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5529, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5531, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5533, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5535, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5537, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5539, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5541, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5543, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5545, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5547, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5549, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5551, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5553, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5555, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5557, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5559, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5561, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5563, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5565, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5567, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5569, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5571, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5573, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5575, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5577, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5579, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5581, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5583, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5585, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5587, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5589, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5591, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5593, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5595, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5597, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5599, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5601, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5603, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5605, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5607, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5609, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5611, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5613, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5615, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5617, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5619, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5621, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5623, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5625, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5627, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5629, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5631, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5633, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5635, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5637, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5639, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5641, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5643, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5645, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5647, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5649, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5651, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5653, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5655, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5657, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5659, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5661, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5663, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5665, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5667, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5669, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5671, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5673, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5675, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5677, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5679, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5681, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5683, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5685, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5687, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5689, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5691, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5693, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5695, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5697, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5699, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5701, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5703, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5705, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5707, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5709, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5711, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5713, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5715, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5717, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5719, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5721, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5723, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5725, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5727, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5729, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5731, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5733, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5735, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5737, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5739, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5741, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5743, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5745, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5747, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5749, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5751, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5753, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5755, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5757, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5759, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5761, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5763, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5765, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5767, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5769, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5771, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5773, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5775, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5777, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5779, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5781, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5783, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5785, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5787, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5789, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5791, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5793, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5795, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5797, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5799, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5801, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5803, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5805, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5807, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5809, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5811, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5813, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Zs", 0, "WS", "wide", utf8proc_sequences + 52, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 218, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 224, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 5827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 5445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 5829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nl", 0, "L", "compat", utf8proc_sequences + 5831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19411, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18231, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18290, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5836, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18349, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18408, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5842, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18467, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5845, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18526, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5848, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18585, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5851, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18644, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5854, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18703, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18762, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5860, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18821, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18880, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5866, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18939, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 18998, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19057, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19116, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5881, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19175, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5884, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5887, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19234, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5890, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19293, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5896, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5899, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19352, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5902, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5905, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5908, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mn", 8, "NSM", NULL, NULL, false, -1, -1, -1, -1, 51, false, false, NULL},
  {"Mn", 8, "NSM", NULL, NULL, false, -1, -1, -1, -1, 52, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 5911, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "compat", utf8proc_sequences + 5914, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", NULL, NULL, false, -1, -1, -1, 19470, -1, false, false, NULL},
  {"Lm", 0, "L", NULL, utf8proc_sequences + 5917, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "vertical", utf8proc_sequences + 5920, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20709, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19529, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5923, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19588, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5926, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19647, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5929, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19706, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5932, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19765, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5935, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19824, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5938, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19883, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5941, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 19942, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5944, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20001, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5947, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20060, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5950, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20119, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5953, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20178, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5956, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20237, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5959, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20296, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5962, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20355, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5965, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20414, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5968, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5971, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20473, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5974, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5977, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20532, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5980, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5983, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20591, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5986, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5989, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20650, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5992, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5995, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20768, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20827, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20886, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, NULL, false, -1, -1, -1, 20945, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5998, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6001, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6007, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", NULL, NULL, false, -1, -1, -1, 21004, -1, false, false, NULL},
  {"Lm", 0, "L", NULL, utf8proc_sequences + 6013, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "vertical", utf8proc_sequences + 6016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6019, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6021, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6023, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6025, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6027, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6029, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6031, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6033, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6037, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6039, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6041, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6043, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6045, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6047, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6049, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6051, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6053, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6055, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6057, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6059, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6061, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6065, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6067, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6069, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6073, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6075, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6079, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6081, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6083, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6085, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6087, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6089, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6091, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6093, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6097, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6099, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6101, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6103, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6105, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6107, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6109, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6111, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6113, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6115, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6117, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6119, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6121, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6123, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6125, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6127, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6129, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6131, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6133, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6135, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6137, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6139, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6141, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6143, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6145, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6147, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6149, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6151, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6153, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6155, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6157, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6159, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6161, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6163, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6165, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6167, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6169, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6171, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6173, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6175, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6177, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6179, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6181, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6183, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6187, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6189, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6191, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6193, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6195, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6197, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6199, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6201, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6203, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "compat", utf8proc_sequences + 6205, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "super", utf8proc_sequences + 5399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "super", utf8proc_sequences + 5411, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "super", utf8proc_sequences + 6207, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "super", utf8proc_sequences + 6209, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6211, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6213, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6215, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6217, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 5407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6219, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6221, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6223, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 6225, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "super", utf8proc_sequences + 5415, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6227, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6231, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6235, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6239, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6243, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6247, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6251, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6255, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6259, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6263, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6267, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6271, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6275, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6279, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6283, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6288, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6293, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6298, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6303, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6308, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6318, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6323, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6328, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6333, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6338, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6343, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6348, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6353, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 6358, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "compat", utf8proc_sequences + 6366, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6373, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6377, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6381, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6385, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6393, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6397, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6405, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "compat", utf8proc_sequences + 6409, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6413, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6417, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6421, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6425, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6429, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6433, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6437, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6441, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6449, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6453, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6457, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6461, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6465, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6469, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6473, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6477, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6481, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6485, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6489, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6493, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6497, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6501, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6505, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6509, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6513, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 6517, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6521, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6527, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6530, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6533, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6536, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6539, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6542, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6545, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6551, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6554, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6557, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6560, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6563, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6019, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6025, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6031, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6051, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6053, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6059, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6065, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6069, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6073, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6075, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6566, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6569, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6572, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6575, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6578, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6581, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6584, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6587, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6590, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6593, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6596, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6599, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6602, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6605, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "circle", utf8proc_sequences + 6608, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "circle", utf8proc_sequences + 6614, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "circle", utf8proc_sequences + 6619, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 5399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 5411, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6207, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6209, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6622, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6624, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6626, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 5421, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 6628, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "L", "circle", utf8proc_sequences + 5445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5545, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5569, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5567, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5547, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5731, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5461, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5541, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6630, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6632, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6634, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6636, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6638, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6640, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6642, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6644, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6646, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6648, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 5473, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6650, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6652, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6654, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6656, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6658, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6660, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6662, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6664, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6211, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6213, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6215, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6666, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6668, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6670, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6672, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6674, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6676, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6678, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6680, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6682, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6684, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6686, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6689, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6692, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6695, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6698, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6701, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6704, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6707, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6710, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6713, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6716, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6719, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6722, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6725, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"No", 0, "ON", "circle", utf8proc_sequences + 6728, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6731, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6734, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6737, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6740, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6743, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6746, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6749, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6752, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6755, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6758, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6762, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 6766, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 6770, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 6773, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 6777, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 6780, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6784, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6786, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6788, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6790, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6794, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6796, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6798, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6800, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6802, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6804, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6806, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6808, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6810, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6812, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6814, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6816, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6818, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6820, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6822, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6824, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6826, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6828, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6830, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6832, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6834, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6836, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6838, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6840, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6842, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6844, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6846, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6848, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6850, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6852, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6854, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6856, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6858, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6860, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6862, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6864, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6866, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6868, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6870, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "circle", utf8proc_sequences + 6876, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6883, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6888, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6897, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6902, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6906, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6910, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6921, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6925, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6929, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6933, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6938, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6943, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6947, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6951, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6954, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6958, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6963, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6968, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6971, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6977, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6990, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 6994, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7006, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7011, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7015, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7019, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7023, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7039, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7043, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7047, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7051, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7057, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7060, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7067, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7081, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7086, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7092, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7096, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7099, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7102, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7108, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7113, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7119, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7123, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7129, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7132, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7136, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7140, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7144, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7148, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7157, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7161, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7164, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7168, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7172, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7176, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7181, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7189, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7193, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7199, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7204, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7207, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7213, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7216, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7221, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7226, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7230, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7234, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7238, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7243, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7246, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7250, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7255, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7258, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7264, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7268, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7271, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7274, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7277, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7280, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7283, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7286, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7289, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7292, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7295, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7298, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7302, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7306, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7310, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7318, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7322, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7326, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7330, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7334, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7338, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7342, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7346, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7350, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7354, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7358, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7362, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7365, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7372, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7375, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7378, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7381, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7385, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7404, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7409, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7412, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7415, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7418, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7421, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7424, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7427, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7433, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7437, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7451, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7454, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7457, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7460, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7463, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7467, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7471, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7475, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7479, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7482, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7485, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7491, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7494, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7497, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7500, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7503, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7506, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7509, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7513, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7517, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7520, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7528, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7532, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7535, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7539, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7543, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7551, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7555, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7559, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7563, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7567, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7573, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7580, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7583, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7586, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7589, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7592, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7595, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7598, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7601, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7604, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7607, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7610, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7613, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7616, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7619, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7622, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7625, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7628, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7631, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7634, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7639, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7642, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7645, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7648, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7653, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7657, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7660, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7663, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7666, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7669, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7672, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7675, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7678, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7681, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7684, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7687, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7691, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7694, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7697, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7701, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7705, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7708, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7713, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7717, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7720, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7723, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "square", utf8proc_sequences + 7726, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7729, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7733, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7737, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7740, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7743, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7746, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7749, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7752, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7755, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7758, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7761, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7764, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7768, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7772, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7776, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7780, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7784, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7788, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7796, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7800, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7804, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7808, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7812, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7816, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7820, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7824, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7828, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7832, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7836, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7840, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7844, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", "compat", utf8proc_sequences + 7848, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "square", utf8proc_sequences + 7852, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cs", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Co", 0, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7856, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7858, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5715, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7860, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7862, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7864, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7866, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7868, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5731, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7870, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7876, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7880, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7882, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7884, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7886, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7888, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7890, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7892, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7894, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7896, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7898, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7900, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7902, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7906, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7908, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7910, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7912, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7914, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7918, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7920, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7922, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7924, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7926, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7928, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7930, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7932, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7934, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7936, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7938, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7940, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7944, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7946, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7948, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7950, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5647, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7952, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7954, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7956, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7958, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7962, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7964, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7966, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7968, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7970, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5793, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7974, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7976, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7978, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7980, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7982, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7986, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7988, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7990, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7992, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7994, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7996, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 7998, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8006, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8018, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8022, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8024, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8030, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8042, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8046, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8058, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8060, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8062, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8064, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8066, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5719, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8068, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8070, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8072, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8074, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8076, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8078, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8080, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8082, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8084, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8086, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8088, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8090, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8092, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8094, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8096, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5473, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8098, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8100, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8102, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8104, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8106, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8108, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8110, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8112, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5435, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8114, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8118, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8120, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8122, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8124, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8126, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8128, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8130, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8132, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8134, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8136, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8138, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8140, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8142, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8144, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8146, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8148, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8150, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8154, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8156, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8158, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8160, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8162, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8164, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8166, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8168, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8170, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8172, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8174, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8176, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8178, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8180, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8184, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8186, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8188, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8190, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8192, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8194, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8196, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8198, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8200, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8202, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8204, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8206, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8208, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8210, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8212, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8214, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8216, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8218, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8220, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8222, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8224, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8226, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8228, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8230, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8232, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8234, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8236, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8238, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8240, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8242, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8244, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6624, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8246, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8248, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8250, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8252, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8254, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8256, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8258, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8260, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8262, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8264, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8266, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8268, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8270, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8272, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8274, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8276, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8278, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8280, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8282, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8284, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8286, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8288, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5729, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8290, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8292, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8294, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8296, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8298, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8300, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8302, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8304, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8306, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8308, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8310, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8312, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5631, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8316, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8318, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8320, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8322, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8324, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8326, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8328, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8330, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8332, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8334, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8336, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8338, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8340, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8342, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8344, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8346, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5685, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8348, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5691, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8350, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8352, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8354, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8356, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8358, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8360, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8362, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8364, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8366, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8370, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8372, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8374, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8376, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5645, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8378, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8380, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8382, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8384, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8386, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8388, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8390, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8394, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8396, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8400, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8402, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8404, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8406, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8408, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8410, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8412, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8414, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8416, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5487, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8418, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8420, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8422, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8424, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8426, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8428, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8446, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6634, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8450, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8452, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8454, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 6642, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8456, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8458, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8460, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8462, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8464, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8466, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8468, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8470, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8472, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8474, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8476, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8478, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8480, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8482, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8484, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8486, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8490, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8492, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8494, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8496, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8498, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8500, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8502, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8504, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8506, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8508, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8510, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8512, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8514, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8516, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8518, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8520, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8522, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8526, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8528, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8530, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8532, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8534, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8536, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8538, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8540, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8542, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8544, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8546, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8550, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8552, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8554, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8556, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8558, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8560, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5553, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8562, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8564, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8566, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8568, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8570, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8572, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8574, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8576, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8578, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8580, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8582, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8584, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8586, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8588, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8590, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8592, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8594, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8596, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8598, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8600, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8602, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8604, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8606, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8608, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8610, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8612, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8614, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8616, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8618, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8620, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8622, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8624, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8626, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8628, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8630, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8632, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8634, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8636, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8638, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8640, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8642, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8644, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8646, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8648, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8650, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8652, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8654, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 8656, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8658, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8658},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8661, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8661},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8664, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8664},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8667, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8667},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8671, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8671},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8675, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8678},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8678, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8678},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8681, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8681},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8684, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8684},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8687, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8687},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8690, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8690},
  {"Ll", 0, "L", "compat", utf8proc_sequences + 8693, false, -1, -1, -1, -1, -1, false, false, utf8proc_sequences + 8693},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8696, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mn", 26, "NSM", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8699, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8702, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 4506, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 4512, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8704, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8706, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8708, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8710, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8712, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", "font", utf8proc_sequences + 8714, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "font", utf8proc_sequences + 4444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8716, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8719, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8722, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8725, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8728, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8731, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8734, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8737, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8740, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8743, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8746, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8749, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8752, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8755, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8758, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8761, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8764, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8767, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8770, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8773, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8776, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8779, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8782, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8785, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8788, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8791, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8794, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8797, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8800, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8803, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8806, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", NULL, utf8proc_sequences + 8809, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lo", 0, "R", "compat", utf8proc_sequences + 8812, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8841, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8841, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8843, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8843, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8845, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8845, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8847, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8847, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8849, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8849, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8851, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8851, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8853, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8853, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8853, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8853, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8859, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8859, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8859, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8859, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8861, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8861, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8865, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8865, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8871, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8871, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8873, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8873, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8877, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8877, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8879, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8879, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8881, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8881, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8883, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8885, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8885, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8887, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8887, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8889, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8889, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8891, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8891, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8891, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8891, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8895, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8895, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8898, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8898, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8901, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8901, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8907, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8907, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8910, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8910, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8913, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8913, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8913, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8921, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8924, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8927, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8930, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8933, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8936, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8939, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8945, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8948, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8951, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8954, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8957, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8963, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8966, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8969, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8975, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8978, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8981, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8987, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8990, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8993, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8996, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8999, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9005, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9011, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9017, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9023, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9029, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9041, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9047, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9053, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9059, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9062, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9065, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9068, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9074, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9080, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9083, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9086, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9089, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9092, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9098, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9101, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9104, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9107, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9110, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9113, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9119, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9122, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9125, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9128, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9131, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9134, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9137, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9140, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9143, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9146, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9149, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9155, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9158, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9161, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9164, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9167, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9170, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9173, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9176, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9179, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9188, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9191, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9194, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9197, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9200, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9204, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9208, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9212, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9216, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9220, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9224, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9227, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8927, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9230, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8930, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9233, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9236, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9239, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8945, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8948, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9242, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9245, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9248, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8963, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8966, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9251, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9254, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9257, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8975, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8978, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9065, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9068, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9080, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9083, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9098, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9101, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9104, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9119, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9122, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9260, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9134, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9263, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9266, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9269, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9155, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9158, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9197, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9272, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9275, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9278, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9188, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8921, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8924, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9281, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8927, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9284, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8933, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8936, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8939, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9287, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8951, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8954, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8957, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9290, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8981, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8987, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8990, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8993, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 8999, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9005, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9011, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9293, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9017, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9023, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9029, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9041, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9047, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9053, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9059, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9062, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9074, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9086, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9089, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9092, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9098, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9107, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9110, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9113, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9296, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9125, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9128, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9131, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9134, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9143, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9146, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9149, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9299, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9161, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9164, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9302, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9173, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9176, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9179, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9305, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8927, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9284, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9287, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9290, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 8972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9308, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9011, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9311, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9317, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9098, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9116, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9299, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9305, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9320, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9324, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9328, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9332, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9335, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9338, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9341, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9344, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9347, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9350, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9353, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9356, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9359, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9362, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9365, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9371, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9374, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9377, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9380, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9383, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9386, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9404, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9410, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9332, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9335, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9338, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9341, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9344, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9347, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9350, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9353, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9356, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9359, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9362, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9365, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9371, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9374, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9377, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9380, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9383, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9386, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9404, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9410, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9314, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9311, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9317, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9005, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9413, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9413, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9416, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9420, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9420, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9424, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9428, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9452, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9456, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9460, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9464, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9468, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9468, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9472, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9476, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9476, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9480, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9480, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9484, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9492, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9496, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9496, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9500, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9500, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9504, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9508, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9508, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9512, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9512, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9516, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9520, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9528, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9528, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9532, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9536, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9540, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9544, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9548, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9552, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9556, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9560, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9564, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9568, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9572, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9572, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9576, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9576, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9580, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9580, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9584, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9588, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9592, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9596, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9600, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9604, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9608, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9612, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9616, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9620, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9624, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9628, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9632, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9632, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9636, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9640, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9644, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9648, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9648, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9652, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9656, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9660, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9664, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9668, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9672, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9676, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9680, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9684, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9688, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9692, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9696, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9700, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9704, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9708, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9712, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9716, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9720, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9724, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9728, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9732, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9736, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9552, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9560, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9740, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9744, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9748, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9752, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9756, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9760, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9756, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9748, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9764, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9768, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9772, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9776, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9780, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9760, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9524, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 9484, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9784, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9788, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9796, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9800, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9805, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9810, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9820, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9830, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9858, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "AL", "isolated", utf8proc_sequences + 9867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9876, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 1313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9880, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9882, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9884, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9886, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9888, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "vertical", utf8proc_sequences + 9890, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ON", "vertical", utf8proc_sequences + 9892, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ON", "vertical", utf8proc_sequences + 9894, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pc", 0, "ON", "vertical", utf8proc_sequences + 9896, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 4450, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 4452, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9898, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9900, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9902, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9906, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9908, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9910, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9912, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 4821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 4823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9914, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9916, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9918, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9920, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "vertical", utf8proc_sequences + 9922, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "vertical", utf8proc_sequences + 9924, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "compat", utf8proc_sequences + 9926, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pc", 0, "ON", "compat", utf8proc_sequences + 9896, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "small", utf8proc_sequences + 9872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "small", utf8proc_sequences + 4387, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 1313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "small", utf8proc_sequences + 9878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9882, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9880, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ON", "small", utf8proc_sequences + 9892, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "small", utf8proc_sequences + 4450, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "small", utf8proc_sequences + 4452, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "small", utf8proc_sequences + 9898, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "small", utf8proc_sequences + 9900, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "small", utf8proc_sequences + 9902, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "small", utf8proc_sequences + 9904, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", "small", utf8proc_sequences + 9928, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9930, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9932, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "small", utf8proc_sequences + 4444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ES", "small", utf8proc_sequences + 9934, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "small", utf8proc_sequences + 9936, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "small", utf8proc_sequences + 9938, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "small", utf8proc_sequences + 4448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9940, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "small", utf8proc_sequences + 9942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", "small", utf8proc_sequences + 9944, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "small", utf8proc_sequences + 9946, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9948, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9951, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9954, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9957, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9960, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9963, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9966, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9969, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9972, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9975, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9978, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9981, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9984, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 9987, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9990, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9992, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9992, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9994, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9994, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9996, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9996, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 9998, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 9998, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10000, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10002, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10004, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10006, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10006, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10008, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10010, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10012, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10014, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10016, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10018, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10018, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10020, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10022, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10022, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10024, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10024, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10026, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10028, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10030, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10030, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10030, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10030, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10032, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10034, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10036, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10038, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10040, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10042, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10042, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10042, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10042, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10044, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10046, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10046, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10046, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10046, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10048, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10050, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10052, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10054, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10056, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 8893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 8893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10058, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10058, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "initial", utf8proc_sequences + 10058, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "medial", utf8proc_sequences + 10058, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10060, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10060, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10066, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10066, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "isolated", utf8proc_sequences + 10069, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "AL", "final", utf8proc_sequences + 10069, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9880, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 10072, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", "wide", utf8proc_sequences + 9928, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "wide", utf8proc_sequences + 9942, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ET", "wide", utf8proc_sequences + 9944, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9930, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 10074, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "wide", utf8proc_sequences + 4450, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "wide", utf8proc_sequences + 4452, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9932, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ES", "wide", utf8proc_sequences + 4444, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "wide", utf8proc_sequences + 9872, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pd", 0, "ES", "wide", utf8proc_sequences + 9934, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "wide", utf8proc_sequences + 4387, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "wide", utf8proc_sequences + 10076, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 72, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 60, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 62, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "wide", utf8proc_sequences + 4442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "CS", "wide", utf8proc_sequences + 9878, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 1313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 9936, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 4448, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 9938, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9882, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9946, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2305, false, -1, 65345, -1, -1, -1, false, false, utf8proc_sequences + 10078},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2309, false, -1, 65346, -1, -1, -1, false, false, utf8proc_sequences + 10080},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4465, false, -1, 65347, -1, -1, -1, false, false, utf8proc_sequences + 10082},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2311, false, -1, 65348, -1, -1, -1, false, false, utf8proc_sequences + 10084},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2313, false, -1, 65349, -1, -1, -1, false, false, utf8proc_sequences + 10086},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4504, false, -1, 65350, -1, -1, -1, false, false, utf8proc_sequences + 10088},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2317, false, -1, 65351, -1, -1, -1, false, false, utf8proc_sequences + 10090},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2319, false, -1, 65352, -1, -1, -1, false, false, utf8proc_sequences + 10092},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2321, false, -1, 65353, -1, -1, -1, false, false, utf8proc_sequences + 10094},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2323, false, -1, 65354, -1, -1, -1, false, false, utf8proc_sequences + 10096},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2325, false, -1, 65355, -1, -1, -1, false, false, utf8proc_sequences + 10098},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2327, false, -1, 65356, -1, -1, -1, false, false, utf8proc_sequences + 10100},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2329, false, -1, 65357, -1, -1, -1, false, false, utf8proc_sequences + 10102},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2331, false, -1, 65358, -1, -1, -1, false, false, utf8proc_sequences + 10104},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2333, false, -1, 65359, -1, -1, -1, false, false, utf8proc_sequences + 10106},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2337, false, -1, 65360, -1, -1, -1, false, false, utf8proc_sequences + 10108},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4486, false, -1, 65361, -1, -1, -1, false, false, utf8proc_sequences + 10110},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2339, false, -1, 65362, -1, -1, -1, false, false, utf8proc_sequences + 10112},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 5160, false, -1, 65363, -1, -1, -1, false, false, utf8proc_sequences + 10114},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2341, false, -1, 65364, -1, -1, -1, false, false, utf8proc_sequences + 10116},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2343, false, -1, 65365, -1, -1, -1, false, false, utf8proc_sequences + 10118},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4593, false, -1, 65366, -1, -1, -1, false, false, utf8proc_sequences + 10120},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 2345, false, -1, 65367, -1, -1, -1, false, false, utf8proc_sequences + 10122},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4620, false, -1, 65368, -1, -1, -1, false, false, utf8proc_sequences + 10124},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 5174, false, -1, 65369, -1, -1, -1, false, false, utf8proc_sequences + 10126},
  {"Lu", 0, "L", "wide", utf8proc_sequences + 4498, false, -1, 65370, -1, -1, -1, false, false, utf8proc_sequences + 10128},
  {"Ps", 0, "ON", "wide", utf8proc_sequences + 9922, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "wide", utf8proc_sequences + 9940, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "wide", utf8proc_sequences + 9924, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "wide", utf8proc_sequences + 10130, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pc", 0, "ON", "wide", utf8proc_sequences + 9896, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "wide", utf8proc_sequences + 4320, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 0, false, 65313, -1, 65313, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 2, false, 65314, -1, 65314, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 4, false, 65315, -1, 65315, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 6, false, 65316, -1, 65316, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 8, false, 65317, -1, 65317, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 10, false, 65318, -1, 65318, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 12, false, 65319, -1, 65319, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 14, false, 65320, -1, 65320, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 16, false, 65321, -1, 65321, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 18, false, 65322, -1, 65322, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 20, false, 65323, -1, 65323, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 22, false, 65324, -1, 65324, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 24, false, 65325, -1, 65325, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 26, false, 65326, -1, 65326, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 28, false, 65327, -1, 65327, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 30, false, 65328, -1, 65328, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 32, false, 65329, -1, 65329, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 34, false, 65330, -1, 65330, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 36, false, 65331, -1, 65331, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 38, false, 65332, -1, 65332, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 40, false, 65333, -1, 65333, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 42, false, 65334, -1, 65334, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 44, false, 65335, -1, 65335, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 46, false, 65336, -1, 65336, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 48, false, 65337, -1, 65337, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "wide", utf8proc_sequences + 50, false, 65338, -1, 65338, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "wide", utf8proc_sequences + 9898, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 10132, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "wide", utf8proc_sequences + 9900, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 10134, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "wide", utf8proc_sequences + 10136, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "wide", utf8proc_sequences + 10138, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "narrow", utf8proc_sequences + 9876, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ps", 0, "ON", "narrow", utf8proc_sequences + 9914, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Pe", 0, "ON", "narrow", utf8proc_sequences + 9916, true, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "narrow", utf8proc_sequences + 9874, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Po", 0, "ON", "narrow", utf8proc_sequences + 10140, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6876, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10142, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10144, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10146, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10148, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10150, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10152, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10154, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10156, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10158, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "narrow", utf8proc_sequences + 10160, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6784, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6786, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6788, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6790, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6792, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6794, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6796, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6798, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6800, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6802, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6804, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6806, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6808, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6810, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6812, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6814, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6816, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6818, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6820, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6822, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6824, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6826, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6828, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6830, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6832, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6834, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6836, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6838, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6840, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6842, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6844, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6846, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6848, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6850, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6852, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6854, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6856, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6858, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6860, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6862, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6864, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6866, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6868, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 6870, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10162, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "narrow", utf8proc_sequences + 10164, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lm", 0, "L", "narrow", utf8proc_sequences + 10166, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10168, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10170, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10172, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10174, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10176, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10178, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10180, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10182, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10184, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10186, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10188, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10190, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10192, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10194, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10196, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10198, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10200, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10202, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10204, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10206, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10208, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10210, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10212, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10214, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10216, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10218, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10220, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10222, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10224, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10226, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10228, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10230, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10232, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10234, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10236, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10238, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10240, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10242, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10244, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10246, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10248, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10250, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10252, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10254, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10256, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10258, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10260, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10262, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10264, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10266, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10268, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", "narrow", utf8proc_sequences + 10270, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "wide", utf8proc_sequences + 10272, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "wide", utf8proc_sequences + 10274, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "wide", utf8proc_sequences + 10276, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sk", 0, "ON", "wide", utf8proc_sequences + 10278, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "wide", utf8proc_sequences + 10280, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "wide", utf8proc_sequences + 10282, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sc", 0, "ET", "wide", utf8proc_sequences + 10284, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "narrow", utf8proc_sequences + 10286, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "narrow", utf8proc_sequences + 10288, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "narrow", utf8proc_sequences + 10290, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "narrow", utf8proc_sequences + 10292, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "ON", "narrow", utf8proc_sequences + 10294, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "narrow", utf8proc_sequences + 10296, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "ON", "narrow", utf8proc_sequences + 10298, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Cf", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nl", 0, "ON", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66600, -1, -1, -1, false, false, utf8proc_sequences + 10300},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66601, -1, -1, -1, false, false, utf8proc_sequences + 10302},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66602, -1, -1, -1, false, false, utf8proc_sequences + 10304},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66603, -1, -1, -1, false, false, utf8proc_sequences + 10306},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66604, -1, -1, -1, false, false, utf8proc_sequences + 10308},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66605, -1, -1, -1, false, false, utf8proc_sequences + 10310},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66606, -1, -1, -1, false, false, utf8proc_sequences + 10312},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66607, -1, -1, -1, false, false, utf8proc_sequences + 10314},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66608, -1, -1, -1, false, false, utf8proc_sequences + 10316},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66609, -1, -1, -1, false, false, utf8proc_sequences + 10318},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66610, -1, -1, -1, false, false, utf8proc_sequences + 10320},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66611, -1, -1, -1, false, false, utf8proc_sequences + 10322},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66612, -1, -1, -1, false, false, utf8proc_sequences + 10324},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66613, -1, -1, -1, false, false, utf8proc_sequences + 10326},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66614, -1, -1, -1, false, false, utf8proc_sequences + 10328},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66615, -1, -1, -1, false, false, utf8proc_sequences + 10330},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66616, -1, -1, -1, false, false, utf8proc_sequences + 10332},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66617, -1, -1, -1, false, false, utf8proc_sequences + 10334},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66618, -1, -1, -1, false, false, utf8proc_sequences + 10336},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66619, -1, -1, -1, false, false, utf8proc_sequences + 10338},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66620, -1, -1, -1, false, false, utf8proc_sequences + 10340},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66621, -1, -1, -1, false, false, utf8proc_sequences + 10342},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66622, -1, -1, -1, false, false, utf8proc_sequences + 10344},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66623, -1, -1, -1, false, false, utf8proc_sequences + 10346},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66624, -1, -1, -1, false, false, utf8proc_sequences + 10348},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66625, -1, -1, -1, false, false, utf8proc_sequences + 10350},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66626, -1, -1, -1, false, false, utf8proc_sequences + 10352},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66627, -1, -1, -1, false, false, utf8proc_sequences + 10354},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66628, -1, -1, -1, false, false, utf8proc_sequences + 10356},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66629, -1, -1, -1, false, false, utf8proc_sequences + 10358},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66630, -1, -1, -1, false, false, utf8proc_sequences + 10360},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66631, -1, -1, -1, false, false, utf8proc_sequences + 10362},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66632, -1, -1, -1, false, false, utf8proc_sequences + 10364},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66633, -1, -1, -1, false, false, utf8proc_sequences + 10366},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66634, -1, -1, -1, false, false, utf8proc_sequences + 10368},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66635, -1, -1, -1, false, false, utf8proc_sequences + 10370},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66636, -1, -1, -1, false, false, utf8proc_sequences + 10372},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66637, -1, -1, -1, false, false, utf8proc_sequences + 10374},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66638, -1, -1, -1, false, false, utf8proc_sequences + 10376},
  {"Lu", 0, "L", NULL, NULL, false, -1, 66639, -1, -1, -1, false, false, utf8proc_sequences + 10378},
  {"Ll", 0, "L", NULL, NULL, false, 66560, -1, 66560, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66561, -1, 66561, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66562, -1, 66562, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66563, -1, 66563, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66564, -1, 66564, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66565, -1, 66565, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66566, -1, 66566, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66567, -1, 66567, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66568, -1, 66568, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66569, -1, 66569, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66570, -1, 66570, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66571, -1, 66571, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66572, -1, 66572, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66573, -1, 66573, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66574, -1, 66574, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66575, -1, 66575, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66576, -1, 66576, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66577, -1, 66577, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66578, -1, 66578, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66579, -1, 66579, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66580, -1, 66580, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66581, -1, 66581, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66582, -1, 66582, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66583, -1, 66583, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66584, -1, 66584, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66585, -1, 66585, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66586, -1, 66586, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66587, -1, 66587, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66588, -1, 66588, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66589, -1, 66589, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66590, -1, 66590, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66591, -1, 66591, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66592, -1, 66592, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66593, -1, 66593, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66594, -1, 66594, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66595, -1, 66595, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66596, -1, 66596, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66597, -1, 66597, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66598, -1, 66598, -1, -1, false, false, NULL},
  {"Ll", 0, "L", NULL, NULL, false, 66599, -1, 66599, -1, -1, false, false, NULL},
  {"No", 0, "R", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"So", 0, "L", NULL, NULL, false, -1, -1, -1, 21063, -1, false, false, NULL},
  {"So", 0, "L", NULL, NULL, false, -1, -1, -1, 21122, -1, false, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10380, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10383, false, -1, -1, -1, 21181, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10386, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10389, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10392, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10395, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10398, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 53, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 226, "L", NULL, NULL, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 54, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 55, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 56, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 57, false, false, NULL},
  {"Mc", 216, "L", NULL, NULL, false, -1, -1, -1, -1, 58, false, false, NULL},
  {"So", 0, "L", NULL, NULL, false, -1, -1, -1, 21240, -1, false, false, NULL},
  {"So", 0, "L", NULL, NULL, false, -1, -1, -1, 21299, -1, false, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10401, false, -1, -1, -1, 21358, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10404, false, -1, -1, -1, 21417, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10407, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10410, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10413, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"So", 0, "L", NULL, utf8proc_sequences + 10416, false, -1, -1, -1, -1, -1, true, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2305, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2317, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2323, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2325, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2333, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 5160, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2341, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2343, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4593, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 2345, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4620, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 5174, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 0, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 2, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 4, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 20, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 24, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 26, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 30, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 32, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 34, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 36, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 38, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 40, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 42, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 44, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 46, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 48, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 50, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10419, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10421, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10423, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10425, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10427, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10429, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10431, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10433, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 1484, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10435, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10437, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10439, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10441, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10443, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10445, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10447, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10449, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10451, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 1488, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10453, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 1450, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10455, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10457, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 10459, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lu", 0, "L", "font", utf8proc_sequences + 4500, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "L", "font", utf8proc_sequences + 10461, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1362, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1364, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1368, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1370, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1372, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1374, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1376, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1306, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1378, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1380, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 67, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1382, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1384, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1386, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1390, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1482, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1392, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1394, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1396, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1398, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1400, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1402, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 1404, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Sm", 0, "L", "font", utf8proc_sequences + 10463, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10465, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10467, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10469, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10471, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10473, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Ll", 0, "L", "font", utf8proc_sequences + 10475, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4430, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 72, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 60, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 62, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4432, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4434, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4436, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4438, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4440, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Nd", 0, "EN", "font", utf8proc_sequences + 4442, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10477, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10479, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10481, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10483, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10485, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10487, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10489, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10491, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10493, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10495, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10497, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10499, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10501, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10503, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10505, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10507, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10509, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10511, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10513, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10515, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10517, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10519, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10521, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10523, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10525, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5431, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10527, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10529, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10531, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10533, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10535, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10537, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10539, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10541, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10543, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10545, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10547, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10549, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10551, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10553, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10555, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10557, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10559, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10561, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10563, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10565, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10567, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10569, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10571, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10573, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10575, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10577, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10579, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10581, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10583, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10585, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10587, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10589, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10591, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10593, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10595, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10597, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10599, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10601, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10603, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10605, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10607, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10609, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10611, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10613, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10615, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10617, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10619, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10621, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10623, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10625, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10627, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10629, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10631, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10633, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10635, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10637, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10639, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10641, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10643, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10645, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10647, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10649, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10651, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10653, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10655, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10657, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10659, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10661, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10663, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10665, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10667, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10669, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10671, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5483, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10673, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10675, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10677, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10679, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10681, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10683, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10685, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10687, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10689, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10691, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10693, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10695, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10697, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10699, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10701, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10703, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10705, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10707, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10709, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10711, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10713, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10715, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10717, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10719, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5507, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10721, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10723, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10725, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10727, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10729, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10731, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10733, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10735, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10737, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10739, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10741, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10743, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10745, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10747, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10749, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10751, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10753, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10755, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10757, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10759, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10761, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10763, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10765, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10767, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10769, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10771, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10773, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10775, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10777, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10779, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10781, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10783, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10785, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10787, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10789, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10791, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10793, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10795, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10797, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10799, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10801, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10803, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10805, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10807, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10809, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10811, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10813, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10817, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10819, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10821, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10823, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10825, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10827, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10829, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10831, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10833, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10835, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10837, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10839, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10841, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10843, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10845, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10847, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10849, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10851, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10853, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10855, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10857, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10859, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10861, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10863, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10865, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10867, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10869, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10871, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10873, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10875, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10877, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10879, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10881, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10883, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10885, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10887, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10889, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10891, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10893, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10895, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10897, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10899, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10901, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10903, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10905, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10907, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10909, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10911, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10913, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10915, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10917, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10919, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10921, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10923, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10925, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10927, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10929, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10931, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10933, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10935, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10937, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10939, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10941, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10943, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10945, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10947, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10949, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10951, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10953, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10955, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10957, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10959, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10961, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10963, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10965, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10967, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10969, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10971, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10973, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10975, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10977, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10979, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10981, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10983, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10985, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10987, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10989, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10991, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10993, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10995, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10997, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 10999, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11001, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11003, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11005, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11007, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11009, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11011, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11013, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11015, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11017, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11019, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11021, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11023, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11025, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11027, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11029, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11031, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11033, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11035, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11037, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11039, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11041, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11043, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11045, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11047, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11049, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11051, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11053, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11055, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11057, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11059, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11061, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11063, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11065, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11067, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11069, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11071, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11073, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11075, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11077, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11079, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11081, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11083, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11085, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11087, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11089, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11091, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11093, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11095, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11097, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11099, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11101, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11103, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11105, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11107, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11109, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11111, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11113, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11115, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11117, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11119, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11121, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11123, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11125, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11127, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11129, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11131, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11133, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11135, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11137, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11139, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11141, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11143, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11145, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11147, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11149, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11151, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11153, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11155, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11157, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11159, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11161, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11163, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11165, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11167, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11169, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11171, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11173, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11175, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11177, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11179, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11181, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11183, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11185, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11187, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11189, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11191, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11193, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11195, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11197, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11199, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11201, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11203, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11205, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11207, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11209, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11211, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11213, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11215, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11217, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11219, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11221, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11223, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11225, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11227, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11229, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11231, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11233, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11235, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11237, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11239, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11241, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11243, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11245, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11247, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11249, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11251, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11253, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11255, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5687, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11257, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11259, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11261, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11263, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11265, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11267, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11269, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11271, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11273, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11275, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11277, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5701, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11279, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11281, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11283, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11285, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11287, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11289, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11291, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11293, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11295, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11297, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11299, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11301, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11303, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11305, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11307, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11309, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11311, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11313, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11315, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11317, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11319, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11321, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11323, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11325, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11327, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11329, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11331, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11333, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11335, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11337, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11339, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11341, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11343, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11345, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11347, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11349, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11351, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11353, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11355, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11357, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11359, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11361, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11363, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11365, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11367, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11369, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11371, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11373, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11375, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11377, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11379, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11381, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11383, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11385, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11387, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11389, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11391, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11393, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11395, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11397, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11399, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11401, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5797, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11403, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5805, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11405, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11407, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11409, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11411, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 5815, false, -1, -1, -1, -1, -1, false, false, NULL},
  {"Lo", 0, "L", NULL, utf8proc_sequences + 11413, false, -1, -1, -1, -1, -1, false, false, NULL},
};

const int32_t utf8proc_combinations[] = {
  192, 193, 194, 195, 196, 197, -1, 
  256, 258, 260, 550, 461, -1, -1, 512, 
  514, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7680, 
  7840, -1, -1, -1, -1, -1, 7842, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 262, 264, -1, 
  -1, -1, 199, -1, -1, -1, 266, 268, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 200, 
  201, 202, 7868, 203, -1, 552, 274, 276, 
  280, 278, 282, -1, -1, 516, 518, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7864, -1, 
  7704, 7706, -1, -1, 7866, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 204, 205, 206, 296, 207, -1, 
  -1, 298, 300, 302, 304, 463, -1, -1, 
  520, 522, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7882, -1, -1, 7724, -1, -1, 7880, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 504, 323, -1, 
  209, -1, -1, 325, -1, -1, -1, 7748, 
  327, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7750, 7752, 7754, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  210, 211, 212, 213, 214, -1, -1, 332, 
  334, 490, 558, 465, 336, 416, 524, 526, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7884, 
  -1, -1, -1, -1, -1, 7886, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 217, 218, 219, 360, 220, 
  366, -1, 362, 364, 370, -1, 467, 368, 
  431, 532, 534, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7908, -1, 7798, 7796, -1, 7794, 
  7910, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7922, 221, 
  374, 7928, 376, -1, -1, 562, -1, -1, 
  7822, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7924, -1, -1, 
  -1, -1, -1, 7926, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 224, 225, 226, 227, 228, 229, -1, 
  257, 259, 261, 551, 462, -1, -1, 513, 
  515, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7681, 
  7841, -1, -1, -1, -1, -1, 7843, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 263, 265, -1, 
  -1, -1, 231, -1, -1, -1, 267, 269, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 232, 
  233, 234, 7869, 235, -1, 553, 275, 277, 
  281, 279, 283, -1, -1, 517, 519, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7865, -1, 
  7705, 7707, -1, -1, 7867, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 236, 237, 238, 297, 239, -1, 
  -1, 299, 301, 303, -1, 464, -1, -1, 
  521, 523, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7883, -1, -1, 7725, -1, -1, 7881, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 505, 324, -1, 
  241, -1, -1, 326, -1, -1, -1, 7749, 
  328, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7751, 7753, 7755, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  242, 243, 244, 245, 246, -1, -1, 333, 
  335, 491, 559, 466, 337, 417, 525, 527, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7885, 
  -1, -1, -1, -1, -1, 7887, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 249, 250, 251, 361, 252, 
  367, -1, 363, 365, 371, -1, 468, 369, 
  432, 533, 535, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7909, -1, 7799, 7797, -1, 7795, 
  7911, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7923, 253, 
  375, 7929, 255, 7833, -1, 563, -1, -1, 
  7823, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7925, -1, -1, 
  -1, -1, -1, 7927, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7696, 
  -1, -1, -1, 7690, 270, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7692, 7694, 7698, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7697, -1, -1, -1, 7691, 271, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7693, 7695, 7699, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  500, 284, -1, -1, -1, 290, 7712, 286, 
  -1, 288, 486, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 501, 285, -1, -1, -1, 
  291, 7713, 287, -1, 289, 487, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 292, 
  -1, 7718, -1, 7720, -1, -1, -1, 7714, 
  542, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7716, -1, -1, -1, 
  7722, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 293, -1, 7719, -1, 7721, -1, 
  -1, -1, 7715, 543, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7717, 
  7830, -1, -1, 7723, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 308, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  309, -1, -1, -1, -1, -1, -1, -1, 
  -1, 496, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7728, -1, -1, -1, -1, 310, 
  -1, -1, -1, -1, 488, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7730, 7732, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7729, -1, -1, 
  -1, -1, 311, -1, -1, -1, -1, 489, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7731, 7733, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  313, -1, -1, -1, -1, 315, -1, -1, 
  -1, -1, 317, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7734, 7738, 
  7740, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 314, -1, -1, -1, -1, 
  316, -1, -1, -1, -1, 318, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7735, 7739, 7741, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 340, -1, 
  -1, -1, -1, 342, -1, -1, -1, 7768, 
  344, -1, -1, 528, 530, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7770, 7774, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 341, -1, -1, -1, -1, 343, -1, 
  -1, -1, 7769, 345, -1, -1, 529, 531, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7771, 
  7775, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 346, 348, -1, -1, 
  -1, 350, -1, -1, -1, 7776, 352, -1, 
  -1, -1, -1, 536, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7778, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 347, 
  349, -1, -1, -1, 351, -1, -1, -1, 
  7777, 353, -1, -1, -1, -1, 537, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7779, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 354, 
  -1, -1, -1, 7786, 356, -1, -1, -1, 
  -1, 538, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7788, 7790, 7792, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7831, -1, 355, -1, -1, -1, 7787, 357, 
  -1, -1, -1, -1, 539, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7789, 7791, 7793, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7808, 
  7810, 372, -1, 7812, -1, -1, -1, -1, 
  -1, 7814, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7816, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7809, 7811, 373, -1, 7813, 7832, 
  -1, -1, -1, -1, 7815, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7817, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 377, 7824, 
  -1, -1, -1, -1, -1, -1, -1, 379, 
  381, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7826, 7828, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 378, 7825, -1, -1, -1, -1, -1, 
  -1, -1, 380, 382, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7827, 
  7829, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 475, 471, -1, -1, -1, 
  -1, -1, 469, -1, -1, -1, 473, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 476, 472, 
  -1, -1, -1, -1, -1, 470, -1, -1, 
  -1, 474, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  478, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 479, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 480, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 481, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 508, -1, 
  -1, -1, -1, -1, 482, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 509, -1, -1, -1, -1, -1, 483, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 492, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 493, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 494, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 495, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  506, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 507, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 510, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 511, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 554, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 555, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7756, -1, -1, 7758, -1, -1, 
  556, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7757, -1, -1, 
  7759, -1, -1, 557, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 560, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 561, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8173, 901, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8129, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8122, 902, -1, -1, -1, -1, -1, 8121, 
  8120, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7944, 7945, 
  -1, 8124, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8136, 904, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7960, 7961, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8138, 905, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7976, 7977, -1, 8140, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8154, 906, -1, -1, 938, -1, -1, 
  8153, 8152, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7992, 
  7993, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8184, 908, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8008, 8009, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8170, 
  910, -1, -1, 939, -1, -1, 8169, 8168, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8025, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8186, 911, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8040, 8041, -1, 8188, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8146, 912, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8151, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8048, 940, -1, -1, -1, -1, -1, 8113, 
  8112, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7936, 7937, 
  8118, 8115, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8050, 941, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7952, 7953, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8052, 942, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7968, 7969, 8134, 8131, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8054, 943, -1, -1, 970, -1, -1, 
  8145, 8144, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7984, 
  7985, 8150, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8162, 944, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8167, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8058, 
  973, -1, -1, 971, -1, -1, 8161, 8160, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8016, 8017, 8166, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8056, 972, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8000, 8001, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8060, 974, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8032, 8033, 8182, 8179, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 979, -1, -1, 980, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 1024, -1, -1, -1, 1025, 
  -1, -1, -1, 1238, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 1027, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1031, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1036, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 1037, 
  -1, -1, -1, 1252, -1, -1, 1250, 1049, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 1264, -1, 
  -1, 1262, 1038, -1, -1, -1, 1266, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1117, -1, -1, 
  -1, 1253, -1, -1, 1251, 1081, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1104, -1, -1, -1, 1105, -1, -1, -1, 
  1239, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1107, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 1111, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 1116, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1265, -1, -1, 1263, 1118, -1, -1, -1, 
  1267, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1142, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1143, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 1244, -1, -1, -1, 1217, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1245, -1, -1, -1, 
  1218, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 1234, 
  -1, -1, -1, 1232, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 1235, -1, -1, -1, 1233, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1242, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1243, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 1246, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 1247, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 1254, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1255, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 1258, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 1259, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 1260, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1261, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 1268, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 1269, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 1272, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1273, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1570, 1571, 1573, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  1572, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 1574, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 1728, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 1730, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 1747, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 2345, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 2353, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 2356, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 2507, 2508, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  2888, 2891, 2892, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 2964, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 3020, 3018, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 3019, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 3144, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 3264, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  3271, 3272, 3274, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 3275, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 3402, 3404, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 3403, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 3546, 3548, 3550, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 3549, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 4134, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7682, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7684, 
  7686, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7683, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7685, 7687, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7688, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7689, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7700, 7702, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7701, 
  7703, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7708, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7709, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7710, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7711, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7726, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7727, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7736, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7737, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7742, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7744, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7746, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7743, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7745, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7747, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7760, 7762, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7761, 7763, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7764, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7766, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7765, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7767, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7772, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7773, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7780, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7781, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7782, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7783, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7784, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7785, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7800, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7801, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7802, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7803, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7804, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7806, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7805, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7807, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7820, -1, -1, -1, -1, -1, 
  7818, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7821, -1, -1, 
  -1, -1, -1, 7819, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7835, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7846, 
  7844, -1, 7850, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7848, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7847, 7845, -1, 7851, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7849, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7852, 
  -1, -1, -1, -1, -1, 7862, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7853, -1, -1, -1, -1, -1, 
  7863, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7856, 7854, -1, 7860, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7858, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7857, 7855, 
  -1, 7861, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7859, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7872, 7870, -1, 7876, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7874, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7873, 7871, -1, 7877, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7875, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7878, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7879, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7890, 7888, -1, 
  7894, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7892, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7891, 7889, -1, 7895, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7893, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7896, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7897, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7900, 7898, -1, 7904, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7906, -1, -1, -1, -1, -1, 7902, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7901, 7899, -1, 7905, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7907, -1, -1, -1, -1, 
  -1, 7903, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7914, 
  7912, -1, 7918, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7920, -1, 
  -1, -1, -1, -1, 7916, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7915, 7913, -1, 7919, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7921, -1, -1, -1, -1, -1, 7917, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7938, 7940, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7942, 8064, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7939, 7941, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7943, 8065, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7946, 7948, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7950, 8072, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7947, 7949, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7951, 8073, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7954, 7956, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7955, 7957, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7962, 
  7964, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7963, 7965, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7970, 7972, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 7974, 8080, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7971, 7973, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  7975, 8081, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7978, 7980, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 7982, 8088, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7979, 7981, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 7983, 8089, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7986, 7988, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 7990, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7987, 7989, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 7991, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7994, 
  7996, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 7998, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7995, 7997, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 7999, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8002, 8004, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8003, 8005, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8010, 8012, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8011, 8013, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8018, 8020, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8022, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8019, 8021, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8023, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8027, 
  8029, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8031, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8034, 8036, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8038, 8096, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8035, 8037, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8039, 8097, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8042, 8044, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8046, 8104, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8043, 8045, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8047, 8105, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8066, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8067, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8068, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8069, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8070, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8071, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8074, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8075, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8076, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8077, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8078, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8079, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8082, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8083, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8084, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8085, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8086, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8087, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8090, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8091, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8092, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8093, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8094, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8095, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8098, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8099, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8100, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8101, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8102, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8103, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8106, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8107, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8108, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8109, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8110, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8111, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8114, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8116, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8119, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8130, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8132, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8135, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8141, 8142, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8143, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8157, 
  8158, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8159, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8164, 8165, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8172, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8178, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8180, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8183, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8602, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8603, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8622, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8653, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8654, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8655, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8708, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8713, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8716, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8740, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8742, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8769, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8772, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8775, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8777, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8800, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8802, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8813, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8814, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8815, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8816, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8817, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8820, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8821, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8824, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8825, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8832, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8833, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8836, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8837, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8840, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8841, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8876, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8877, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8878, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8879, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 8928, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 8929, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 8930, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  8931, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 8938, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 8939, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 8940, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 8941, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 10972, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12364, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12366, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12368, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12370, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12372, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12374, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12376, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12378, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12380, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12382, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12384, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12386, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12389, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12391, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12393, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12400, 12401, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12403, 12404, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12406, 12407, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12409, 12410, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12412, 12413, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12436, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12446, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12460, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12462, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12464, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12466, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12468, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12470, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12472, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12474, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12476, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12478, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12480, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12482, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12485, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12487, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12489, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12496, 12497, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12499, 12500, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12502, 12503, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, 12505, 12506, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 12508, 12509, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 12532, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 12535, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, 12536, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, 12537, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 12538, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  12542, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 119134, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  119135, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, 119136, 119137, 119138, 119139, 
  119140, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, 119227, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, 119228, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, 119229, 119231, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  -1, -1, -1, -1, -1, -1, -1, -1, 
  119230, 119232, -1, -1, -1, };

